InDesign Type: Professional Typography with Adobe InDesign CS2

Next Page

Book Cover
InDesign Type: Professional Typography with Adobe InDesign CS2
By Nigel French
...............................................
Publisher: Adobe Press
Pub Date: March 16, 2006
Print ISBN-10: 0-321-38544-6
Print ISBN-13: 978-0-321-38544-4
Pages: 280

Table of Contents | Index
Overview

It's no mystery why InDesign has become the premier page layout program: It offers great tools-not least among them its sophisticated typographic controls. Here to show you how to take advantage of them is the first book devoted solely to that topic. Whether you're a graphics pros migrating from InDesign's long-entrenched competitor QuarkXPress or a hobbyists producing fancy invites and book-length projects, you'll appreciate this guide's finely tuned focus on everything typographic. Realizing that to take full advantage of InDesign's typographic tools, you must understand the principles guiding their use, author Nigel French addresses both the whys and the hows of good typography. Using practical examples, and loads of tips, Nigel provides a comprehensive overview of all of InDesign's type features, including the Paragraph Composer, optical kerning, and its support for OpenType fonts. Starting with character formats and then moving through paragraph formats, styles and effects, and layouts, you'll have gained all the skills they need to produce beautiful type by the end of the volume.

Next Page


Table of Contents

Previous Page
Next Page

Book Cover
InDesign Type: Professional Typography with Adobe InDesign CS2
By Nigel French
...............................................
Publisher: Adobe Press
Pub Date: March 16, 2006
Print ISBN-10: 0-321-38544-6
Print ISBN-13: 978-0-321-38544-4
Pages: 280

Table of Contents | Index

Copyright
Acknowledgments
Introduction
Part I: Character Formats
 | Chapter 1. Getting Started
 |  | An InDesign Type Map: Where to Find Stuff
 |  | Viewing Your Page
 |  | Creating a Typography Workspace
 |  | Up Next
 | Chapter 2. Going with the Flow
 |  | A Blank Sheet: Typing on Your Page
 |  | Text Flow
 |  | Threading Text Frames
 |  | Using Placeholder Text
 |  | Pasting Text
 |  | Importing Word Text
 |  | Up Next
 | Chapter 3. Character Reference
 |  | Less is More, Maybe
 |  | Type Anatomy
 |  | Type Classification
 |  | Character Formatting Options
 |  | Readability
 |  | Up Next
 | Chapter 4. Getting the Lead Out
 |  | How Much Is Enough?
 |  | (Not) Using Auto Leading
 |  | Keep It Consistent, Except. . .
 |  | Leading Menu Options and Keyboard Shortcuts
 |  | See Also
 |  | Up Next
 | Chapter 5. Kern, Baby, Kern
 |  | When to Kern
 |  | Metrics Kerning
 |  | Optical Kerning
 |  | Manual Kerning
 |  | How Much to Kern
 |  | Tracking
 |  | When to Track
 |  | Controlling Widows and Orphans
 |  | Up Next
 | Chapter 6. Sweating the Small Stuff: Special Characters, White Space, and Glyphs
 |  | Typographer's Quotes
 |  | Apostrophes
 |  | Dashes
 |  | Ellipses
 |  | End Marks
 |  | White Space Characters
 |  | The Glyphs Palette
 |  | Footnotes
 |  | Footnote Options
 |  | Up Next
 | Chapter 7. OpenType: The New Frontier in Font Technology
 |  | Ligatures
 |  | Discretionary Ligatures
 |  | Ordinals/Raised and Lowered Characters
 |  | Swash Characters
 |  | Titling Alternates
 |  | Small Caps
 |  | Fractions
 |  | Oldstyle Figures
 |  | Contextual Alternates
 |  | Opticals
 |  | Glyph Positioning
 |  | Stylistic Sets
 |  | Up Next
Part II: Paragraph Formats
 | Chapter 8. Aligning Your Type
 |  | Centering Type
 |  | Clean Shaven or Rugged: Justified vs. Ragged Type
 |  | How InDesign Justifies Type
 |  | Balancing Ragged Lines
 |  | Right-Aligned Type
 |  | Optical Margin Alignment
 |  | Indent to Here
 |  | Vertical Alignment
 |  | Up Next
 | Chapter 9. Paragraph Indents and Spacing
 |  | First-Line Indents
 |  | Space Before and Space After
 |  | Paragraph Indents
 |  | Up Next
 | Chapter 10. First Impressions: Creating Great Opening Paragraphs
 |  | Creating a Simple Drop Cap
 |  | Drop Cap Aesthetics
 |  | Tricks with Drop Caps
 |  | Coming Unstuck with Drop Caps
 |  | Up Next
 | Chapter 11. Don't Fear the Hyphen
 |  | Hyphenation Options
 |  | Discretionary Hyphens and Nonbreaking Hyphens
 |  | Hyphenation and User Dictionaries
 |  | Up Next
 | Chapter 12. Mastering Tabs and Tables
 |  | Setting Tabs
 |  | Creating Decimal Tabs
 |  | Using Tab Leaders
 |  | Reply Forms
 |  | Numbered Lists
 |  | Right Indent Tab
 |  | Working with Tables
 |  | Creating a Table
 |  | Working with Rows and Columns
 |  | Working with Table Cells
 |  | Up Next
Part III: Styles
 | Chapter 13. Stylin' with Paragraph and Character Styles
 |  | Creating Styles
 |  | Applying Styles
 |  | Editing Styles
 |  | Redefining Styles
 |  | Creating Default Styles
 |  | A Typical Style Sheet
 |  | Up Next
 | Chapter 14. Mo' Style
 |  | Paragraph Rules
 |  | Sequential Styles
 |  | Nested Styles
 |  | Object Styles
 |  | Up Next
Part IV: Page Layout
 | Chapter 15. Setting Up Your Document
 |  | Choosing a Page Size
 |  | Determining Margins
 |  | Determining Column Width
 |  | Changing Columns
 |  | Break Characters
 |  | Page Numbers
 |  | Section Markers
 |  | Layers
 |  | Up Next
 | Chapter 16. Everything in Its Right Place: Using Grids
 |  | Things to Consider
 |  | Your Grid Tool Kit
 |  | Calculating the Height of the Type Area
 |  | Align to Grid
 |  | First Baseline Options
 |  | Snap to Guides
 |  | Create Guides
 |  | Up Next
 | Chapter 17. Text Wraps: The Good, the Bad, and the Ugly
 |  | Applying Text Wraps
 |  | Wrapping Type Around Irregularly Shaped Graphics
 |  | Text Wrap Preferences
 |  | Ignoring Text Wrap
 |  | Anchored Objects
 |  | Up Next
 | Chapter 18. Type Effects
 |  | Gradient Type
 |  | Stroked Type
 |  | Drop Shadows
 |  | Custom Type with Create Outlines
 |  | Path Type
 |  | Vertical (Stacked) Alignment
 |  | Transparency Effects
 |  | Shaping Text Frames
 |  | Sheared Type
Index

Previous Page


Copyright

InDesign Type: Professional Typography with Adobe InDesign CS2

Nigel French

This Adobe Press book is published by Peachpit

For information on Adobe Press books, contact:

Peachpit

1249 Eighth Street

Berkeley, CA 94710

510/524-2178

800/283-9444

510/524-2221 (fax)

For the latest on Adobe Press books, go to www.adobepress.com

To report errors, please send a note to errata@peachpit.com

Peachpit is a division of Pearson Education.

Copyright © 2006 Nigel French

Editor: Douglas Cruickshank
Acquisitions Editor: Pam Pfiffner
Production Editor: Susan Rimerman
Copyeditor: Hope Frazier
Compositor: Kim Scott, Bumpy Design
Indexer: Patti Schiendelman
Cover Design: Aren Howell
Interior Design: Charlene Charles-Will and Kim Scott

Notice of Rights

All rights reserved. No part of this book may be reproduced or transmitted in any form by any means, electronic, mechanical, photocopying, recording, or otherwise, without the prior written permission of the publisher. For information on getting permission for reprints and excerpts, contact permissions@peachpit.com.

Notice of Liability

The information in this book is distributed on an "As Is" basis, without warranty. While every precaution has been taken in the preparation of the book, neither the author nor Peachpit shall have any liability to any person or entity with respect to any loss or damage caused or alleged to be caused directly or indirectly by the instructions contained in this book or by the computer software and hardware products described in it.

Trademarks

Adobe InDesign is a registered trademark of Adobe Systems in the United States and/or other countries.

Many of the designations used by manufacturers and sellers to distinguish their products are claimed as trademarks. Where those designations appear in this book, and Peachpit was aware of the trademark claim, the designations appear as requested by the owner of the trademark. All other product names and services identified throughout the book are used in an editorial fashion only and for the benefit of such companies with no intention of infringement of the trademark. No such use, or the use of any trade name, is intended to convey endorsement or other affiliation with this book.

9 8 7 6 5 4 3 2 1

Printed and bound in the United States of America


Acknowledgments

I'd like to say a big thank you to the following folks for their help: My editor Douglas Cruickshank, technical editor Michael Ninness, acquisitions editor Pam Pfiffner, book designers Charlene Charles-Will and Kim Scott, cover designer Aren Howell, production editor Susan Rimerman, copy editor Hope Frazier, Olav Kvern at Adobe, Jonathan Humfrey and Auriga Bork at Lynda.com, Mandy Murray and Peter Hooper at IPC Media, Julian Woodfield at Media Training, Carole McClendon, Nadia Proudian, Craig Zeital, Hugh D'Andrade, Sam Dunn, Rajani Venkatraman, and, of course, my dear old Mum.


Introduction

Today we are all typographers. Everyone knows what a font is; most people have an opinion about the fonts they like and those they don't. Typography is no longer an arcane trade plied by curmudgeonly men with inky fingers, but rather a life skill. We make typographic decisions every daythe printed material we choose to read, the fonts we select for our correspondence, even the advertising we respond to, consciously or subconsciously.

This democratization of typography is empowering and anyone can participate. But to do it well you need to know a thing or twowith power comes responsibility. If you are using, or plan to use, InDesign then you have at your disposal state-of-the-art software for creating typographic layouts of any length and complexity. But InDesign didn't just arrive in 1997 when version 1.0 of the program was launched. It is part of the continuum of technological advances, going back to the Fifteenth Century with the invention of moveable type and moving with a quantum leap through the mid 1980s with the development of the PostScript page description language. The terminology and typographic conventions around which InDesign is built have evolved over generations; the typefaces on your font menueven the funky postmodern onesare clearly related to the letter shapes chiseled into the Trajan Column nearly 2000 years ago.

Whether you are new to InDesign or a seasoned user, you've probably found yourself wondering: What are all these controls? Where did they come from? And, perhaps more important: How do I use them? And Why? This book attempts to answer these questions. It is not just about how to do something in InDesign. Because it is impossible to talk about InDesign without talking about typographic history and typographic best practice, it is also a book about why certain type solutions work better than others.

It's an oft-repeated adage that good typography is "invisible," meaning that, rather than drawing attention to itself, the typography is the servant of the words it represents. As Stanley Morison, who in the 1930s brought us Times (the font designed for The Times of London, although the newspaper no longer uses it), said: "For a new fount to be successful it has to be so good that only very few recognize its novelty."

This perhaps makes typography sound like a thankless task. Where's the fame? The glory? There are few celebrity typographers, and those who are walk the streets in relative anonymity. Nonetheless typography is a noble cause. If type-faces are the bricks and mortar of communication, then we, the typographers, are the architects. A simple and understated building may pass unnoticed by many, but everyone notices an ugly one. Likewise with typography: Good designs serve their purpose and may not elicit comment, but we can all spot bad typography, even though we may not be able to say why it's bad. This book is about avoiding ugly and thoughtless typea major step in the direction of creating beautiful type.

Who Should Read This Book?

This book deals almost exclusively with English language typography. Not because it is the most important, but because it is what I know. It focuses on print rather than screen publishingeven though many of the techniques presented here apply equally to Web typography. It is primarily concerned with the typographic conventions of magazine and book publishing. The techniques in this book will help you create pages and layouts to a professional standard by following a certain set of typographic "rules." My approach is utilitarian rather than experimental. These rules are not intended to be stifling or limiting to creativity. Rather, they are intended as a starting point. Learn them. Then, if you choose, break the rules, but break them consciously, knowing why you break them. Whatever you do, don't ignore them.

I should also mention that although written specifically for CS2, the majority of the techniques in the book are applicable for earlier versions of InDesign. Where there is a keyboard shortcut for the command, I indicate the Macintosh shortcut first, followed by the Windows shortcut in parentheses. For example: Cmd+Option+W (Ctrl+Alt+W).

I hope that you enjoy InDesign Type and find it a useful addition to your typographic bookshelf. I'm keen to get your feedback, so please email me with any comments, corrections, or suggestions.

Nigel French

nigelfrench@earthlink.net


Part I: Character Formats

    Chapter 1. Getting Started

    Chapter 2. Going with the Flow

    Chapter 3. Character Reference

    Chapter 4. Getting the Lead Out

    Chapter 5. Kern, Baby, Kern

    Chapter 6. Sweating the Small Stuff: Special Characters, White Space, and Glyphs

    Chapter 7. OpenType: The New Frontier in Font Technology


Chapter 1. Getting Started

BEFORE WE GET INTO THE NITTY-GRITTY of working with type in InDesign, let's take a few moments for an overview of the InDesign interface, and where we find all the type-related features. We'll look at the essential skill of navigating pages efficiently and economically, and how we can set up a custom workspace conducive to a type-oriented workflow.


An InDesign Type Map: Where to Find Stuff

Everything relates to type in one way or another, but here I want to point you in the direction of the most frequently used type-related menu and palette options as well as InDesign preferences that control how type behaves. As with any of the big-hitter design applications these days, there is usually more than one way to do something. Sometimes, it's nothing more than a matter of preference; other times, new features have been added improving on old featuresso that veteran users aren't alienated, the old menu options remain. What follows is my personal take on the best way of doing things.

Tip: Setting Defaults

When you make a change to InDesign's Preferences, you are affecting only the document you are working on. If you want to change the preferences for every document you create from this point on make sure you have no InDesign document open, that way your changes become application preferences. And this doesn't apply only to settings in the Preferences dialog boxyou can set your own defaults for just about anything. So, for example, if you're tired of getting Times New Roman 12 point every time you type into an empty text frame, just make sure you have no document open, choose Type>Font and change the font to something else, which then becomes your default font. One more thing: Should you want to return to the "factory defaults," hold down Shift+Option+Command+Control (Shift+Ctrl+Alt) as you start InDesign, then click Yes when asked if you want to delete your preference files.

Recommended Type Preferences

The key words here are "recommended" and "preferences." There are several preferences relating to type; for now, I just want to point out where they are and suggest a couple of changes to the factory default settings. I'll deal with each preference specifically in the relevant chapter. We all work differently; these are the settings I use.

The Tools Palette

No matter how proficient you are, with InDesign there are two tools you'll use most of the time: the Selection Tool and the Type Tool. The Selection Tool is used for (among other things) moving text frames, resizing text frames and threading text frames. The Type Tool is used for formatting and editing the text inside those frames. You move back and forth between these two tools a lot, so it's handy that there's a way to toggle between them.

To work with text frames while the Type Tool is selected, hold down Command (Control) to switch to the Selection Tool. With the key held down, you can drag the frame to move it, or drag any of the frame handles to resize it. When you release the key, you're back in the Type Tool.

The companion shortcut to the above is when you're using your Selection Tool, you double-click a text frame and your cursor changes to the Type Tool, inserted at the point where you double-clicked.

Figure 1.1. Type Preferences. There's no compelling reason to change any of these.

[View full size image]

Figure 1.2. Advanced Type Preferences. I recommend changing the Superscript and Subscript preferences to the percentages shown. Superscript and Subscript are discussed in Chapter 3: Character Reference.

[View full size image]

Figure 1.3. Composition Preferences. You might want to turn on the Highlight options depending on what stage of the design process you are in. When fine-tuning your document they can be useful in highlighting composition problems, like widows and orphans (Keeps Violationssee Chapter 5), bad word spacing (H&J Violationssee Chapter 8) and any unnecessary or over zealous kerning and/or tracking that may have been applied by someone else in your workgroup (Custom Tracking/Kerningsee Chapter 5).

[View full size image]

Figure 1.4. Units & Increments Preferences. Horizontal and Vertical Unit of Measurement: Picas. Perhaps not the most logical of measurement systems, but they are the typographic standard. For example, wouldn't you rather have an indent of 1 pica rather than 4.233 millimeters? For a discussion of pica and points see Chapter 6: Sweating the Small Stuff.

I change the Kerning increment to 5. Note that this also sets the increment for Tracking. For some bizarre reason the factory default for this preference is 20, which results in kerning or tracking amounts that are too coarse.

[View full size image]

Figure 1.5. The Tools palette with the most important type-related tools in bold. Press the shortcut key (in parentheses) to select the tool (except when using the Type or Type on a Path tools).

[View full size image]

The Control Palette

The Control palette is a chameleon, changing its appearance according to what kind of element you have selected. When using the Type Tool the Control palette has two views, a handy toggle Cmd+Option+7 (Ctrl+Alt+7) switches between them.

Figures 1.6A and 1.6B. The Control palette in Character Formats view and the Character palette, which offers the same options.

[View full size image]

Figures 1.7A and 1.7B. The Control palette in Paragraph Formats view and the same options offered by the Paragraph palette.

[View full size image]


Viewing Your Page

There are several ways to view and navigate your InDesign documents. These methods are not all equal; some are without doubt better than others. For the myriad options you have, you can do most everything you need with just three shortcuts.

  1. Zooming In: Cmd+Spacebar (Ctrl+Spacebar) click and drag. If you value your eyesight, get in big when editing text. There's no point squinting at a page you can barely read. You could choose the Zoom Tool from the Tools palette, but save yourself the trouble. Instead, access the Zoom Tool while in any other tool, by holding down Cmd+Spacebar (Ctrl+Spacebar); your cursor changes to a magnifying glass. Now, rather than click to increase your view percentage, click and drag a marquee around the portion of your layout you want enlarged. The defined portion then fills your window.

  2. Moving Around: Option+Spacebar (Alt+Spacebar) click and drag. Once at an enlarged view you'll likely want to move around at that view size. Click and drag with the Hand Tool to move your page or spread around within the document window. You can also use the Hand Tool at reduced view sizes to move vertically through pages. Don't bother with the scroll bars; it's hard to estimate their sensitivity and you'll waste a lot of time getting to exactly where you want to be.

  3. Zooming Out. Cmd+Option+0 (Ctrl+Alt+0) to fit your spread (or page) in Window. Having zoomed in and made your changes at a comfortable view size, zoom out again to get an overall perspective on your page or spread. You'll find yourself constantly bopping back and forth between an increased view sizecomfortably enlarged so as not to strain your eyesand "Fit Spread in Window."

Figure 1.8. The Zoom Tool and the Hand Tool. Only a rank amateur ever chooses them from the Tool palette. Use the shortcuts instead:

Tip

There are actually two ways to access the Hand Tool: When in any tool other than the Type Tool, pressing the Spacebar temporarily switches the current tool to the Hand Tool. However, if you are in the Type Tool, holding down Spacebar gets you a whole mess of spaces. An obvious point, but you'd be surprised how easy it is to make this mistake. If you are in the Type Tool, instead, hold down the Option (Alt) key to temporarily access the Hand Tool. When working quickly it's easy to forget where you are and which key you need, so I've found it's easier to standardize on Option/Alt+Spacebar, which works in all situations.

Figure 1.9. Typical Display: Don't choose Fast unless you like your type jagged. These settings do not affect print quality.

Tip: A Case of the Jaggies

If your type looks bitmapped on screen it's probably because you have switched to the Fast Display mode, InDesign's low-resolution, quick screen redraw option. Choose View>Display Performance and switch to Typical or High Quality. You can also change this option permanently in the Preferences dialog.

Moving Between Pages

For documents consisting of only two pages or spreads, you can navigate from one page to the next efficiently with the Hand Tool. For longer documents, use the Pages palette, the Pages pop-up menu at the bottom left of your document window, or the options under the Layout menu.

When using the Pages palette to navigate between spreads with facing pages, double clicking the page numbers will fit the spread in the window, whereas double clicking the page icon will fit that specific page in the window.

Figure 1.10. The Pages palette.

Figure 1.11. The Pages Pop-up.

Figure 1.12. The Layout Menu showing the options for navigating between pages.

Tip: Alphabetizing Menus

It's a small thing, perhaps a feature you'll never use, but it's nice to know it's there. You can view your menu items in alphabetical order by holding down Cmd+Shift+Option (Ctrl+Shift+Alt) when you choose the menu. This comes in handy when you're searching for that pesky menu item you can't find but you know is there.


Creating a Typography Workspace

At last count, there were 3,572 different palettes in InDesign. That's an exaggeration, but sometimes it doesn't seem like much of one. InDesign palettes are so numerous you would swear they breed like rabbits when your back is turned. A great many of these palettes you'll seldom or never use, no matter how illustrious your InDesign career. Thankfully, InDesign gives you unprecedented control of your workspace, allowing you to saveand recall at any timethe current sizes, positions, and groupings of your palettes. The names of workspaces appear in a Workspace submenu of the Window menuor you can make a custom keyboard shortcut to switch to your workspace with a specified key combination.

First, arrange your palettes the way you want them. Create groupings that make sense to you, close those palettes you think you'll seldom or never use (if you need them at any time, they are under the Window menu), then float or dock those you want, where you want them. Choose Window>Workspace>Save Workspace and give your workspace a name.

Figure 1.13. My custom workspace (with palettes expanded).

[View full size image]

Having saved your workspace, you can load it at any time by returning to the Window menu, choosing Workspace and sliding over to your saved workspace. Alternatively, you can make yourself a keyboard shortcut to load the workspace.

  1. Choose Edit>Keyboard Shortcuts.

  2. Click New Set to create a new shortcut set without overwriting the default keyboard shortcut set..

  3. For Product Area, select the area containing the command you want to define or redefine, in this case the Window Menu.

  4. In the Commands list, scroll down to Workspace: Load 1st Workspace (you can create shortcuts for up to five workspaces).

  5. In the New Shortcut field, press the keys for your new keyboard shortcutI use Ctrl-F12. (Leave the Context list set to Default so that the shortcut functions in all situations.)

  6. Click Assign to create the new shortcut.

Now that you've laid the groundwork for an efficient workflow, let's take a look at getting type into our documents, using InDesign's text-flow methods.

Figures 1.14A and 1.14B. Making a keyboard shortcut.

[View full size image]


Up Next

The next chapter is all about getting text onto your pagetyping directly into InDesign, importing a text file, or pasting text from another applicationas well as InDesign's tools and conventions for flowing and linking text frames from column to column and from page to page.


Chapter 2. Going with the Flow

TYPOGRAPHY BEGINS WITH A SINGLE CHARACTER, and putting type on your page is about as fundamental as InDesign skills get. There are several different approaches to placing type on the page and you'll probably end up using all of them at one time or another. Let's begin with the most elemental.


A Blank Sheet: Typing on Your Page

Before you type on your page you need a container or text frame to hold your text. The good news is that with InDesign, unlike QuarkXPress, you don't have to first draw a text frame. Instead, you can create a text frame on the fly with your Type Tool, which really speeds things up. Using your Type Tool, click and drag to define the width and depth of your text frame (or, if you have a text frame already on the page, just click that) and type away.

Figures 2.1A, 2.1B, 2.1C. Scaling a Text Frame.

Tip: Scaling Type

Here is one of my favorite tipsand so simple. Drag out a text frame with your Type Tool, then type your text. You may find that your text frame is much bigger than necessary to accommodate your text. No worries, all you do is click on the Fit Frame to Content icon in the Control palette, or press Cmd+Option+C (Ctrl+Alt+C) to fit your frame nice and snug around your text. Clean, elegant, unclutteredand fantastic if you then want to scale the text by eye. Hold down Command+Shift (Ctrl+Shift) and drag from one of the four corners of the text frame to size the type while maintaining its proportions.


Text Flow

Before using any of the text-flow methods, first "load" your cursor. To do that choose File>Place, navigate to the text file you wish to import, and then click Open.

For those of you who remember PageMaker, InDesign's text-flow methods will feel comfortably familiar. Those more familiar with QuarkXPress may be tempted to say something like, "You mean I don't have to draw a text box?"because InDesign's text-flow methods are fast and fluid.

Once you have a loaded type cursor, the size of your text frame is determined by the document's column and margin settings. Simply click at the top of the column to flow a single column of text. Note that the arrow in the loaded cursor icon will change from black to white when the cursor is over a guide. If there's more text to comeoverset textyou'll need to click on the red arrow at the bottom left of the text frame to "reload" your cursor. Then move to where you want the over matter to goeither a new column or a new pageand click at the top of the column or page to flow another text frame.

Figure 2.2. The Place Menu (Cmd+D/Ctrl+D).

Careful Where You Point that Thing: What to Watch for When Flowing Text

Replace Selected Item in the Place dialog box: If this is checked and you have a text frame selected with your Selection Tool, the text file you choose will replace your selection. If you have your Type Tool inserted within a text frame, your new story will be flowed from that point in the story. These results may be what you're after, and both are useful techniques, but if they are not what you wanted, you can either press Cmd+Z (Ctrl+Z) after the fact to restore your selected text frame and give you a loaded type cursor. Better yet, make sure his option is not selected in the first place. Alternatively, choose Edit>Deselect All Cmd+Shift+A (Ctrl+Shift+A) before you place a file.

When you hold the loaded text icon over an existing frame, parentheses appear around the icon. If you click, you will replace the contents of the frame with incoming text.

Canceling a loaded text cursor: Should you decide you don't want to flow that text after all, just choose any tool from the Tool palette or press any tool letter shortcut to "unload" your cursor. No text will be deleted.

Alternatively, if you don't want the width and depth of a text frame determined by your document's columns, click and drag the loaded type cursor to the size you want. When you release the mouse button, text will flow into the area you have defined. If there is more text to be placed, click the out port to reload your cursor, then click in the next text frame to continue the text flow.

Each text frame contains an in port and an out port, which are used to make connections to other text frames. An empty in port or out port indicates the beginning or end of a story, respectively. An arrow in a port indicates that the frame is linked to another frame. A red plus sign (+) in an out port indicates that there is overset textmore text than will fit in the current text frame(s). To flow the overset text, select the frame with the Selection Tool, click the out port, and then flow another text frame.

Figure 2.3. Anatomy of a Text Frame. A. Text frame containing a whole story. B. The same text frame resized so that the text is overset.

[View full size image]

Types of Text Flow

Manual text flow adds text one frame at a time. The text flow stops at the bottom of a text frame, or at the last of a series of linked frames. You'll need to reload the text icon to continue the text flow. Manual text flow is most appropriate for short bodies of text.

Autoflow (Shift) flows all the text, adding pages and frames as necessary. Autoflow functions best when working with single-column documents containing one main storylike a novel or short story.

Semi-Autoflow (Option/Alt) works like manual text flow, except that your cursor is reloaded at the end of each frame, saving you the trouble of having to click on the red plus symbol. You then continue the text flow by clicking or dragging to create a new text frame, or clicking an existing text frame to add it to the text thread. Semi-Autoflow is most appropriate when working with long text files that are one story of several in a documentlike a magazine or newspaper article.

Fixed Page Autoflow (Shift-Option/Shift-Alt) flows as much text as will fit without adding pages. This option is useful if your document has a fixed number of pages.

Figure 2.4. Manual Text Flow icon.

Figure 2.5. The Autoflow icon.

Figure 2.6. The Semi-Autoflow icon.

Figure 2.7. Fixed Page Autoflow icon .

Previous Page
Next Page


Threading Text Frames

Continuing the text flow from one frame to another is called Threading. Here are some typical Threading techniques:

  • Adding a frame to the thread: Select the text frame with the Selection Tool, then click its out port to load your text cursor. Move to the next column or page and then click or drag to create another frame. The text flows from the frame you clicked into the new frame.

  • Delete a frame from the text thread: Select it with the Selection Tool and press the Delete key. Don't worry about losing textyou are only deleting the container, not the content.

Tip

When creating a series of threaded text frames you can speed things up, by holding Option/Alt as you drag out a new text frame. The new text frame will be automatically threaded to the previous frame.

  • Making a headline span multiple columns: In addition to the out port at the bottom right of a text frame, there is another port at the top left, which can be used to load text from the beginning of the story. This is useful when you have a multicolumn layout and you want the headline to stretch across the columns rather than being squashed into a single column. Some people just cut and paste the headline into a separate story, which works, but threading the text is more efficient because it maintains the headline as part of the story, meaning that it can be text selected, spell checked, and viewed in the Story Editor as one story, rather than as two distinct pieces.

    1. Pull down a horizontal guide from the Horizontal Ruler to approximately where the first paragraph will begin.

    2. Resize the text frame so that it begins at this guide.

    3. Load your Type Tool from the out port at the top left of the text frame.

    4. Click and drag to create a text frame that spans the depth of the headline and across the width of the two columns.

    Tip

    To see the bounding box of your text frames, even if they have nothing in them, make sure View>Show Frame Edges (Cmd/Ctrl+H) is checked.

  • Showing Text Threads: Choose Show Text Threads from the View menu, and linking arrows will indicate the flow of the text for a selected text frame.

    Some people prefer to map out their layouts, drawing and linking text frames before they have the real text. To create a series of linked text frames, draw your frames with the Rectangle Frame Tool, then click the first frame with your Type Tool to designate it as a text frame. Click the text frame's out port to link it to the next frame in the thread and continue to link the frames as necessary. Optionally, you can fill these text frames with placeholder text.

Figure 2.8. Threading a headline across columns.

[View full size image]


Using Placeholder Text

Using placeholder or dummy text when mocking up a page or spread is a time-honored tradition in the world of page layout. Back in the day, folks used a text file called Lorem Ipsum, which looked like Latin but actually was mumbo jumbo with word and sentence lengths approximating those of an "average" article. Today this feature is built into InDesign: Just place the Type Tool in a text frame, or click and drag with the Type Tool to create one, then select Type>Fill with Placeholder Text and that frame (or frames if you have a series of linked text frames) is filled with dummy text.

Tip: Create your Own "Dummy" Text

Tired of using pigeon Latin for your placeholder text? You can create custom placeholder text by making a text file with the text you want to use and naming it 'placeholder.txt.' Save the file in the InDesign CS2 application folder and thereafter this is what you'll get when you choose Fill with Placeholder Text.

Rectangles and Rectangle Frames: What's the Difference?

There are two tools that do essentially the same thing: the Rectangle Tool (and its associated tools Ellipse and Polygon) and the Rectangle Frame Tool (along with the Ellipse Frame and the Polygon Frame). What's the difference? Essentially there is none. Shapes drawn with the Frame tools appear with an "X" inside them. Presumably you are going to put content into them. If you use Rectangle, Frame or Polygon, there's no "X" and they are intended as graphic elements in their own right. That said, there's nothing stopping you from putting text or a graphic inside a rectangle (just insert the Type tool in the frame and it is designated a text frame). Likewise there's nothing stopping you from using the frames as standalone elements. There's no reason, at least none I can think of, why these two sets of tools can't be merged into one. I suspect they exist as discreet tools to appeal to Quark users who are conditioned to draw boxes for their content.

If you need to change the shape of any object, for example from a rectangle to an ellipse or visa versa, choose Object>Convert Shape.

Figure 2.9. Empty Text frames threaded together and filled with placeholder text. Text Threads are shown.

[View full size image]


Pasting Text

Another method for getting text into an InDesign document is to copy and paste it from another application. Before you do this you might want to check out a related preference in the Type Preferences dialog box: Preserve Text Attributes When Pasting. Depending on the result you want, this can either be a blessing or a curse, so it's good to know you have the option. Note that when you paste text from another application, "dumb" or straight quotes will not be automatically converted to Typographer's quotes, nor will double hyphens be converted to em dashesboth standard niceties that come with importing a text file using the Place command.

Figure 2.10. Preserve Text Attributes When Pasting.

[View full size image]


Importing Word Text

When placing a Microsoft Word file, if you check Show Import Options, you are taken to the Microsoft Word Import Options dialog. This is a much-enhanced feature in CS2 and allows for complex mapping of Word paragraph and character styles to InDesign styles. We'll look at Customize Style Import in Chapter 13, " Stylin' with Paragraph and Character Styles." For now, notice that you have the option of importing your Word text with or without Styles and Tables formatting, as well as being able to control the import of Word-created footnotes, endnotes, table of contents text, and index text.

Figure 2.11. Show Import Options and the Microsoft Word Import Options.

[View full size image]


Up Next

With text on your page, it's time to look at the options you have for styling your type. The next chapter deals with the many options available on the Character Formats level of the Control Palette, as well as the aesthetic considerations when choosing those options.


Chapter 3. Character Reference

WHEN IT COMES TO TYPEFACES, we are spoilt for choice. But with so many fonts just a mouse click away, it's easy to be overwhelmed rather than empowered by all that choice. We've probably all felt intimidated at one time or another by the length of our font menus. if you're like me, you've probably frittered away the best part of a day experimenting with this or that enticingly named font, only to find yourself unsatisfied with the results.

Complicating matters is the fact that our typefaces may be sending messages without our knowing it. Typefaces can be loadedoften through no fault of their ownwith symbolism or meaning. For example, Times New Roman or Helvetica/Arial might scream "generic" because we are so used to seeing them as the "default" font; Fette Fraktur, because of its adoption by the National Socialists, might connote Nazism. Other fonts, once fashionable, may be trapped in a historical periodgreat if you want to evoke that era, but a potential faux pas if not. Who, in the early twenty-first century, hasn't been overexposed to Comic Sans? Certain fonts may have been co-opted by a ubiquitous advertising campaign and can't help but evoke that product; others may have suddenly become fashionable, only to suddenly changelike an overplayed song on the radiofrom flavor of the month to minor irritation. What's more there's a growing number of type geeks out there who relish the opportunity to point out the historical inappropriateness of using an English sans serif from the 1930s for a book about a Russian art movement of the 1920s.

Tip: Type Specimen Book

The only way to efficiently evaluate typefaces is by using a type specimen book. Don't be tempted to forgo this essential reference in favor of pulling down typefaces from the font menu to see how they look; this is a surefire way to waste time. Several such books are available, including The Type Specimen Book (John Wiley & Sons), and Font Bureau Type Specimens (www.fontbureau.com). Alternatively, you can browse typefaces in the Adobe Type Library at http://store.adobe.com/type/.

Maybe I exaggerate. But only a little. The thing is, there's no way to predict how readers will react to our type choices, and, the bolder those choices, the more likely we are to upset someone. So, it's a good idea to arm yourself with at least a basic knowledge of typographic history, a solid understanding of the fonts you use most often, and an awareness of the connotations that certain typefaces carry.


Less is More, Maybe

My personal type aesthetic is a minimalist one, though I wonder if this is just laziness: If less is more, then maybe I can get away with knowing fewer typefaces. Perhaps more is more, but the reality is that it's better to know and understand a few typefaces well than to have a font list a mile long and only a passing acquaintance with the fonts that are on it.

Choosing a typeface is about enhancing the meaning of the text you are working with. It's also about meeting the expectations and matching the tastes of your client. In a perfect world, we'd all read and thoroughly digest the text documents we are given to work with as raw materials. Depending on the length of your documents, that may or may not be possible, but you should at least have an understanding of the intended message.

Figure 3.1. A page from Adobe's online type library.

[View full size image]


Type Anatomy

To talk meaningfully about type we need to share a common vocabulary. Below is a simple diagram deconstructing letter shapes into their constituent parts.

Figure 3.2. The parts of a letter.

[View full size image]


Type Classification

There is no single recognized standard for classifying typefaces; rather there are several overlapping standards. For our purposes I'm going to use a simplified version of Adobe's type classification, showing three examples of each category.

Venetian Oldstyle

Named after the first Roman typefaces that appeared in Venice around 1470, Venetian typefaces were initially designed to imitate the handwriting of Italian Renaissance scholars. Distinguishing features:

  • Sloping bar on the lowercase e

  • Angle of stress that approximates that of a broad-nibbed pen held at an angle to the page

  • Little contrast between thick and thin strokes

  • Examples: Adobe Jenson, Berkeley Oldstyle, Centaur

Garalde Oldstyle

Garalde typefaces include some of the most popular roman styles in use today. Distinguishing features:

  • Horizontal bar on the lowercase e

  • A slightly greater contrast between thick and thin strokes than Venetian types

  • Axis curves that are inclined to the left

  • Bracketed serifs

  • Examples: Adobe Garamond, Bembo, Minion

Script

Script typefaces mimic handwriting by joining letters with connecting lines. For this reason, scripts require extra attention to the kerning of their letters. Also, you never want to set a script typeface in all caps.

  • Examples: Linoscript, Kunstler Script, Mistral

Figure 3.3. Venetian Oldstyle.

[View full size image]

Figure 3.4. Garalde Oldstyle.

[View full size image]

Figure 3.5. Script.

[View full size image]

Transitional

Representing a move away from letter shapes based on handwriting, transitional types were the first typefaces to be drawn as shapes in their own right. They represent a transition between Garalde and Modern (Didone) typefaces, and contain aspects of both. Distinguishing features:

  • A vertical, or near vertical axis

  • Pronounced contrast between hairlines and main strokes

  • Serifs are thin, flat and bracketed

  • Examples: Baskerville, Perpetua, Stone Serif

Didone (Modern)

Named after Firmin Didot and Giambattista Bodoni, Didone typefaces were a response to improvements in late 18th Century paper production, composition, printing and binding, which made it possible to develop typefaces with strong vertical emphasis and fine hairlines. Distinguishing features:

  • Strong contrast between thick and thin strokes

  • Vertical axis

  • Mechanical appearanceconstructed rather than drawn

  • Fine, unbracketed, serifs

  • Examples: Bodoni, Didot, Fenice

Slab Serif

With the Industrial Revolution came the increased use of posters, billboards, and other forms of advertising, and the need for bolder, more in-your-face typefaces. Slab serif typefaces were originally called "Egyptians," reflecting the public's enthusiasm for the archeological discoveries of the time. Distinguishing features:

  • Heavy, squared-off serifs

  • Relatively consistent stroke weight

  • Sturdy

  • Examples: Clarendon, Memphis, Rockwell

Sans Serif

The first sans serif typeface was issued in 1816, but it wasn't until the 1920s, with the influence of the Bauhaus and de Stijl art movements, that sans serifs became popular. Within the broad category of sans serif, there are four sub categories: Grotesque, Neo-Grotesque, Geometric, and Humanist.

  • Examples: Futura, Gill Sans, Myriad Pro

Figure 3.6. Transitional.

[View full size image]

Figure 3.7. Didone (Modern).

[View full size image]

Figure 3.8. Slab Serif.

[View full size image]

Figure 3.9. Sans Serif.

[View full size image]

The following classes of type all play a supporting role:

Decorative & Display

While typefaces in this group incorporate elements from many styles, they are most effective when used in large sizes for display purposes, such as headlines and titles.

  • Examples: Arnold Böcklin, Rosewood Standard, Industria

Tip: Formatting Type

In addition to using the Type Tool to select a range of text, you can also use the Selection Tool to select a text frame (or frames) and apply the same formatting options to the whole frame, including any overset text.

Blackletter

These typefaces are sometimes referred to as Old English or Gothic. They were used for text in Germany until World War II, but are now primarily used as display type.

  • Examples: Fette Fraktur, Goudy Text

Monospaced

All of the characters in a monospaced typeface have the same width. Most typefaces have proportionally spaced characters, but monospaced characters may be required when setting text on forms, financial statements and other documents where exact spacing is required.

  • Examples: Courier, OCR-A Std, Letter Gothic

Ornamentals

Ornamental typefaces contain decorative ornaments or symbols and can be used to embellish or decorate documents. Some OpenType fonts include ornaments as part of their extended character set.

  • Examples: Adobe Wood Type Ornaments, Minion Pro Ornaments, Adobe Caslon Ornaments

Symbol

Symbol or picture typefaces fulfill a number of nontext functions: musical notation, map making, mathematics, crossword, and puzzle publishing.

  • Examples: ITC Zapf Dingbats, Symbol, Carta.

Figure 3.10. Decorative and Display.

[View full size image]

Figure 3.11. Blackletter.

[View full size image]

Figure 3.12. Monospaced.

[View full size image]

Figure 3.13. Ornamentals.

[View full size image]

Figure 3.14. Symbol.

[View full size image]

Type Selection and Navigation Shortcuts

Move to start or end of story: Cmd+Home or End (Ctrl+Home or End)

Select start or end of story: Shift+Cmd+Home or End (Shift+Ctrl+Home or End)

Select one word: Double-click word

Select one line: Triple-click line (depending on Text Preferences setting)

Figure 3.15. Text Preferences.

Select one paragraph: Quadruple click

Select whole story: Cmd+A (Ctrl+A)

Select to the beginning of the line: Cmd+Shift+Up Arrow (Ctrl+Shift+Up Arrow)

Select to the end of the line: Cmd+Shift+Down Arrow (Ctrl+Shift+Down Arrow)

Move to the beginning of the line: Cmd+Up Arrow (Ctrl+Up Arrow)

Move to the end of the line: Cmd+Down Arrow (Ctrl+Down Arrow)

Access the Control Palette: Cmd+6 (Ctrl+6)

Toggle between Character/Paragraph Formatting Controls in the Control Palette (if the Type tool is selected): Cmd+Option+7 (Ctrl+Alt+7)

Double click a text frame with the Selection Tool to switch to the Type Tool. You can toggle back to the Selection Tool from the Type Tool (or any tool) by holding down Cmd (Ctrl).

Figures 3.16A and 3.16B. Hidden Characters Shown.

[View full size image]

Tip

Work with your Hidden Characters visible. This is a good way to troubleshoot potential composition problems because you can see any forced line breaks, tabs, and multiple spaces that may have crept into your text. You can toggle this view option on and off by choosing Type > Show Hidden Characters or by pressing Cmd+Option+i (Ctrl+Alt+i).


Character Formatting Options

This section looks at the basic options available in the Character Formatting Controls on the Control Palette or on the Character Palette.

Figure 3.17. The Character Palette.

Font and Font Style

Because InDesign is a type snob (in a good way), it won't allow you to make "faux" type styles. There's no I or B icon you can click to make your text italic or bold. Instead you need to choose the real italic or real bold weights of that font from the Type Style pull down. Alternatively, the shortcuts: Cmd+Shift+I (Ctrl+Shift+I) or Cmd+Shift+B (Ctrl+Shift+B) will select the real italic or bold weights for youso long as you have the real italic or bold weight of the font installed.

Using Italic Type

Italic typesso named because they evolved in Italy (in early 16th Century Venice)are designed to complement their roman siblings. They are distinct fonts in their own right and not just slanted versions of the roman. Italics are typically used to clarify a word, differentiating it from the rest of the text. Italics are commonly used for the titles of films, book, magazines, or for foreign phrases or terms, and often to indicate emphasis.

Tip

To quickly access the font menu on the Control palette press Cmd/Ctrl+6. From there, you can type the first few letters of the font you're after to go directly to it, or at least close to it, on the font menu.

Figure 3.18. Real italics vs. slanted type. A is Minion Pro italic; B is Minion Regular slanted to 12°. Note the difference between the a, e, and f.

Italics are lighter than their roman counterparts, and their slant can make the type look hurried. Because the characters are more decorative, they can also draw too much attention to themselves. For these reasons, avoid long passages set in italics. Italics are unique but if overused that uniqueness is lost.

Using Bold Type

Bold weights are typically applied to headings, subheads, and running heads to establish hierarchy. In many booksthis one, for examplebold is also used for referring to figures. If you are using bold weights for emphasis in body text, do so sparingly. Bold text can attract too much attention, breaking up the continuity of your text.

Figure 3.19. Different ways to add emphasis. Clockwise from top: Italic, Bold, Highlight (In Underline Options an 11 pt yellow "underline" offset 2.5pt to sit behind the type), and using color.

Small Caps

Small caps have the following uses:

  • For acronyms and abbreviations. Because small caps are smaller than full size capsslightly larger than the x-heightthey are less obtrusive and do not overwhelm the upper and lower case type as full size capitals would.

  • As a transition from a drop cap to the regular body text size (See Chapter 10: "First Impressions: Creating Great Opening Paragraphs")

  • For abbreviations like AM and PMwith no letter spaces or periods (though it more contemporary to use lowercase: 3pm, 7pm, etc.).

The problem with Small Caps is that unless you are using an OpenType font or an Expert Set (a font of supplementary characters), you'll end up with fake small caps. Fake small caps are regular caps that have been scaled down in size, rather than redrawn characters designed to work in proportion with the regular caps. Because all their proportions are reduced, their weight tends to look too light and spindly and their strokes will not be the same thickness when set alongside regular caps.

Figures 3.20A and 3.20B. Small Caps. A has the abbreviations in small capsslightly higher than the x-height; B has them at full-caps size.

Figure 3.21. Small Caps: real vs. fake. Example A uses real small capsthe weight of the character strokes is uniform. Example B uses "fake" small capsregular caps sized at 70 percent.

All Caps

You know those people who type their emails in ALL CAPS? Annoying, aren't they? Continuous text set in all caps is hard to read because the shapes of the words all look alike and are differentiated only by their length. We recognize words as shapesthe descenders and the ascenders of upper and lowercase text are essential to our ability to identify letters. Also, text set in all caps within body text tends to look disproportionately large when set among upper and lowercase text; hence the need for Small Caps. Just as shouting doesn't make your message any clearer, setting text in all caps doesn't make your message any more compelling.

None of this is to say don't use All Capsjust use them thoughtfully. All Caps can be effective in headlines and subheads. Because there are no descenders, you should tighten the leading. Depending on the typeface, you may want to loosen the tracking for a sophisticated and understated look or tighten the tracking for a more solid, contrasty look.

Figure 3.22. All Caps Treatments. The lack of serifs in the sans serif examples allows tighter tracking of the letters, which, in combination with the blockiness of the letter shapes, gives a more solid look, suitable in some instances but not in others. Loose tracking makes the serif versions more elegant. Context is everything.

Figure 3.22A. Text set in ALL CAPS is more difficult to read because, without ascenders and descenders, all of the word shapes are the same. Compare the more interesting word shapes created by upper and lowercase to the rectangles created by using ALL CAPS.

Superscript and Subscript

Superscript is typically used for ordinals in numbers or for footnotes. Subscript is used in chemical formulae. In Text Preferences, you can change the size of both relative to the point size of your text. You can also changetheir position relative to the baseline of the text. For best results set the Super/Subscript size to 60 percent, the Superscript position to 33 percent and the Subscript position to 0 percent.

Figure 3.23. Superscript/Subscript Preferences.

Figure 3.24. Uses of Superscript and Subscript.

Underlining

In days of yore, when records came on vinyl and people typed on machines called typewriters, underlining was de rigueur for giving emphasis. But that was only because typewriters couldn't do it any other way. Underlining, as every type manual will tell you, should not, in these days of typographic sophistication, be used for emphasis. The underline collides with the descenders of the word and looks downright ugly. However, underlining has become more sophisticated and is, dare I say it, perhaps making a comeback. These days you can change the weight of the underline and its distance from the baseline. Even so, underlined textno matter how fancy the underlineis always going to be mutton dressed as lamb. That said, there are some nifty tricks you can do with underlining when applied as part of a style definition. But that's another storysee Chapter 13, "Stylin' with Paragraph and Character Styles."

Tip

Really can't resist underlining? Try adding a paper colored stroke to the underlined type. This prevents the underline from slicing through the descender shapes.

Figure 3.25. Underlining Options: Example A uses a generic underline; in example B, the type has a 0.75 pt paper-colored stroke, which keeps the underline away from the descender of the "y." In example C, in addition to the paper-colored stroke, the color and weight of the underline have been adjusted. Choose Underline Options from the Control palette menu in the Character Formats.

Strikethrough

You might use strikethrough to indicate which text will be deleted as a document moves through revision cycles, or once in a blue moon if you're working on a legal document that requires you to indicate revisions. Alternatively, you might want to make a "highlight" character stylesee Chapter 13, "Stylin' with Paragraph and Character Styles."

Tip

Switch between the Character and Paragraph formatting views of the Control Palette by pressing Cmd+Option+7 (Ctrl+Alt+7).

Baseline Shift

What can one say about the humble and oft-misunderstood baseline shift?

First, here's what it should not be used for: Never, under any circumstances, use Baseline Shift to adjust inter-paragraph spacingthat is the function of leading and/or paragraph spacing.

  • Baseline shift is for fine tuning. It can be used to create effects in type, but mainly it's used for finessing when you feel that certain characters need shifting relative to the baseline of other characters on the same line. To apply a baseline shift, use the Control Palette (nudge arrows move in one point increments) or the Options box of the Character Specifications dialog box.

Baseline shift can be used for the following:

  • Adjusting the position of bullets, ornaments, and inline graphics

  • Creating fractions, although OpenType fonts and the Make Fraction Script have made this use largely redundant

  • Tweaking the position of symbols like $, ®, ©, and ™

  • Adjusting the position of parentheses, braces, and brackets relative to the type they enclose, especially when used with All Caps. (Again, OpenType fonts make this less necessary)

  • Creating type effects

Tip

You can quickly access the preferences for these styles by Option/Alt-clicking their icon, which will take you to the Text Preferences dialog box.

Figure 3.26. Using Baseline Shift to "illustrate" a word.

Why Do Some Fonts Look Bigger than Others?

Take a selection of fonts, set them in the same size, and you'll find that some look bigger than others. What gives? The explanation for this goes back to the days of handset type when point size referred not to the size of the letter itself but to the size of the metal block on which the type was cast. Some typefaces occupied more space within their block than others. These days, point size refers to the size of the bounding box that surrounds each letter, but it is still the space in which the type lives that we actually measure, not the letter itself.

For this reason, let your eye guide you, not the point size. And an obvious point, but one still worth making: When evaluating your type, print test pages rather than relying on what you see on your screen.

Horizontal and Vertical Scale

Get caught using these options, and the Type Police will come knocking on your door. Mess with the proportions of your typeface and you are trampling roughshod over the life's work of some of the world's finest artisans. OK, so maybe I'm being a bit dramatic, but faking a condensed typeface (one with a narrower horizontal scale) or an expanded typeface (one with a wider horizontal scale) will make the character shapes look spindly and the overall effect look amateurish. It's better to choose a real condensed or real expanded typeface. It's like the difference between My Way sung by Frank Sinatra or by some random bloke doing a karaoke version after a few too many pints. Condensed faces include Times Roman and Garamond Condensed. Expanded faces are more typically used for display instead of body type, and are more likely to be sans seriflike Helvetica Neue Expanded or Univers Extended.

Figure 3.27. A real condensed font vs. a fake condensed font. ITC Garamond Light Condensed (A), and ITC Garamond Light (B) with horizontal scale set to 72 percentnote the lighter weight of the letters due to the scaling.

Having said all that in such a dogmatic way, I'll now put in a disclaimer about retaining the right to contradict myself. For every rule, there will be examples of ways it can be creatively broken, and distorting type is no exception. The point I'm making is if you want to break this or any typographic "rule," then do so consciouslyand carry a big stick.

Text and Display

Body text or body copy is the small type (typically in sizes between 8-12 pt) that makes up the majority of a book or article and carries the bulk of the message. When choosing the size of your body text, you can probably go smaller than you think. Text that is too small is difficult to read in large quantities; on the other hand, text that is too large looks amateurish and clunky. While 12 point type is InDesign's default type size and looks about right on screenchances are it will look too big in print. Start out with 10 point text, then increase or decrease as necessary according to the characteristics of the font (and the needs of your audience).

Display type is the big type (typically 18 points and above) that grabs the reader's attention and appears as signposts (in the form of heads and subheads) throughout a book or article.

While size usually indicates the type's intent, it is not always the case. Display type can sometimes attract attention by being understated.


Readability

Readability refers to the ease with which we comprehend text by recognizing words and phrases as shapes. Readability is all about putting the reader first and leaving your ego behindor at least confining it to your early drafts. Good typography is said to be "invisible"you don't even notice it. Instead the type is a conduit for the message of the text. This might make the typographer sound undervalued, but while your readers may not notice good typography, they will certainly recognize bad typography. As the acclaimed typographer and book designer Jan Tschichold put it: "To remain nameless and without specific appreciation, yet to have been of service to a valuable work and to the small number of visually sensitive readersthis, as a rule, is the only compensation for the long, and indeed never-ending, indenture of the typographer.[1]" Humbling stuff.

[1] "Clay in a Potter's Hand," in The Form of the Book, p. 7.

Serif vs. Sans

Readability studies have found that serif typefaces are better for continuous reading. Explanations for this vary. Some experts feel that serifs function like rails, guiding your eye along the line. Others suggest that we respond to serif types better because the transition of their strokes more closely resembles calligraphy. Or perhapsand my money's on this onewe read serif type more easily, simply because we're more used to reading serif type. In the words of Zuzana Licko, cofounder of Émigré digital font foundry: "You read best what you read most."

Maybe we could get used to anything, but we've been reading serif type for centuries and the habit is pretty much in our DNA. Sans serif typefaces are the new kids on the block relatively speakingnot invented until the early 19th Century and not in common usage until the 1920s.

Readability is less of a concern when it comes to display type, which, because it is set in short bursts rather than long passages, can afford to draw much more attention to itself.

It sounds like an overly simplistic formula, but you won't go far wrong if you use serif faces for your body text and sans serif for your headings and subheads. Because sans serifs tend to be bolder and blockier, they are better at grabbing the reader's attention. Also, the absence of serifs makes it possible to track sans serif headlines tighter, adding to their solidity. To make a subhead distinct from your body text, it is enough to choose a contrasting typeface; subheads do not necessarily need to be set in a larger point size.

Other Readability Factors

Your choice of font is just one of several factors that work in sync to createhopefullyreadable type. Other factors includebut as they say in legaleseare not limited to:

  • Leading

  • Column measure (the ratio of type size to column width)

  • Alignment

  • Margins

  • Printing conditions: What kind of paper stock will the document be printed on?

  • Reading conditions: An enormous variable over which you, the typographer, have no control. There's no way you can know whether your audience will be reading by candlelight, while standing on a busy commuter train, or while in the bath. Although, depending on the type of document you're creating, you may be able to speculate. For example, if you're designing a bus timetable, you'll want to forgo challenging postmodern typography in favor of a straightforward, get-your-message-across approach.

Tip: Shortcuts for Sizing Type

In addition to using the Type Size control on the Control Palette, you can also size your type using keyboard shortcuts:

Cmd+Shift+>/< (Ctrl+Shift+>/<) Increase or decrease point size by the increment specified in Preferences>Units & Increments>Size/Leading.

Cmd+Shif+Option> /< (Ctrl+Shift+Alt>/<) Increase or decrease point size by five times the increment specified in Preferences>Units & Increments>Size/Leading.


Up Next

With type on our page let's look next at a critical factor in determining the readability of that type: the space between the lines, or leading.


Chapter 4. Getting the Lead Out

LEADING (PRONOUNCED "LEDDING") is the space between the lines of type. In the days of hot metal typesetting this space was created by inserting thin strips of lead between the lines. Lines of type without these strips of lead wereand still arereferred to as "set solid." Leading plays a big part in the readability of your text. All body text is made more readable by a positive amount of leading (a leading value greater than the point size of the type). Headlines and display type, on the other hand, may benefit from negative leading (a leading value less than the point size of the type).

InDesign regards leading as a character level format (as opposed to a paragraph format in QuarkXPress). Leading can be applied "locally" to a selected range of text using the Control palette or the Character palette, or "globally" as part of a style sheet definition.

Figure 4.1. Basic Character Formats.

[View full size image]

Bad leading makes your text harder to read because the eye has trouble locating the next line of type. When leading is too tight, the type may appear intimidatingly dense, and the descenders of one line will collide with the ascenders of the next. At the other extreme, when the leading is too loose the type lack cohesion. This is especially so if the leading is greater than the space between the paragraphs.

Leading is measured in points from one baseline to the next. The leading value includes the point size of the typeface and the actual space between the lines. Thus, 12 points of leading using 10-point type really means two points of space between lines.


How Much Is Enough?

When it comes to leading there is no one size fits all. How much leading you give your type depends on several variables. Here are some factors to consider:

  • The nature of the text. While text intended for continuous reading will always benefit from some breathing space, a short burst of advertising copy or a title might be more effective if the lines are tightly leaded.

  • Type size: As point size increases you will want proportionally less leading. Body text that is 10 points in size is commonly set with 12 points of leadingwritten 10/12, spoken 10 on 12. When you get to display sizes, the spaces between the lines appears much larger. So much so that it's common to use negative leading for display type.

Figure 4.2. Text block with tight leading (example A); plus two points of leading (example B); and plus eight points of leading (example C).

Figure 4.3. Leading is measured from baseline to baseline.

Figure 4.4. Leading and display type. Example A shows the headline with Auto Leading applied (42/50.4), with the result that the two lines seem disconnected from each other. The problem is exacerbated by the all-cap treatment, meaning there are no ascenders or descenders. Example B shows negative leading applied (42/38).

  • Typefaces with larger x-heightscertain serif typefaces like Times New Roman, or sans serifs typefaces in generalare perceived to be bigger because the lowercase letters take up a relatively large part of the overall area of the character bounding box. Such typefaces require more leading. Conversely, type with small x-heights, Like Garamond, will seem to have more horizontal space between the lines and thus require less leading. Sans serif typefaces typically have higher x-heights and thus require more leading than serif faces.

  • Some typefaces, like Bernhard Modern, may have particularly tall ascendersmeaning that with tight leading you run the risk of the ascenders colliding with the descenders of the previous line.

    Figure 4.5. Four typefaces at the same size (38 point) with different x-heights.

    [View full size image]

    Figure 4.6. Bernhard Modern, because of its low x-height, can be leaded tightly. Example A shows 24 point on Auto Leading (28.8); example B shows 24/22.

  • Typefaces with heavy stroke weights benefit from extra leading to prevent the type colorthe darkness or blackness of the letterforms as a blockappearing too dense.

  • When your type is in all caps, there are no descenders, making the lines of type appear farther apart. Time to tighten the leading.

  • Column Width: It's best to avoid setting type in wide columns, but if you have no choice, increasing the leading anywhere from a half point to 2 points will improve readability by keeping the lines distinct and preventing the eye from dropping off to the line below or doubling back to reread the same line.

  • At the other extreme, justified type set in a narrow column may cause word-spacing problems. Because we read in words or clusters of words, rather than letter by letter, if the space between the words is bigger than the space between the lines, the eye may jump to the next line rather than to the next word. In such situations, extra leading might be necessary to ensure that the space between the lines is greater than the space between the words. The best solution is to avoid justified type on a narrow measure altogether, but in the real world we don't always have as much say as we might like.

Figure 4.7. Leading and Column Width. The text set solid (example A), and with three points of leading 8/11 (example B).

[View full size image]

  • Reversing Out: Because we are used to reading black type on white paper, when we choose to use the opposite, we're guaranteed to make our type attention-getting. However, reversed type tends to sparkle, making it harder to read. A slight increase in leadingas well as avoiding any fonts with delicate serifsmay compensate for the diminished readability of reversed out type.

  • Very loose leading can create a luxurious look. But sometimes there's a fine line between looking spacious and looking like the different lines of type bear no relation to each other.

  • Tight leading will increase the density of the type and can make it feel claustrophobic.

  • Economy often dictates leading: You have a fixed number of words and you have to fit them into a finite amount of space. In such situations, choose a font that lends itself to being tightly leaded.

Figure 4.8. Example A is 10/12; example B is 10/14.

[View full size image]


(Not) Using Auto Leading

While leading has existed since the days of metal type, Auto Leading is a relatively new concept, emerging with desktop publishing in the mid-1980s. Auto Leading allows InDesign to automatically assign a leading value to the text you set, based on the type's point size.

The advantage of Auto Leading is convenience. You can change your text size as many times as you like and your type will always be readable. As your font size increases or decreases, so does your leading. Although this can be useful when experimenting with type sizes, Auto Leading will probably cause more problems than it solves.

Don't by seduced by Auto Leading. Here's why:

  • Auto Leading is proportional to your type sizebut specific to the biggest piece of type in the paragraph. This means that if you have one word larger than the rest of the paragraph, you leading value will be 120 percent of the largest word or character. Leading values in parenthesis signify Auto Leading. By default, Auto Leading is 120 percent of your type size although you can change this in your Justification options.

    Figure 4.9. Inconsistent leading caused by a single word in the paragraph set larger (example A); the leading converted to an absolute number (example B).

    Figure 4.10. Changing the Auto Leading Amount.

    [View full size image]

  • Auto Leading doesn't give you the kind of control of your text you need. Sure, if you're using 10-point type Auto Leading is 12 point, a nice easy number to work with. However, if you're working with 11-point type, then your leading value is 13.2, which is a cumbersome number, difficult to calculate in multiples if you intend working with a baseline or leading grid.

  • While Auto Leading works OK for body text, it can look terrible when applied to display type, which generally requires less leading. This is especially true if you have headings in all caps, because there will be no descenders to fill the lines.

Trust your eye, not your software, to determine how much leading you need. Auto Leading is useful when experimenting with type sizes, but when you decide upon the size you need be sure to convert your leading values to an absolute number, even if the Auto Leading value is the same as that number.

Figures 4.11A and 4.11B. Auto Leading applied to a headline (A). While Auto Leading works adequately for the body text, in the headline it is disproportionately large (B).

[View full size image]

Auto Leading and Inline Graphics

Auto Leading is useful when using inline graphicspicture frames that have been pasted into a text frame, usually on their own line, and move with the flow of text. Inline graphics are a hybrid between text and graphics: You control the spacing of inline graphics using leading and Auto Leading ensures there's always enough space for the graphic on the line. An Auto Leading value of 100% works well for most inline graphics.


Keep It Consistent, Except. . .

Leading like so much in typography is all about rhythm, and you want your rhythm to be steady. The best way to do this is to set your leading value as part of a style-sheet definition; should you need to change the leading value, edit the style definition rather than work on the paragraph locally.

When it comes to fixing widows and orphans, don't mess with the leading. You have other tricks up your sleevetracking, discretionary hyphens, forced line breaksto fix such problems (see Chapter 5: " Kern, Baby, Kern" and Chapter 11: " Don't Fear the Hyphen"). Tempting though it may be to tighten the leading a little bit here and there, your document will look like a dog's dinner if you do. Always keep your body text leading consistent, otherwise the rhythm of your type will falter.

Also, don't be tempted to go for the soft option of vertical alignment, which adjusts the leading to make multiple columns bottom out, i.e., end on the same baseline. (See Chapter 8: Align your Type.)

Working with display type, you may need to relax the consistency rule in favor of optical leadingtweaking the leading of individual lines to make the leading appear more consistent. Such a situation may arise in display type if one line doesn't have descendersanother example of trusting your eye rather than the math.

Figures 4.12A and 4.12B. An extreme example of the what can happen with vertical justification: the leading in column 3 is opened up in order to make all three columns "bottom out."

[View full size image]

Figure 4.13. Optical Leading. The leading beneath "Temptation" appears too large in example A because there are no descenders. In example B, the leading for the last line has been reduced to compensate.

Previous Page
Next Page


Leading Menu Options and Keyboard Shortcuts

There's an interesting and often overlooked text preference that determines how your leading will behave. When you choose Apply Leading to Entire Paragraphs, InDesign makes the leading of the whole paragraph the same, which is almost always a good idea, although it does not apply to paragraphs set to use Auto Leading.

Note that when your text is set to Align to Baseline Grid, changing the leading may result in unpredictable behavior, causing the lines of type to jump to the next baseline grid increment.

Figure 4.14. Apply Leading to Entire Paragraphs preference.

Figure 4.15. Align to Baseline Grid.

Figure 4.16. Leading Increment Preference.

Previous Page
Next Page


See Also

For a discussion of the Skip by Leading Text Wrap preference, see Chapter 18, "Text Wraps: The Good, the Bad, and the Ugly."

For a discussion of the Text Frame First Baseline Position options as well as Align to Baseline Grid, see Chapter 16, "Everything in Its Right Place: Using Grids for a Clean, Structured Look."

Tip

A handy shortcut for increasing or decreasing the leading of a selected range of text is pressing Option+Up Arrow (Alt+Up Arrow) to tighten the leading or Option+Down Arrow (Alt+Down Arrow) to loosen the leading. The amount is determined by the value in the Size/Leading field in the Units & Increments Preferences. To increase/decrease the leading value by five times this amount press Cmd+Option+Up Arrow/Down Arrow (Ctrl+Alt+Up Arrow/Down Arrow).


Up Next

We switch from the vertical to the horizontal. Having tackled the space between the lines, we look next at controling the space between the words and characters. Kerning and tracking are to type what seasoning is to cooking. Carefully applied they can make the difference between the bland and sublime; but like seasoning it's easy to use a heavy hand, so gently does it.


Chapter 5. Kern, Baby, Kern

THE SPACES BETWEEN LETTERS are as important as the letters themselves. Kerningand its cousin trackingare ways of adjusting the space between characters to create a better fit, and thus a better rhythm, to your type. It's this steady rhythm that makes your type readable.

We need kerning because certain letter shapes don't fit well together. Sometimes it's necessary to adjust the space between letters to achieve the appearance of even spacing.

Note

A surefire way to raise the hackles of a purist typographer is to use the terms kerning and tracking interchangeably. While closely related, they are distinct. Kerning refers to adjusting the space between a pair of characters. Tracking means adjusting the space across a range of text.


When to Kern

The objective of kerning is to achieve the appearance of equal spacing on either side of each character. Thankfully, the majority of your kerning needs are addressed by InDesign's automatic kerning methods, of which there are two kinds: Metrics and Optical. Either method adequately handles kerning at small type sizes, so you don't need to drive yourself crazy finding every instance of troublesome kerning pairs and manually adjusting their spacing. Regardless of the method you use, you can always add manual kerning as needed.

Figure 5.1. Why we kern. (A) No kerning, (B) Metrics Kerning, (C) Optical Kerning, (D) Optical Kerning with additional manual kerning.

Figure 5.2. Basic Character Formats.

[View full size image]

Automatic kerning can be applied locally by selecting a range of text, then choosing Metrics or Optical from the Control palette (or the Character palette), but you're better off choosing your automatic kerning method as part of a style sheet definition.


Metrics Kerning

Metrics Kerning uses the kern pairs that are built into the font, or most fonts. Adobe typefaces tend to have between 500 and 1000 kerning pairs. The El Cheapo font that you downloaded for free from the Web may not have any. This is one reason some fonts cost more than others. Some common kerning pairsthose that a type designer will pay special heed to when creating a typefaceare LA, P., To, Tr, Ta, Tu, Te, Ty, Wa, WA, We, Wo, Ya, and Yo.


Optical Kerning

Optical Kerning adjusts the spacing between adjacent characters based on their shapes and pays no mind to the kerning pairs.

Theoretically, Optical kerning will give you more consistent character spacing, because every character pair, even the most unlikely ones like zh or xw or gk, is kerned based on its character shapes. It's a matter of preference, but here are some things to consider:

  • If your font includes few built-in kerning pairs, you're better off with Optical Kerning. Decorative and novelty fonts are likely to have few kerning pairs.

  • When combining two typefaces in the same paragraph, the two fonts may use very different kerning metrics and may not look right side by side. This is another occasion when you'll be better served by Optical Kerning.

  • You might want to view Metrics vs. Optical Kerning as a microcosm of the timeless drama of man vs. machine. Optical Kerning will be more consistent, more mathematically correctbut will it look better? Ultimately it depends on the quality of the metrics you are comparing it against.

Figure 5.3. Comparison of Metrics kerning (example A) and Optical kerning (example B) using Times. The amount of difference will vary from font to font.

Figure 5.4. Metrics Kerning (example A) vs. Optical Kerning (example B) when using mixed fonts.

Figure 5.5. Metrics Kerning (example A) fares better than Optical Kerning (example B) when using script faces.

Previous Page
Next Page


Manual Kerning

To adjust kerning manually, insert your Type Tool between two characters. Press Option+Left/Right Arrow (Alt+Left/Right Arrow) to decrease or increase the kerning between two characters. This method kerns using the increment specified in your Units and Increment Preferences. The default kern increment is 20/1000 of an em, which is too coarse. Do yourself a favor and change this increment to 5 in your application Preferences. Because these adjustments are in relative units, a kerning or tracking adjustment made at one point size will have proportionally the same effect at any other point size. Holding down Cmd (Ctrl) when using these keystrokes multiplies the kerning increment by five.

To adjust tracking manually, follow the same steps but with a range of text selected.

As your type gets larger, any irregular spacing between characters becomes more noticeable. Manual intervention may be required. Possible candidates for kerning include:

  • Headlines and display type

  • Drop Caps (See Chapter 10: " First Impressions: Creating Great Opening Paragraphs")

  • Combined fonts (especially roman-italic combinations)

  • Script typefaces

Figure 5.6. A headline in Franklin Gothic Condensed with Metrics Kerning (example A) and with manual kerning added (example B).

Figure 5.7. A script typeface without manual kerning (example A) and with manual kerning (example B).

Previous Page
Next Page


How Much to Kern

PostScript fonts are designed in an em squarea box that is 1000 units x 1000 units. An em is a relative unit the same size as your type and InDesign kerns (and tracks) in increments of 1/1000 of an em. Place your Type cursor between any pair of characters to see how much kerning is appliedthe Kerning field displays the amount in parentheses in 1000s of an em.

Tip

When making kerning adjustments, zoom in to a large enough view size to be able to truly evaluate your resultsand then zoom out again to 100 percent view to make sure your changes look appropriate.

Don't overdo it. Along with the ease of kerning comes a tendency to want to fix things that ain't broke in the first place. Most of the letter shapes we knowand have been reading all our liveswere designed so that well-distributed weight would compensate for their odd shapes. Consequently, they fit well with nearly all of their possible neighbors. It takes time to develop an eye for kerning; until you feel confident, be cautious and make only slight adjustments. And make sure you're consistent: If you decide that certain letter combinations require kerning at display sizes, then make sure you kern all the instances of those letter combinations.

Figure 5.8. The Em Square.

A Kerning Anecdote

When I was a wee lad growing up in South London (and long before I cared about type) I spied the large neon sign of a new video store from a distance of about 100 yards. The name of the store was FLICKERS, set in all caps. The letters were very tightly spaced so thatfrom a distancethe LI combination looked like a U. It certainly grabbed my attention, and possibly it was intentional.


Tracking

This chapter is also about trackingadjusting the letter spacing across a range of characters. Tracking can be applied as part of a style sheet definition.

Tracking, a cousin to kerning, is an overall increase or decrease in letter spacing over a range of characters. Tracking can also be applied locally to fix widows and orphans by (imperceptibly) tightening the letter spacing across a range of words and "pulling back" a short line. Tracking values can also be applied "globally" as part of a style definition to give the type a denser or airier look (Word and Character space options in the Justification dialog can give you the same effect). Remember, when you do this you are overriding what the type designer, who slaved long and hard over his or her font, considered the optimum character spacing. Tracking body text is like taking a musician's composition and playing it at a different tempo. Track your body text and you could be breaking some poor font designer's heart. If you do use negative tracking as part of a style definition, pay careful attention to what happens to pairs like rn; tracked too tight these might look like an "m," ri might look like an "n," and cl like a "d."

Then there is the other extreme. Track type too loosely and you disrupt the relationships between the letters that readers rely on. The letters no longer form the familiar shapes of words or phrases, but are merely a scattershot of disconnected characters. Spacing your letters too loosely might not seem like such a big deal to a lay person, but typographers get quite upset about such practices. The American typographer Frederick Goudy famously said, "Men who would letter-space lower case would steel sheep." Reputedly, that's the sanitized version of the quote.

Figure 5.9. Type tracked too loosely (example A), too tightly (example B), and without tracking (example C).

Tracking is best used in moderation. If you're tempted to use tracking often, consider using a condensed typeface that has been designed with the efficient use of space in mind.

Note

Kerning and tracking are cumulative; they don't cancel each other out. You can use tracking to adjust the overall look of your type, and use kerning to adjust particular letter combinations.

To track a range of type, highlight the type and press Option+Left Arrow (Alt+Left Arrow) to go tighter, Option+Right Arrow (Alt+Right Arrow) to go looser. As with kerning, the default increment of 20/1000 of an em is too coarse, so it's a good idea to change this in your application Preferences.


When to Track

OK, after all the safety warnings and disclaimers, here are some scenarios when negative tracking can come in handy:

  • In headlines, especially sans serif headlines, the space between the letters can look disproportionately large. Because widely set letters make the words harder to read, applying negative tracking can help the characters hold together better and form more easily recognized word shapes. Don't overdo it, though; tracking too tightly will cause characters to collide and words to run into each other.

    Figure 5.10. A headline without tracking (example A) and with 25 tracking (example B) applied as part of a style sheet definition.

  • Condensed typefaces may benefit from a modest amount (10) of negative tracking.

  • Negative tracking can be used to help fix composition problems in passages of text. When tracking tighter across a range of text or a paragraph to pull back a line, remember that, like so much of good typography, your tracking adjustments should be "invisible." If the reader can tell, then you've gone too faras a general rule of thumb, avoid using more than 15/1000 of an em. Also, if you have your Justification and Hyphenation set up correctly, there will be much less need for manual intervention in the form of tracking. (See Chapter 8: " Aligning Your Type")

    Tip: Quark Kerning and Tracking Conversions

    If you're a Quark refugee, you'll need to multiply your old Quark kerning and tracking values by 5 to give you the equivalent InDesign values. In Quark terms, a kerning/tracking value of 1 equals 1/200th of an em; in InDesign, "1" equals 1/1000th of an em. For example, if you tracked text to 1 in Quark, you would need to track it to 5 in InDesign.

    Figure 5.11. Tracking to bring back a short line. In example A, line 5 suffers from bad word spacing and line 6 is short. In example B, the second paragraph has 5 tracking applied, which is sufficient to pull the last line back as well as improve the word spacing.

  • In script faces, the characters should connect with each other so that the type looks like handwriting. If the font has well-designed kerning metrics, no intervention will be necessary. But pay careful attention to the way these characters connector don't connect, as the case may beand adjust your tracking accordingly.

Positive tracking might be useful in these situations:

  • Headlines set in all caps, especially in serif faces, look more elegant with positive tracking of up to 50/1000 of em.

  • Positive tracking can help improve the type color of very small type like captions or photo credits. Again, be cautioustoo much tracking will cause the type to fall apart and lose its distinctive word shapes.

  • When reversing type out of a solid background, positive tracking can improve readability.

Figure 5.12. All caps serif title treatment with no tracking (example A) and reduced in size with +200 tracking (example B).

Figure 5.13. Reversed-out text with no tracking (example A) and with +25 tracking (example B).

Figure 5.14. Text block with word spaces adjusted (example A) and tracked (example B).

Tip: Adjusting Word Spacing

Here's a handy feature: The ability to adjust the word spacing across a range of characters while leaving the character spacing unaffected. Command+Option+Delete (Ctrl-Alt-Backspace) will tighten the word spaces; Command+Option+Shift-Backslash (Ctrl+Alt+Shift+ Backslash) will increase the word spaces.


Controlling Widows and Orphans

Given the drama of their names, the actual definition of widows and orphans may be a little disappointing:

A widow is the last line of a paragraph, stranded at the top of a column or page. They should always be avoided.

An orphan is the first line of a paragraph that occurs at the bottom of a column or page. They are not desirable, but neither are they a typographic sin, especially when fixing them may cause more problems than it solves.

Ultimately you're better off fixing widows, orphans, and their wicked cousinthe short exit lineby a judicious use of tracking, hyphenation, and perhaps rewriting. If you plump for the first option, the golden rule is that no one should be able to tell. You don't want your type looking like a concertina: getting tighter here and looser there as you squeeze or pad your text with space. Restrict yourself to no more than 15 (minus 15/1000 of an em) and no one will notice.

To use tracking, select the paragraph that needs attention and track, usually tighter, to cause a different wrap. With the Paragraph Composer on, (the default), this may not work as expected, because InDesign will recompose every line in the paragraph. If you can't get the result you're after with tracking try one of these other options:

  • Adding discretionary hyphens (See Chapter 11: " Don't Fear the Hyphen")

  • Applying No Break to a selected range of text to prevent it breaking across a line (See Chapter 11: " Don't Fear the Hyphen")

  • Rewording. This is a sensitive issue and may not be an option at all depending on the kind of document you're working with. If you have license to rewrite, then go for itoften a subtle rewording will do the trick.

  • If your document does not require your columns to "bottom out," i.e., share the same last baseline, then you can control your paragraph breaks by using Keeps Options. This will keep a specified number of lines at the end of the paragraph together. Beware: Overzealous use of Keeps can cause your text to behave very oddly with paragraphs jumping about from frame to frame as if they had a life of their own. That said, Keep with Next can be useful for preventing headings and subheads from being divorced from the text that follows them. You can highlight paragraphs that violate your specified Keep Options by choosing Preferences>Composition and checking Keep Violations

Note

To remove all custom tracking or kerning from a range of text, select the text and press Cmd+Option+Q (Ctrl+Alt+Q). Because this sets the automatic kerning method back to Metrics, it won't be much use if you are using Optical Kerning.

Figures 5.15A and 5.15B. Show Custom Tracking/Kerning.

[View full size image]

Tip: Turn on Show Custom Tracking/Kerning

This will highlight in green any paragraphs that have been custom tracked or kerned. This is helpful in a couple of ways. First, you may have inherited a document in progress and want to quickly make sure that the text hasn't been overzealously tracked. Second, if the layout or text of a document is revised so that the tracking in certain areas is no longer necessary, you can easily identify these areas to remove the tracking.

It's good to develop an eye for where you might need to track to gain better text color: Flipping through your pages at a small view percentage with the type greeked can often help to identify the problem areas.

Like it Tight?

Use Word and Letter Spacing for a tight fit not tracking. That way, when you turn on Show Custom Tracking all your text won't be highlighted in greenonly the text that has been locally tracked.


Up Next

We zoom in on the small and sometimes persnickety details of typography. This has and probably always will be a labor intensive process, but, just as with the bigger picture stuff, InDesign offers an unprecedented amount of control over these fiddly bits. Harness these controls and you're guaranteed to raise the level of your type.


Chapter 6. Sweating the Small Stuff: Special Characters, White Space, and Glyphs

TYPOGRAPHY IS ALL ABOUT THE DETAILS, and good typographers tend to be mildly obsessive by temperament. Everybody fancies themselves a designer these days, so attention to detail goes a long way in setting your work apart from the sea of mediocrity. InDesign provides a wealth of options for finessing your type, making it simple and straightforward to elevate the quality of your typography.


Typographer's Quotes

No self-respecting typographer would be caught dead using straight or dumb quotation marks instead of paired typographers' ("curly") quotes. By default this preference is on. Typographer's quotes are also an option in your Text Import Options when you Place text. In American English, commas and periods go inside the quotation marks even if the punctuation is not part of the quoted sentence. Colons and semicolons are the exception: They go outside the quotation marks. In British English, all punctuation goes outside the quotation marks.

Figure 6.1. Typographer's Quotes Preferences.

Figure 6.2. Word Import Options.

[View full size image]

There may be times when you actually want straight quotes (feet or inch marks). Rather than having to go back and forth to the Preferences dialog box, you can also toggle this option by pressing Command+Option+Shift+' (Ctrl+Alt+Shift+'). Better yet, avoid these straight quotes altogether and use the prime (feet, minutes) and double prime (inches, seconds) characters. These characters can be found in OpenType fonts (See Chapter 7: "OpenType") or in the Symbol font. Unfortunately they do not have an assigned keystroke, but can be accessed using the Glyphs palette.

A third preference relating to the appearance of your quote marks is in your Dictionary preferences. You can choose the appearance of your single and double quotes for specific languages.

<O> | French single quotes
<<O>> | French double quotes
<<O>> | Non-French double angle quotes without space
,O' | German single quotes
,,O" | German double quotes

Figure 6.3. Straight quotes vs. prime marks. Typographer's quotes used incorrectly (example A). Straight quotes (example B). Prime marks (example C).

Figure 6.4. Quote Preferences.

Previous Page
Next Page


Apostrophes

An apostrophe is the same character as a single closing quote: '. Confusion can sometimes arise when InDesign second guesses you and thinks you want an opening single quote rather than an apostrophe. This is most likely to occur in phrases like rock 'n' roll and fish 'n' chips, or in dates where the apostrophe substitutes for missing numerals, like '90s instead of 1990s.

Figure 6.5. Apostrophes.

Previous Page
Next Page


Dashes

There are three types of dashes and they all serve different functions.

The hyphen is the shortest dash. It is meant only for hyphenating words or creating line breaks, but is commonly misused by people who don't know about en dashes and em dashes. (See Chapter 11: "Don't Fear the Hyphen" for information on discretionary hyphens.)

Figure 6.6. A hyphen, en dash (Option+Hyphen/Alt+Hyphen), and em dash (Shift+Option+Hypen/Shift+Alt+Hyphen).

The en dash is used with a range of numbers. The rule of thumb is that if, when speaking the words, you would say "to" then use an en dash. There is no space around the dash. En dashes are also used for compound adjectives. You would also use an en dash when you have a compound adjective, one part of which consists of two words or a hyphenated word.

Figure 6.7. The en dash, approximately the width of the captial N, used to indicate passage of time or for compound adjectives.

The em dash is used to separate a parenthetical break in the sentence.

In the days of the typewriter an em dash was conveyed with double hyphens and many people have yet to unlearn this habit. Fortunately, when you place a text file in InDesign double hyphens are automatically converted to em dashes, but you're still likely to encounter all manner of other approximations of an em dash. One of your first tasks is to fix such problems using Find/Change.

Em dashes should not touch the characters that precede or follow them. Optionally you can put a thin space (Cmd+Shift+M Ctrl+Shift+M) around em dashes. A regular word space is too wide and in justified type will grow and shrink to achieve justification.Thin spaces are of a fixed width.

Figure 6.8. The em dash, the Big Kahuna of the dash world.

If you find an em dash too wide and feel that it creates an unsightly hole in the text, opting instead to use an en dash or an em dash with a reduced horizontal width (80 percent works well) are good alternatives. This is another job for Find/ Change (See Chapter 17).


Ellipses

An ellipsis indicates omission and is also called a suspension point or, more commonly, dot-dot-dot. When the omitted words are within a sentence, use a three-dot ellipsis preceded and followed by a space. When the omission occurs at the end of a sentence, a fourth dot, a period, is added and the space at the beginning of the ellipsis is omitted.

A three-dot ellipsis is part of a standard font set (Alt+0133/Option+-). Because the dots of the ellipsis character are too tightly spaced, for best results create your own ellipsis with dots separated by a thin space (Cmd+Shift+Option+M/ Ctrl+Shift+Alt+M). A thin space is slightly less than a regular word space and is nonbreaking so that you won't get two dots at the end of one line and the third at the beginning of the next. Because this is fiddly and time consuming, it's handy to use Find/Change to automatically replace any other ellipsis forms with your custom ellipsis.

Figure 6.9. Ellipses. Example A: A three-dot ellipsis separated by thin spaces. Example B: A four-dot ellipsis at the end of a sentence. Example C: The ellipsis character. Example D: Three dots separated by a regular space width.

Figure 6.10. Without ellipsis (example A); and an omission within a sentence and at the end of a sentence (example B).

Figure 6.11. Using Find/Change to fix ellipses.

Previous Page
Next Page


End Marks

An end mark is a common device in magazines, newsletters, and journals to signify the end of a major article, especially when the article spans several pages. The end mark can be a character taken from a picture font or an inline graphic. End marks should be scaled so that they are no bigger than the cap height of the text; depending on the mark you're using you may want to size them to the x-height. They can be separated from the text with an en space (Command+Shift+N/ Ctrl+Shift+N) or set flush right with the marginShift+Tab. To make sure they are consistent within the publication create an End Mark Character Style (See Chapter 13: " Stylin' with Paragraph and Character Styles").

Figure 6.12. An end ornament using a Zapf Dingbat character (example A) and an inline graphic (example B).

Previous Page
Next Page


White Space Characters

All of these different spacing options can be applied by choosing Type > Insert White Space, or by choosing Insert White Space from the Type Tool contextual menu (Right+Click/Ctrl+Click).

Figure 6.13. Insert White Space.

Figure 6.14. White Space Characters.

Em Space: Cmd+Shift+M (Ctrl+Shift+M)

An em space is a relative unit, equal in width to the size of your type. In 12-point type, an em space is 12 points wide; in 72-point type, it is 72 points. A common misunderstanding is that an em space is the width of an M.

En Space: Cmd+Shift+N (Ctrl+Shift+N)

An en space is one-half the width of an em space.

Flush Space

This adds a variable amount of space to the last line of a fully justified paragraph. A Flush Space can be useful if you want to add space between the last word and an end ornament or if you are preparing a price list and want to push the price flush with the right column edge. In justified text, the space expands to absorb all available extra space on the last line. A caveat: The Flush Space only works when you apply the Justify All Lines option to the paragraph. For that reason, you may be better off using a Right Indent Tab (Shift+Tab or Insert Special Character > Right Indent Tab) to get the same effect.

Hair Space: Cmd+Option+Shift+I (Ctrl+Alt+Shift+I)

One-twenty-fourth the width of an em space. That's pretty darn small. It could be a used as an alternative to a Thin Space.

No Double Spaces, Please

At the risk of sounding like a petty tyrant, I'm going to state the following: There is never an excuse for having more than one consecutive word space anywhere in your text. But wait…I hear you say, surely… No. Never. More than one consecutive space and the Type Police will come knocking.

Here's why: The convention of double spacing after a period is a holdover from the days of the typewriter (remember those?) when fonts were monospaced, that is, all characters had the same width regardless of the shape of the letter, so that an I occupied the same width as a w. The characters were so wide and so open that a single space wasn't enough between sentences.

These days our fontsunless you're aiming for that certain retro typewriter lookare proportionally spaced, which means that each character has a unique width corresponding to its character shape. The word spaces in proportionally spaced fonts are designed to separate sentences perfectly. Putting two spaces after every period undermines our goal of even type color and looks really sloppythe typographic equivalent of going around with gravy stains on your tie.

These days you're more likely to see a typewriter displayed as a piece of retro art than a working typesetting tool, but the double spacing habit persists. Thankfully, the Find/Change function can zap any egregious spaces in less time than it takes to say flibbertigibbet.

Nonbreaking Space: Cmd+Option+X (Ctrl+Alt+X)

The same width as pressing the spacebar, but it prevents two (or more) words, like a name for example, from being broken across a line. In fact, if you have a short line at the end of a paragraph, using a Nonbreaking Space is preferable to forcing a line break with a Shift-Return. If the text is edited or reflowed, you're less likely to end up with a break in the middle of your line. You can achieve the same end by applying No Break to your selected range of text.

Figure 6.15. Without intervention, "Formula One" breaks over two lines (example A). Using a Nonbreaking Space causes "Formula" to hyphenate (example B). Selecting both words and choosing No Break moves the whole phrase up to the first line (example C).

Thin Space: Cmd+Option+Shift+M (Ctrl+Alt+Shift+M)

One-eighth the width of an em spacea good choice on either side of an em dash.

Figure Space

Lining numbers in most fonts are of equal width and a figure space is the same width as a number in the typeface. Figure Spaces can be used to help align numbers in tables.

Punctuation Space

A Punctuation Space is the same width as an exclamation mark, period, or colon in the typeface.

Whither the Monospaced Font?

Although monospaced fonts are seldom used these days, they are not all on the unemployment line and are still useful for certain tasks.

Courier is used to indicate a missing font. InDesign can usually simulate the look of a missing font on screen, but it can't do the same in print. Printing a document that contains missing fonts results in Courier being substituted for the missing font. This convention has been adopted by all page layout applications because Courier looks so wrong that you can't miss it and presumably will be compelled to fix it. That said, I'm sure we've all spotted the odd bit of egregious Courier that somehow made it through the editorial and proofing stages and ended up in print.

In instructional manuals, especially computer manuals, Courier is often used to indicate text or code that the user is required to type, although a proportionally spaced "techie looking" font like Letter Gothic is a good alternative.

Line Break (aka Soft Return, Forced Line Break) Shift-Return

Line breaks are essential whenever you want to start a new line without starting a new paragraph. This will avoid creating a new paragraph that takes on the potentially unwanted formatting attributes of the paragraph that it came from.

Figure 6.16. Using a forced line breakShift-Return (example A) to move a broken word down to the next line vs. using a Return (example B), which creates a new paragraph based on the formats of the paragraph it came from.

What's The Point? InDesign's Units of Measurement

When working in InDesign, the best unit of measurementin my humble opinionis Picas and its subdivision Points. The point system originated in the early 18th Century and was adopted as the typographic standard in the United States in the early 20th. They're arcane, nondecimal, seldom used in Europe, but still there's good reason to use them. Basically, there's no getting away from them: Type size, leading, indentation and paragraph spacing are all specified in points. What's more, points allow for the kind of fine-tuning necessary when finessing type. Learn to love 'em, 'cause they ain't going away.

Picas and points in a nutshell:

6 picas = 1 inch

12 points = 1 pica

72 points = 1 inch

1 picas and 6 points = 1p6. Alternatively, it could be expressed as 0p18 or 18 pt.

6 points = 0p6, p6, or 6 pt.

Figure 6.17. InDesign's rulers in picas, inches, and millimeters.

Note

If your measurement is in picas, expressing 6 points as merely 6 would be interpreted as 72 points. 6 points would be typed 0p6 or 6 pt. This probably sounds more confusing than it isyou'll quickly get the hang of it.

Tip

In reality, picas and points overlap with other measurement systemsmillimeters or inches (or both), depending on your preference And InDesign allows you to mix your measurements. Whichever unit of measurement you choose, you can type in values in any supported unit of measurement (just make sure you add the mm or the " after the number) and InDesign will make the conversion for you. So, if you're like me and prefer to work in picas, but sometimes like to express the dimension of certain elements like pictures frames in inches, then type "in" after the value.


The Glyphs Palette

Remember Key Caps from Mac System 9 or the Character Map in Windows? Well, the Glyphs palette is just like those. Only better. Using the Glyphs palette you can easily access special characters, foreign accents, currency symbols, and diacritical marks that are not on a standard keyboard. Simply insert your Type Tool into a text frame, then choose Type>Insert Glyphs. The palette displays the glyphs from the current font. You can change to a different font using the Font Family pop-up menu at the bottom of the palette and enlarge or reduce the size of the glyphs with the Zoom button. When you find the glyph you're after, simply double-click it to insert it in your text.

Figure 6.18. The Glyphs Palette.

[View full size image]

So what exactly is a glyph? A glyph is a specific form of a character. In the same way as the alphabet offers two formsuppercase and lowercasefor every letter, the Glyph palette offers several alternatives for certain OpenType characters.

If you're using an OpenType font, you can view a subset of the glyphs, such as Oldstyle Figures or Fractions. To replace a character with an alternate glyph, select the character in your text, then choose Alternates for Selection from the Show pop-up menu to display any alternate glyphs.

Tip: Keystrokes

Of course, the fastest way to get a special character is to memorize its keyboard shortcut.

Creating and Using a Glyph Set

If you find yourself repeatedly using the same glyphs, then making a glyph set will save you hunting and pecking for them each time you need them. Note that glyph sets are not attached to any particular document but are part of your InDesign preferences. Unfortunately, you can't a share glyph set with others in your work group, nor can you convert your own graphics into custom glyphs.

Creating a Glyph Set

  1. Choose Type > Insert Glyphs.

  2. From the Glyphs palette menu, choose New Glyph Set, name your Glyph Set, and click OK.

    Figure 6.19. New Glyph Set.

  3. Select the font that contains the glyph you're after from the bottom of the Glyphs palette.

  4. Click on a glyph that you want to add to your Glyph Set, then (Right Mouse+Click/Ctrl+Click) and choose the name of your Glyph Set from the Add to Glyph submenu.

Figure 6.20. Special Character Keyboard Shortcuts.

[View full size image]

Making a Fraction

PostScript and TrueType fonts have the following fractions in their character set: ¼, ½, ¾. In addition to these, OpenType fonts allow you to make custom fonts (See Chapter 7: " OpenType: The New Frontier in Font Technology"). If you're using PostScript Type 1 or TrueType fonts and need a nonstandard fraction, you can make your own without too much fuss. InDesign comes with several Scripts, tucked away in the Scripts palette. Type your fraction, select it, and then doubleclick the Make Fraction script. This will make the numerator superscript, the denominator subscript and replace the slash with a fraction bar. No matter how you get your fraction, if it follows a whole number, no space is necessary before the fraction.

Multiplication Sign

While we're talking numbers, I should mention that the multiplication sign is a distinct character available in OpenType fonts (see the next chapter) or in the Symbol font.

Figure 6.21. Different flavors of fractions: Undesigned (example A), made with the Make Fraction script (example B), using an OpenType font and replacing the lowercase x with the multiplication character (example C), and omitting the fraction slash (example D).

The Euro Symbol

In January 1999 the Euro became the currency of twelve European Union member states: Austria, Belgium, Finland, France, Germany, Greece, Ireland, Italy, Luxembourg, the Netherlands, Portugal, and Spain, collectively known as the Eurozone. One of the ripple effects of this, the most significant monetary reform in Europe since the Roman Empire, was that we all needed a new font character.

Fonts newer than 1998, including all OpenType fonts, anticipated this and should have the Euro symbol as part of the character set. On the Mac: Option+Shift+2; on Windows Alt+0128. If you're using fonts older than 1998, or you don't like the design of the Euro character in a particular font, you can download three family of Euro fonts from the Adobe website: http://store.adobe.com/type/euroreg.html. Euro Sans has a regular weight that is the same as the official character adopted in Europe. Euro Mono is a condensed version of Euro Sans that is designed to work with monospaced fonts. Euro Serif is useful for settings of serif faces. All three fonts are free.

Figure 6.22. Euro fonts from Adobe: Euro Monospace, Euro Sans, Euro Serif.

Using Find/Change to Clean Up the Mess

As a designer you commonly work with text files that have been created by someone else. In a perfect world these files would be as lean as a cheetah and as minimalist as a piece of Bauhaus furniture. Unfortunately, this is rarelyin fact, neverthe case. People clutter up their text files with all kinds of junk, often in the misguided notion that they are helping you out by doing the formatting. Extra carriage returns, multiple tabs, multiple spaces (in some cases used to justify lines of type) will all need to be removed. And probably so too will indentations and various type stylings. Of course, communication with your client can go a long way: Tell them what you want and you might even get it. But even with stellar communication and the best of intentions, you're still going to need to clean up your text files. And there's nothing like InDesign's Find/Change command for quickly whipping a text fileor filesinto shape.

Figure 6.22. The Find/Change dialog box. The Find routine shown replaces two consecutive carriage returns with a single carriage return. Using the Special Characters for search menu (circled), you can access all the "meta-characters" listed on the right. You can also convert local formatting to Paragraph or Character Styles. Click Format… to find and change specific character or paragraph formats and replace them with Character or Paragraph Styles, giving you much tighter control over the formatting of your document. You can further clarify your search by specifying where you are looking with the Search pull-down menu.

[View full size image]


Footnotes

A footnote is a text element at the bottom of a page that provides additional information about a point made in the main text. The footnote might provide more information, offer an alternate viewpoint or list a citation for the source of a quote, idea or statistic. Endnotes serve the same purpose but are grouped together at the end of a chapter, article or book, rather than at the bottom of each page.

Figure 6.24. A footnote automatically postioned at the bottom of the text frame. A pre-made footnote style with a rule above is automatically applied to the footnote text.

Fraction-size superscript numbers must not introduce the footnotes themselves… [S]uperscript numbers don't make sense and are a disease… Since one should be able to find a footnote quickly, the normal number in the type size of the footnote must be used, never a superscript."[1]

[1] Jan Tschichold: "Typesetting Superscript Numbers and Footnotes" in The Form of the Book, p. 124.

In CS2 you can create footnotes that are anchored to the location of the footnote reference number in the text. You can also import footnotes from Word or RTF documents. When the reference number moves to a new page, the associated footnote moves with it. To insert a footnote, place the insertion point where you want the footnote reference number to appear and choose Type > Insert Footnote. The footnote area expands as you type.

Choose Footnote Options to control the numbering style, appearance, and layout of footnotes.


Footnote Options

Minimum Space Before First Footnote: the minimum space between the bottom of the column and the first footnote line.

Space Between Footnotes determines the distance between the last paragraph of one footnote and the first paragraph of the next. The Space Before/Space After values in a footnote's paragraph style apply only if the footnote runs to multiple paragraphs.

First Baseline Offset determines the position of the baseline of the first line of footnote type relative to the footnote area. See Chapter 16: Everything in its Right Place: Using Grids for more on first baseline offsets.

Place End of Story Footnotes at Bottom of Text With this option selected the last column's footnote will appear directly below the end of the story. Otherwise it will appear at the bottom of the column.

Allow Split Footnotes lets footnotes break across a page when it's too big to fit on the page. Without splitting the line containing the footnote reference number jumps to the next page, or the text becomes overset. With Allow Split Footnotes on, you can still prevent an individual footnote from splitting by choosing Keep Options from the Paragraph palette menu, and selecting the Keep Lines Together and All Lines In Paragraph options.

Rule Above This Specifies the location and appearance of the footnote divider line should you choose to use one. These options are very similar to those for paragraph rules (see Chapter 14: Mo' Style).

Figures 6.25A and 6.25B . Footnote Options.

[View full size image]

Notes on Footnotes

  • Footnotes are usually indicated by a superscript numeral immediately after the text being referenced. Use superscript in the text but a full-size numbers in the notes themselves.

  • The numbers should be separated from the note of the text by a single space without punctuation.

  • Footnotes should be numbered when there are many of them, but if you have only a few they can be marked with a dagger, asterisk, or other symbol. Endnotes always use numerals to facilitate easy reference to the main text.

  • Footnotes and endnotes are usually set one-two points smaller than the body text, with leading that is a point or two tighter. They should be in the same type family as the body text.

  • Footnotes should be separated from the type area by a space at least as big as the body text leading, or by a thin rule.

  • When a document has only a few footnotes you can use symbols instead of numbers to indicate the footnotes. The traditional order is * [asterisk] [image] [dagger] [image] [double dagger] § [section sign] ¶ [paragraph mark]. This is one of InDesign's footnote numbering options.


Up Next

Taking control of all this nitpicky stuff is time consuming. Thankfully OpenType fontsthe subject of the next chapterallow a further degree of control over detailed typography, as well as a level of sophistication that until recently was impossible with digital typography.


Chapter 7. OpenType: The New Frontier in Font Technology

BACK IN THE TWENTIETH CENTURY when PostScript fonts battled it out with TrueType fonts in what the trade press dubbed "font wars," managing fonts was a thorn in the side of every graphic designer. With PostScript fonts you had to keep track of the two parts of your font: a screen font, which contained the information about the font's spacing characteristics and kerning pairs, and a printer or outline font, which contained the data about each character shape. It was this second part that was downloaded to your PostScript printer so it could print the characters. TrueType fonts were simpler in that there was only one part to them, but too often caused problems when printing to a PostScript imagesetter.

Note

A short-lived solution to the shortcomings of Type 1 Postscript fonts was the Multiple master, which allowed the user to generate different weights and widths of the typeface from a small number of master outlines. But Multiple masters didn't catch on, mainly because they were expensive and confusing. Names like MyriadMM 215LT didn't exactly roll off the tongue. Multiple masters were discontinued in 2001, though they still pop up in font menus.

Unicode

OpenType fonts are based on Unicodean international, cross-platform standard that assigns numbers to the characters in a font. Before Unicode, the recognized standard was ASCII, which has a character set of 256 characters. The problem is that Macintosh and Windows use different encoding schemes. While they agree on the first 128 characters, the next 128 numbers are specific to each platform. This means that finding the characters you need requires different key combinations on the different platforms. Unicode enables a character set of up to 65,000enough characters to include Roman, Greek, and Cyrillic alphabets all in the same fontfantastic unless you're the poor type designer who has to design them all!

The key words here are "up to." In reality, no font comes close to having 65,000 characters, but many have several thousand. Just being an OpenType font is no guarantee of an expanded character set: The proof, as they say, is in the pudding.

Figure 7.1. The OpenType menu. Features not supported in the current font appear in square brackets, such as [Swash].

[View full size image]

Today, on the Mac, Type 1 PostScript fonts continue to abound, and on the Windows platform, there are still plenty of TrueType fonts. However both formats are being superseded by OpenType fonts (Adobe released its whole type library in the OpenType format in 2003). OpenType is a cross-platform standard developed by Adobe and Microsoft. There are no compatibility headaches going from Mac to Windows, or visa versa, and there's only one file to manage. What makes OpenType fonts so compelling, though, is their massively expanded character set. With room for so many more characters, OpenType fonts include the full range of Latin characters used in the Western world. Others add a full range of accented characters to support central and eastern European languages, such as Turkish and Polish. Some OpenType Pro fonts also contain Cyrillic and Greek characters. In addition to making multilingual typography easier, OpenType fonts give us all kinds of typographic delicacies that we formerly had to switch to an "Expert Set" in order to access. Let's take a look at what we've got:


Ligatures

Ligatures are two or more characters fused into a single character. An example of a character that has evolved from a ligature into a character in its own right is the ampersand (&), which is a stylized abbreviation of et, the Latin word for "and." Today we use ligatures to avoid collisions between different parts of the characters as well as to add sophistication to type. InDesign allows you to substitute standard ligatures for the lowercase fi and fl combinations whether you are using OpenType, PostScript, or TrueType fonts. Whether you do so depends on the font you're using. First try setting the type without ligatures, if the characters collide, then turn on Ligatures. If the characters do not collide, wellif it ain't broke, don't fix it, especially since using ligatures in such instances may make these letter combinations appear tighter set than the rest of your type.

OpenType fonts extend the range of standard ligatures.

InDesign's Check Spelling is smart enough to recognize ligatures and not flag as misspelled any word that contains them.

Figure 7.2. The need for ligatures: Depending on the font you are using, you may or may not want to use ligatures A. Adobe Caslon without ligatures: Note the collision of the f and i and f and l. B. Adobe Caslon with ligatures turned on. C. Futura doesn't require ligatures because of its character shapes, so using them (D) is redundant.

Figure 7.3. Ligatures can be incorporated into a Style definition (top) or turned on locally using the Character palette.

[View full size image]

Figure 7.4. Standard Ligatures.

Figure 7.5. OpenType Features.

[View full size image]


Discretionary Ligatures

Discretionary ligatures are not for everyday use, but perfect for special occasions. Next time you're working on something fancy like a wedding invitation, discretionary ligatures might be just the extra seasoning you need.

Figure 7.6. Discretionary Ligatures.

Figure 7.7. Minion Pro with discretionary ligatures (example A) and without (example B).

Previous Page
Next Page


Ordinals/Raised and Lowered Characters

If available, you can use Ordinals and/or Raised and Lowered Characters instead of the scaled superscripts and subscript that you get on the Character palette menu. You have four flavors to choose from:

  • Superscript/Superior

  • Subscript/Inferior

  • Numerator

  • Denominator

In most cases Ordinal will be the same as Superior and Denominator or Subscript/Inferior will be the same as Subscript.

Figure 7.8. An OpenType ordinal (13th) and subscript (CO2) applied (example A) versus superscript and subscript applied from the Control palette (example B). Note the thicker stroke of the OpenType characters.

Previous Page
Next Page


Swash Characters

Need to add a flourish to your type? You can cut a dash by using swash characters. Swashes should be used sparinglytypically at the beginning of words or sentences. Some fonts have them, most don'tyou can check by opening the Glyphs palette and looking for Swash in the Show pop-up menu. Some OpenType fonts may also have lowercase swash characters that are called finials or terminal characters, intended for use at the end of a word or line.


Titling Alternates

Some OpenType fonts have special "titling" characters designed for uppercase type set at large sizes.


Small Caps

The All Small Caps feature changes uppercase characters to appear as real lowercase small caps.


Fractions

Turning on Fractions converts anything that looks like a fraction to a proper fraction. Unfortunately, leaving this feature on will "fractionize" all numerals in your text, so it's necessary to apply it on an as-needed basis.

Figure 7.9. Bickham Script Pro with Swash (example A) and without (example B). Warnock Pro with finials (C).

Figure 7.10. Titling Alternates: Adobe Garamond Pro Regular 72 pt (example A) and using Titling Alternates (example B). The difference is subtle, but the titling characters are slightly thinner.

Figure 7.11. Small Caps: No small caps (example A), small caps applied from Character palette (example B), and All Small Caps (example C).

Figure 7.12. Generic fractions (example A) and OpenType fractions (example B).

Previous Page
Next Page


Oldstyle Figures

The default numbers in most typefaces are called lining figures and are designed to be used in columns so that we can add them up. The problem is that lining numbers stand out too much in a line of type.

In terms of bang for your buck, there's nothing like using old-style numerals for giving your type a more sophisticated look. Old style figures are as tall as the x-height of your type and so have a better type color in body text than full-height "lining figures." Figures 3, 4, 5, 7, and 9 have descenders; while 6 and 8 have ascenders. There are four styles of numerals:

  • Tabular Lining and Tabular Oldstyle for use in tables.

  • Proportional Lining for use in text set in all caps

  • Proportional Oldstyle for use in body text.


Contextual Alternates

Some OpenType fontsmostly script faceshave connecting alternates that connect better in certain letter combinations and will make your type look more like handwriting. You can also access alternate glyphs manually using the Glyphs palette.

Figure 7.13. Proportional Oldstyle (example A) is preferable to Lining Numerals (example B) in upper and lowercase type. On the other hand, Lining Numerals work better when the text is set in all caps.

Figure 7.14. Without Contextual Alternates (example A), and with Contextual Alternates (example B) note the connecting ligatures.

Previous Page
Next Page


Opticals

Some OpenType fonts include four optical size variations: caption, regular, subhead, and display. To take advantage of this, turn on Automatically Use Correct Optical Size in your Type Preferences.

Figure 7.15. Opticals: Warnock Pro.

[View full size image]

Figure 7.16. Text Preferences.

Previous Page
Next Page


Glyph Positioning

With display type in all caps, the positioning of hyphens, dashes, and parentheses will require optical adjustment. Hyphens are centered on the x-height, which is appropriate for lowercase letters, but looks too low for text in all caps. Without OpenType fonts you would need to nudge up the hyphens, dashes, and parentheses using baseline shift. The beauty of OpenType fontsand InDesign's support of themis that this glyph positioning happens automatically.

If you format an OpenType font as All Caps, glyph shifting automatically adjusts the punctuation for a better fit: Hyphens, dashes, parentheses, braces, and brackets all shift vertically. Note, this only happens when you choose the All Caps character formats, not when you key in text with the Caps Lock key on.

Figure 7.17. Glyph Positioning.

Characters and Glyphs: What's the Difference?

Characters are the "names" or code points assigned by the Unicode standard. Glyphs are the actual design of a letterform. Characters are rendered by mapping Unicode characters to specific glyphs. One character may correspond to several glyphs: A lowercase e, a small caps e, and a swash e are all the same character, but are three separate glyphs.

Tip

How do you know if your font is an OpenType font? Well, if it's followed by the word "Pro" then chances are it is. InDesign CS2 ships with several OpenType fonts including Adobe Garamond Pro, Adobe Caslon Pro, Caflisch Pro, Minion Pro, and Warnock Pro.


Stylistic Sets

Some OpenType fonts include stylistic setsalternate glyphs that can be applied one character at a time or to a range of text. If you select a different stylistic set, the glyphs defined in the set are used instead of the font's default glyphs. Using a stylistic set is one way you can apply small caps to a range of text, for example. You can see the glyphs for each stylistic set using the Glyphs palette.

Figure 7.18. Four different glyphs for the "e" character.

Figure 7.19. Choosing glyphs from the Glyphs palette.

[View full size image]


Up Next

We branch out to examine InDesign's paragraph level formats. Specifically, we'll look at the importance of alignment to the readability of type, and how there's much more to aligning type than just left, center, right, or justified.


Part II: Paragraph Formats

    Chapter 8. Aligning Your Type

    Chapter 9. Paragraph Indents and Spacing

    Chapter 10. First Impressions: Creating Great Opening Paragraphs

    Chapter 11. Don't Fear the Hyphen

    Chapter 12. Mastering Tabs and Tables


Chapter 8. Aligning Your Type

CRITIQUING MY DESIGN FOR A PRODUCT CATALOG, my client referred to the justified type as "very masculine." I wasn't sure how to take it and I wasn't confident enough or quick-thinking enough to ask for clarification. Masculine type? Was that good or bad? Or was it just a neutral observation?

I'm not sure that I buy into the notion that text alignments can be assigned a gender, but the alignment of your text definitely gives your work a certain vibe and should serve the message of your type.

Alignment Types

There are several terms for different alignments in common usage. What InDesign refers to as Align left text is also known as ragged right, flush left, or (confusingly) as left justified. In InDesign terms, Left Justified means type where all lines of the paragraph are the same length. InDesign offers several other flavors of justified type: Right Justified, Center Justified, and Full Justified. The difference between them is the way the last line of the paragraph is handled. With the exception of Left Justified, these options have limited utility. When I refer to justified type, I mean type with the last line of the paragraph left aligned. "Ragged" can refer either to left, center, or right aligned type.

Figure 8.1. Types of Alignment.

[View full size image]

There are two new types of alignment on the Control palette in InDesign CS2. Align towards Spine aligns text on a left-hand page so that it is right aligned. If the same text flows onto a right-hand page, it becomes left aligned. Align away from Spine does the opposite: It aligns text on a left-hand page so that is left-aligned, while text on a right-hand page is right-aligned.

The Paragraph palette also has one additional indentation optionLast Line Right Indent. This can be useful for outdenting the last line of a paragraph, for example as in a table of contents or a price list.

Figure 8.2. Align towards Spine.

Figure 8.3. Last Line Right Indent.

[View full size image]

Alignment Keyboard Shortcuts

Left | Cmd+Shift+L (Ctrl+Shift+L)
Center | Cmd+Shift+C (Ctrl+Shift+C)
Right | Cmd+Shift+R (Ctrl+Shift+R)
Justified | Cmd+Shift+J (Ctrl+Shift+J)
Justify All lines | Cmd+Shift+F (Ctrl+Shift+F)


Centering Type

Center alignment is widely used in magazine design for crossheads and in book design for title pages. When chosen consciously centering can be extremely effective; when chosen as a "default" or fall-back option, it can make layouts appear stodgy or generic. At its best, it is formal and classical; at its worst, it is static and conventional, andif you are centering whole paragraphsit is less readable. The potential pitfall of centered type is that the even amount of white space on either side of the heading can create a symmetry that may be at odds with asymmetrical nature of the ragged right text. Centering is also commonly associated with birth announcements, wedding invitations, and…gravestones.

Guidelines for Centering Type

  • When centering display type over left-aligned body text, you may need to tweak the alignment to compensate for the type looking off center if the display type is followed by a line of ragged type that does not fill the full measure.

    Figure 8.4. Center alignment used for poetry.

    Figure 8.5. A static Center alignment (example A) and a more dynamic Left alignment (example B).

    Figure 8.6. Optically centering a headline. In example A, the headline is mathematically centered. In example B, the headline has been optically centeredby adding a small amount of right indentover the first line of type.

  • Avoid using an italic headline over roman type because the slant of the italic can make the headline appear off-center.

  • Centered lines that begin or end with punctuation may look off-center and require optical centering.

  • Avoid centering paragraphs with too many lines, especially on a wide measure, because it is harder to find the beginning of the next line.

  • Break lines into phrases that make sense.


Clean Shaven or Rugged: Justified vs. Ragged Type

Because centered alignment and right alignment have limited applications when it comes to continuous text, we are essentially concerned with the pros and cons of using Left or Left Justified type, and the main difference between themwhat happens to the leftover space. On every line of type there will be leftover spaceunless, like Jack Nicholson in The Shining, you're just typing the same line over and over. With Justified type the extra space is distributed between the words and varied to give you lines that are exactly the same width. With left-aligned type, the extra space is added at the end of the line, giving you lines of varying width.

Left-aligned type has the following characteristics:

  • Consistent word spacing.

  • Asymmetry. The ragged margin adds shape and interestas well as white spaceto what would otherwise by a rectangular block.

  • Informal. The differing line lengths can give a casual feel.

Justified type has the following characteristics:

  • Economical. You get more words on your page when you justify your text. The difference may be insignificant with a short document, but in a magazine or book your document may be several pages shorter.

  • Symmetrical. Columns with smooth edges can make your document seem balanced.

  • Formal. The uniformity of the smooth right-hand margin can cause your text to be perceived as more formal, which, depending on the text, may be a good or a bad thing.


How InDesign Justifies Type

Justification is achieved by varying the size of the word spaces on the lineor in the entire paragraphin an attempt to get even word and letter spacing, or at least word and letter spacing that looks even. If justification can't be achieved by adjusting the Word Spacing alone, then InDesign will adjust the Letter Spacing according to your minimum, desired, and maximum settings. After that, it moves on to your Glyph Scaling settings. Too much variation in word or letter spacing will cause the tight lines to look darker than the rest of your text and disturb the paragraph's rhythm. At the other extreme, if the word spacing is too big, you will get unsightly "rivers" of white running through your lines. This is particularly problematic when the columns are narrow and/or when the word spacing exceeds the leading, because the eye is tempted to read down through the gaps rather than from left to right.

Good type color is essential regardless of what alignment you are using, but it's harder to achieve in justified text, because the space left over at the end of the line has to be redistributed across the line to give you a smooth right margin. The more words you have in a line the easier it will be to get even word spacing. You get more words either by making your type smaller or your column wider. It's a balancing act because if you make your column too wide relative to your type size, you'll be swapping one evil for another (see Chapter 15: "Set Up").

Tip

To check for rivers, turn your page upside downwithout the distraction of actually reading the words, any problems should shout themselves out.

InDesign's Justification options can seem intimidating, but ultimately they are extremely logical. Using them well will make a dramatic difference in the appearance of your type.

Figure 8.7. Many rivers to cross. Word spacing and Letter Spacing too tight (example A) and too loose (example B).

Figure 8.8. The Justification options specified as part of a style sheet definition.

[View full size image]

Avoid Justifying the Following

Even if your body text is justified, other elements of your text will want to be ragged, both to avoid composition problems and to provide a contrast to the symmetry of your justified type. The following elements should not be justified:

Headlines and subheads | Bylines | Sidebar text
Tables of contents | Captions | Pull quotes
Footnotes | Bibliographies | Indexes

Word Spacing

No prizes for guessing that this refers to the space between words, i.e., the width of space you get when you press the spacebar.

If you make your word spacing too tight, words will blend together making it hard for the eye to distinguish one from the next. At the other extreme, word spacing that's too loose creates unsightly blocks of white space between words, which makes reading groups of words more difficult.

Determining word spacing is more of an aesthetic consideration than an exact science. A good starting point is 100 percentthe width of the spaceband designed by the font designer. However, you may want to reduce this from 60 to 80 percent in the following circumstances:

  • If you're working with condensed type.

  • If the weight of your typeface is relatively light.

  • If your typeface is tightly fit, i.e., if you are using tight letter spacing, you will want your word spacing to be correspondingly tight.

  • If you're working with larger point sizes.

Figure 8.9. Tight word spacing (example A) and using the default values (example B). (ITC Garamond Book Condensed).

[View full size image]

Letter Spacing

This is the distance between letters and includes any kerning or tracking values you may have applied. A character's width is determined not just by the character itself, but also by the space that the font designer adds around the characterknown as the side bearing.

A purist will tell you that come hell or high water all three values should be set to 0. That is, under no circumstances is any variation in letter spacing permissible. However, if you are working with a narrow measure you'll need to be more liberal with these settings. Depending on the font, you might try reducing the Desired Letter Spacing to 3, and set the minimum and maximum can be set to 5 and 0, respectively.

Figure 8.10. Letter Spacing: A slight adjustment to the Letter Spacing (example A) significantly improves the type color over example B, where InDesign has to rely solely upon the Word Spacing values to justify the type.

[View full size image]

With both Word and Letter Spacing you need to find a balance between being strict and being reasonable. There's no point in specifying restrictive settings if your text-to-column width ratio makes it impossible for InDesign to honor these settings.

Glyph Scaling

Glyph Scaling is the process of adjusting the width of characters in order to achieve even justificationand a little glyph scaling goes a long way. Entering a value other than 100 percent for your Desired Glyph Scaling when working with ragged text is the same as entering a value for Horizontal Scaling. In other words, it's a bad idea. Glyph scaling might sound like the kind of crime that the Type Police will bust you for in an instant. But in reality, moderate amounts of glyph scaling cancombined with your other justification settingsimprove type color significantly. Moderation is the key: Keep your glyph scaling to 97, 100, 103 for Minimum, Desired, and Maximum, respectively. No one will ever know that you varied the horizontal scale of your type. They will, however, appreciate the splendidly even word spacing. Mum's the word.

Figure 8.11. Glyph Scaling: Allowing glyphs to scale to a small degree (example B) allows for more even justification.

[View full size image]

Figure 8.12. In example B, Letter Spacing and Glyph Scaling are combined with Word Spacing to produce an even type color.

The Adobe Paragraph Composer

The Adobe Paragraph Composer is the jewel in the crown of InDesign's typographic features. Before InDesign came along, page layout programs would compose paragraphs line by line. Because there was only a limited number of word spaces across which the extra space at the end of the line could be distributed, this often caused bad type color. Using the Adobe Paragraph Composer (it is the default choice of Composer), InDesign analyzes the word spaces across a whole paragraph, considering the possible line breaks, and optimizing earlier lines in the paragraph to prevent bad breaks later on. Not only does this mean fewer hyphens and better breaks where hyphens do occur, it also means better spacing. Because InDesign looks in the whole paragraph, there are more places where it can add or subtract an imperceptible amount of space. The default values of 80, 100, 133 for the Minimum, Desired, and Maximum word space allow the program enough latitude to distribute the space over a range of lines.

The Adobe Paragraph Composer works for both ragged and justified type, but it's with the latter that you really see its benefits.

Figure 8.13. Adobe Paragraph Composer

Figure 8.14. Show H&J Violations.

Show H&J Violations

As absolutely fabulous as the Adobe Paragraph Composer is, you shouldn't expect miracles. good type color doesn't come easy, and you'll still have to fix some composition problems manually. This is where the preference show H&J Violations comes in handy. This composition preference allows you to easily identify the problems so that you can fix themby any means necessary. As a final reality check, it's important to keep in mind that even with the most carefully considered column widths, the most scientifically proven justification options, and the most judicious use of Indesign's Composition preferences, spacing problems will still occur from time to time. So don't fire the proofreader.

Paragraph Composer Weirdness

In InDesign CS, there were some problems with the Adobe Paragraph Composer refusing to let short words be pulled back to the previous line, even when there was room enough to accommodate them. This issue has been resolved in Indesign CS2. However, you will still find that when editing text that is composed using the Adobe Paragraph Composer, the type before and after the cursor will move. This is because, while you are editing the text, the paragraph is in progressInDesign is still figuring out how it can compose the spacing within the paragraph and adjusting spacing and line break on the fly. If it bothers you, you can always edit the type in the Story Editorchoose Edit > Story Editor, Cmd+Y (Ctrl+Y).

Note

It's important to bear in mind that InDesign's Justification and Hyphenation features work in conjunction with each other. Good word spacing will not be achieved by the Adobe Paragraph Composer alone, but rather by combining it with the other justification features in InDesign's toolkit.

Adobe Single-Line Composer

If you're going for that retro look of bad word spacing circa 1994, then this is the option to choose. Otherwise it's second best to the Adobe Paragraph Composer.


Balancing Ragged Lines

It is often necessary to break display type: either at logical places for meaning and/or to achieve a visual balance. InDesign's Balance Ragged Lines feature goes some way towards achieving the latter and is useful to include as part of the style definition of headings, pull-quotes, and centered paragraphs. Using Balance Ragged Lines will reduce the amount of manual intervention (in the form of forced line breaks, or nonbreaking spaces), but you're still going to need to check your display type carefully for meaning.

Figure 8.15. Balance Ragged Lines applied locally from the Control palette and incorporated into a Paragraph Style definition.

[View full size image]

Figure 8.16. Unbalanced (example A); balanced (example B).

Balance Ragged Lines can also be used to adjust the line endings in left-aligned body text to produce a more even ragwhat you're aiming for is a gentle ripple down the edge of your page. Note that Hyphenation settings also play an important role in determining the way a paragraph rags (see Chapter 11: "Don't Fear the Hyphen") as does your chosen method of composition: Adobe Paragraph Composer or Adobe Single-line Composer. Balance Ragged Lines has no effect in justified text.

The line lengths in ragged type should be clearly irregular, i.e., they shouldn't look like carelessly set justified type. On the other hand, they shouldn't be so irregular that they create distracting shapes that impede fast reading.

Figure 8.17. Balance Ragged Lines in body text. Both paragraphs are composed using the Adobe Paragraph Composer, and both permit hyphenation. Example A is without Balance Ragged Lines; example B has Balance Ragged Lines applied. Using Balance Ragged Lines for body text can yield unpredictable resultsit is best applied locally, or, if incorporated into a Paragraph Style definition, to paragraphs that typically run only a few lines.

Previous Page
Next Page


Right-Aligned Type

Right-aligned or flush-right type can be effective for short bursts of text like captions, pull quotes, or sometimes headlines. Because we read from the left, right-aligned type is hard going for anything more than a few lines. The unevenness of the rag becomes distracting and finding the beginning of lines is difficult.

Figure 8.18. Right-aligned type used for captions. The type is also set to align to the bottom of the text frame, making it easy to align the baselines of the type with the bottom of the picture frame. See below for vertical alignment.

Previous Page
Next Page


Optical Margin Alignment

Ever notice how opening quotation marks and letters such as "W" or a "T" can make the left or right edges of a column appear misaligned? The problemlike all typographic problems more noticeable at large type sizesexists because InDesign aligns characters mechanically, that is, by the edge of the character plus its side bearing (the built-in space that surrounds each letter). Also, when the line begins with punctuation, like an opening quotation mark, you can get a visual hole or indentation at the beginning of the line relative to the characters below.

Until recently these shortcomings were regarded as part of the price of progress. After all, we could all do so much more with our page layout programs, at the end of the day did it really matter that we had to forgo a few niceties? Along came InDesign to the rescue.

Optical Margin Alignment allows the edges of letters to hang outside the text margin so that the column edge actually looks straighter. And not only that: Optical Margin Alignment will hang punctuation marks such as periods, commas, quotation marks, hyphens, and dashes outside the right-hand text margin.

It looks at the shapes and alignment of all the characters on the left and right margins and adjusts the spacing optically according to their letter shapes. Fan-frickin-tastic! Surprisingly, some people don't like this look, preferring everything contained within the text block. But then some people have become so accustomed to the taste of instant coffee that they no longer like the real thing.

Figure 8.19. Without Optical Margin Alignment (example A); Optical Margin Alignment applied (example B).

Figure 8.21. The opening quotation mark "hangs" to the left of the column edge.

Figure 8.20. To optically align your type check Optical Margin Alignment.

To apply Optical Margin Alignment to a story, select a text frame, then choose Type > Story and check Optical Margin Alignment. The font size setting determines the amount of overhang. Usually this should be the same size as the text, but you'll want to eyeball it.


Indent to Here

To create hanging punctuation, for example on a pull quote, use the Indent to Here characterCmd+\ (Ctrl+\). This special character indents all subsequent lines in the paragraph to the point where you added the character.

Figure 8.22. Indent to Here.

[View full size image]

Figure 8.23. In example A, without the Indent to Here character the opening quote mark bites into the text block. Adding an Indent to Here character after the opening quotation (example B) allows the quote mark to "hang" in the left margin.

Note

Vertical justification doesn't work in nonrectangular text frames.


Vertical Alignment

When we talk of type alignment, for the most part we mean the horizontal alignment of the text. InDesign also gives you options for the vertical alignment of your type within a text frame. The default is for type to begin at the top of the frame, and this is appropriate in most instances, but there are times when Center or Bottom alignment of type within a text frame will be necessary. With a text frame selected or your pointer inserted into the text, choose Object > Text Frame OptionsCmd+B (Ctrl+B).

A fourth vertical alignment optionJustifiedcan be used on text frames with multiple columns to make text "bottom out" by adding extra space above paragraphs and potentially to the leading of your type.

Figure 8.24. Text Frame Options. Vertical Justification.

Figure 8.25. Vertical Justification applied to text frames.

This is a super-convenient feature and one that I confess to using when I think no one will notice and/or when time is tight. However, vertical justification is a something of a Faustian bargainyes, it makes your columns end on the same baseline, but it does so at a price. Vertical justification overrides your leading, knocking your type off the baseline grid if you are using one, and potentially makes your type color uneven. That said, you do not surrender all control: Paragraph Spacing Limit lets you specify the maximum amount of space permissible between paragraphs. Once the Paragraph Spacing Limit has been reached, there's nowhere to go but to increase the leading. You can prevent this by setting a massive amount in this field (up to a maximum 8640 points). That way spacing will only be added between paragraphs (the lesser of the two evils) and your leading will remain unaffected.

How effective this is will depend on how many paragraphs you have in the column. If you have text with subheads and body text, for example, the extra space can usually be added unobtrusively above the subheads. If your column is a single paragraph, however, this approach isn't going to work.

Figure 8.26. Vertical Justification of this text frame causes the leading in the third column to open up in an unsightly way.

[View full size image]


Up Next

Moving along the Control Palette, we'll look next at the indents and spacing options, closely related to the type's alignment, and which further clarify the hierarchy and purpose of the type and enhance its readability.


Chapter 9. Paragraph Indents and Spacing

TYPOGRAPHY, LIKE ALL COMMUNICATIONS MEDIA, relies on established conventions that are understood, often unconsciously, by its audience. One such convention is the use of indents or spacing to distinguish one paragraph from another. Paragraphs represent units of thought, and a new paragraph signals the reader that a new idea is coming. While there are several ways to indicate a new paragraph, two methods are most prevalent: indenting the first line and adding spacing before the paragraph.

Figure 9.1. Two ways of differentiating paragraphs: First-line indents set to 1 pica for continuous reading text (example A) and Paragraph Spacing (example B) with a 6-point space above for more technical material.

Previous Page
Next Page


First-Line Indents

The humble first-line indent plays a crucial role in the readability of documents, notifying the reader that one paragraph has ended and a new one is about to begin.

You wouldn't think there would be too much to say about first-line indents. They're indents on the first line of a paragraph. 'Nuff said. Not if you're Jan Tschichold. The famous typographer wrote several articles about first-line indents and was unequivocal on the subject: "The beginnings of paragraphs must be indented. Paragraphs without indent…are a bad habit and should be eliminated." And more: "Typesetting without indentation makes it difficult for the reader to comprehend what has been printed. And that is its most important disadvantage. While blunt beginnings seem to create a uniform and consistent impression when compared to normal typesetting, this impression is paid for with a serious loss of comprehension."

How Big Should They Be?

There is no hard and fast rule, but 1 em is a good starting point. If you're using 10-point type, a 10-point first-line indent is suitable. Anything less and the indent may be missed. Alternatively you can use your leading increment so that if your text is 10/12, then a 12-point first line indent is suitable. Some people prefer a slightly larger indent, especially if they're working with wide columns. Just make sure your first-line indent is not bigger than the exit lines of your paragraphs, as this will create ugly areas of trapped space between paragraphs.

How (and How Not) to Add First-Line Indents

First-line indents can be applied through the Control palette, or better yet, incorporated into a style sheet definition. Don't create your first-line indents with tabs, or worse, by pressing the spacebar multiple times.

Figure 9.2. Control palette. Paragraph Style Options.

[View full size image]

While first-line indents are generally more suited to reading matter, be it magazine or newspaper articles or literature, paragraph spacing may be more appropriate for reference material. To some degree it's a matter of preference, but here are some things to consider:

  • Don't use first-line indents and paragraph spacing. It's an either/or proposition.

  • Don't use first line-indents on centered or right-aligned type.

  • Any paragraph spacing values will be overridden by the baseline grid if you align all the lines of your paragraph to the grid. Unless that is you ensure that your total paragraph spacing is a multiple of your baseline grid. (See Chapter 16: Everything in it Right Place: Using Grids.)

  • If a paragraph follows a heading or subhead, the first-line indent is unnecessary to differentiate that paragraph and should be dropped.

  • Dropping the first-line indent and adding a line of paragraph spacing before is a simple way to indicate a separation without implying a hierarchical difference between two paragraphs of type.

Alternatives to the First-Line Indent

Not everyone loves a first-line indent. In Germany, as well as in some newspapers where space is especially tight, it's popular to have the paragraphs flush left, without any indentation. This can be problematic if the last lines of the paragraphs run the full column measure, making it difficult for the reader to discern one paragraph from another.

Instead of indents, try separating paragraphs with an em or en space, or with a decorative paragraph mark. This can be effective for short passages of text where you want to maintain a flush look, but don't want to compromise the meaning of the text.

Figure 9.3. Flush paragraphs. Without first-line indents it is difficult to find the beginning of the line, especially when the last line of the previous paragraph is long (line 10).

Figure 9.4. Paragraph ornaments are one way of maintaining a flush look to the paragraph without sacrificing comprehension of the text.

Hanging Indents

Hanging indents (also known as outdents), are where all the lines of the paragraph are indented except for the first line, which sticks out beyond the left margin edge. Hanging indents are achieved by applying a left indent, then applying a first-line indent of a negative value, typically the same amount as you entered for the left indent. For example, if you specify a left indent of 1 pica, your first-line left indent will be 1 pica.

Figure 9.5. When used sparingly, hanging indents or outdents can be an effective way of emphasizing the beginning of a paragraph.

To create a hanging indent, use the Control palette or the Paragraph palette. You can also use the Tabs palette: Specify a left-indent value greater than zero and drag the top marker to the left.

The most common example of a negative first-line indent is a bulleted or numbered list, where the second and subsequent lines of the paragraph align under the first character rather than under the bullet point or number. Bullets are great for lists that don't require a sequence or hierarchy. In days of yore, you made bulleted lists by indenting the text, making the first-line indent the same as the left indent, but negative, then inserting a tab before the first character (after the bullet) to move it over to the left indent value. These days, a single-click using the Control palette or the PageMaker Toolbar will not only set the hanging indent but also add the bullet character.

Figure 9.6. Using the Tabs palette to create a hanging indent.

[View full size image]

Figure 9.7. The Pagemaker Toolbar.

Tip

To remove bullets from a bulleted list created with the Bulleted List button in the PageMaker Toolbar, either click the Bulleted List icon again or apply a paragraph style that does not incorporate bullets.

Here's a bulleted list of things to consider when making a bulleted list:

  • Sometimes, especially if your bullet character is a different font from the body text, the bullet may not vertically align perfectly. If necessary, adjust the vertical spacing of the bullet with Baseline Shift.

  • If your items begin with a cap, center the bullet on the cap height.

  • If your items begin with lowercase characters, center the bullets on the x-height.

  • Don't indent the text too far from the bulletan em space is usually sufficient.

  • You are not limited to the standard bullet character. There are many picture or dingbat fonts available. Common picture fonts include Carta, Zapf Dingbats, Symbol, Wingdings, and Davy's Dingbats, to name just a few.

  • New in CS2: Bullets (and Numbering) formatting can now be incorporated into the Paragraph Style definition. You can specify a specific font, size, and color for your bullet, and then apply this with a single click to multiple paragraphs. This is especially useful when you have specific paragraphs that always begin with a certain bullet. Defining a paragraph style with Bullets and Numbering saves you having to key in the bullet character every time. See Chapter 13: "Stylin' with Style Sheets" for more on Paragraph Styles.

    Figures 9.8A and 9.8B. Bullets and Numbering options can be incorporated into a Paragraph Style definition. You can also add bullets from multiple fonts to the available bullet list by clicking the Add button in the Bullets and Numbering section of the Paragraph Style Options dialog.

    [View full size image]

  • An attribute that cannot, as yet, be incorporated into the Bullets and Numbering formats of a Paragraph Style is baseline shift. This means that if your bullet character requires vertical adjustment to make it align, as mentioned above, with either the cap height or x-height of the type, your best option is the old-school method of defining your bullet as a Character Style. Once a Character Style is set up, you can easily apply the same formats to the subsequent bullets in the document, saving time and making sure that their formatting is consistent. You can go a step further and make a Nested Style, where the Character Style is incorporated into the Paragraph Style definition, and both are applied with a single mouse click. See Chapter 13: "Stylin' with Style Sheets" for more on Character Styles and Chapter 14: "More Styles" for information on how to create Nested Styles.

Hanging indents are also used for dictionaries and other reference sources, and sometimes on résumés.

Figure 9.9. A Dictionary entry.

Previous Page
Next Page


Space Before and Space After

Time for another sweeping pronouncement: Never, ever, under any circumstances should you have more than one consecutive carriage return in your document. Or to put it another way, Never create line spaces by pressing Return (Enter). No exceptionsat least none that I can think of. If text that you import into InDesign has extra carriage returns (very likely), then zap 'em with Find/Change.

Now, you might be thinking, what's the big deal? Why not type a harmless extra carriage return between paragraphsno one gets hurt. And it's true; the sun will still rise if you insist on this bad habit. But there are good reasons why not:

  • Using carriage returns for paragraph spacing allows no flexibility in the size of the space between paragraphs. Every time you create a new paragraph by pressing Return, the new (blank line) paragraph has the same formats (including the leading) as the paragraph before it.

  • If your text flows into multiple columns and/or pages, a carriage return at the top of the column or page creates an unwanted space.

Instead of pressing Return (Enter) twice, orheaven forbidmore than twice, use Space Before or Space After. I say or because using both, while occasionally necessary, is apt to get confusing. Most of the time, I use Space Before; only when working with a baseline grid do I use both. As well as giving you complete flexibility in the size of the space between paragraphs, paragraph spacing is smart enough to disappear when not needed, i.e., at the top or bottom of a column or page.

Figure 9.10. Don't use extra carriage returns. The spacing between the paragraphs is too big, and you can get blank lines at the tops of columns.

Proximity

Make sure any paragraph spacing accentuates rather than detracts from the connection between different pieces of text. Simply put, things that belong together get placed together. Organizing your type into clusters of informationsubhead and paragraph, for examplewill help establish the rhythm of your type. The reader will interpret the spaces between such clusters as representing a pause, the next cluster as being a new idea. To reinforce the relationship your subhead should always be closer to the text that follows it than to the text that precedes it. An obvious point, but this rule is frequently broken.

And to ensure that this relationship is never brokenby a column or page break, for exampleset your Keep Options for the style definition of your subheads to Keep With Next 2 lines. (See Chapter 13: "Styling with Style Sheets.")

Figure 9.11. Creating a visual relationship. In example A, the subhead floats ambiguously between the text before and after it. In example B, the subhead is closer to the text that follows, establishing a visual connection between the two paragraphs. .

[View full size image]

Figure 9.12. Using Keep Options. In example A, no Keeps are specified and the subhead is stranded at the bottom of the first column. In example B, the Subhead is set to Keep With Next 2 lines.

[View full size image]

Figure 9.13. The Keep Options section of the Paragraph Style Options dialog.

[View full size image]


Paragraph Indents

Indenting your text on the left and/or right is appropriate in the following situations:

  • To indicate a quoted passage of text or extract. Typically the type will be 1 point smaller than the body text with an even amount of paragraph spaceusually a half-line spaceadded before and after.

  • To indicate hierarchy. Especially in tables of contents or technical documents, indenting signifies a lower level of the hierarchy.

  • Bibliography entries should be set with a hanging indent of 1 em space.

Figure 9.14. A table of contents using indents.

Text Insets

Text insets are an inner margin on your text frame. They give you the same result as applying left and/or right indents, but might be more convenient if you are working with type in a framed or colored rectangle.

Tip

If you use a rounded rectangle or any kind of custom text frame shape you will only be able to specify a single dimension for the text inset.

Figure 9.15. Text Frame Options.

Figure 9.16. A sidebar text frame using Inset Spacing.

Previous Page
Next Page


Up Next

We take a look at how to make a splash with opening paragraphs: their function and the things to consider when creating them.


Chapter 10. First Impressions: Creating Great Opening Paragraphs

THE APPEARANCE OF AN OPENING PARAGRAPH is almost as important as its content for hooking the reader, or, if you are marking a section break, for providing visual relief from a continuous body of text. This chapter looks at initial capitals, specifically drop capsthose created manually and those created automatically using InDesign's Drop Caps feature.

Drop caps are part of a long tradition of decorative first letters stretching back to before the invention of the printing press. Before printing, books were dictated to, and subsequently copied by, scribes and each book was regarded as a unique treasure. The scribes incorporated individual flourishes to distinguish their work from others. In medieval times the ornamentation of manuscripts was a monastic discipline; each major section of a book usually began with an illuminated letter made with metallic, mineral, or vegetable pigments, which were bound by glue or gum to the paper or parchment.

Figures 10-1A and 10.1B. Two pages from the Gutenberg Bible (1455), the first (this page) showing an illuminated first character painted by a scribe, the second (page 135) showing smaller initial characters in red to indicate new sections.

By the fourteenth century, initial letters or versals had evolved from enlarged heavy letters into elaborate illustrated works of art, most often used to decorate religious texts. An illuminated versal might flow down the whole side of a page, or extend up and around the top of the page. Sometimes they included illustrations and took over the entire page. In 1455, when Gutenberg printed his 42-line-per-page Biblethe first book to be printed in the western world with moveable typehe acknowledged the importance of this tradition by leaving space in the printed text for the scribe to add a decorative first letter.


Creating a Simple Drop Cap

Contemporary magazine and book publishing continues this centuries-old tradition with the convention of beginning s and articles with large initial letters. Creating a simple drop cap is a breeze in InDesign and can be applied locally or incorporated into a style sheet definition.

You create drop caps locally using the Control palette or the Paragraph palette. I prefer the Control palettethat way I don't need my Paragraph palette open, cluttering up my workspace.

If you plan to apply the same formatting to more than one paragraph in your document, it saves time (and ensures consistency) to incorporate the drop cap attributes into a paragraph or style definition. The drop cap style is commonly based on your body text style with any first-line indent removed and with some space added before the paragraph.

Figure 10.2. The Control palette showing Paragraph Formatting Controls selected.

Two ways to apply a drop cap: using the controls on the Control palette (left) or using the palette fly-out menu (right). Type a number for Drop Cap Number of Lines, then specify the number of drop cap characters you wantusually one, but as we'll see this isn't always the case.

The Paragraph palette found under the Type menu (Cmd+Option+T/Ctrl+Alt+T), showing the drop cap fields (Drop Cap Number of Lines, Drop Cap One or More Characters), as well as the Drop Caps and Nested Styles palette menu option.

[View full size image]

Figures 10.3A and 10.3B. Applying a drop cap as part of a style sheet definition:

Choose New Paragraph Style from the Paragraph Styles palette. To edit an existing style, Ctrl-click (right mouse click) on the style and choose Edit.

Name the style"first par," "body first" are common naming conventions. If you have your body text style, you may want to base your "body first" on this. Choose body from the Based On: pull down menuin the example shown I am basing the drop cap on the no indent version of the body text style, which itself is based on "body."

Choose Drop Caps and Nested Styles from the list in the left column. Specify the number of lines, i.e., how many lines to sink the first character, and the number of charactershow many characters you want to make big.

If you have a character style defined you can apply that here, too, using the Character Style pull-down menusee below. In InDesign terminology, this is "nesting" the character style inside the paragraph style. (See Chapter 14: Mo' Style)

[View full size image]


Drop Cap Aesthetics

There are no hard and fast rules concerning how big a drop cap should be, but common sense should prevail. Size matters, although in this context bigger isn't always better. The purpose of the drop cap is to signal to the reader where to begin. To do so, the drop cap doesn't need to scream at the reader and shouldn't overwhelm any headline that precedes it. The drop cap comes below the headline in terms of page hierarchy; usually, though not always, it will be smaller than the headline. Also, don't repeat the letter you use as the drop cap at the beginning of the body text.

Too Much of a Good Thing?

In addition to the initial drop cap for the first paragraph of a chapter or article, designers often use smaller drop caps as section markersset up as a style sheet based on the parent drop cap style. This is visually effective, necessary even, if the text doesn't have illustrations, subheads, or other graphic elements to break up the monotony of columns of type. That said, if you sprinkle your drop caps too liberally throughout your document, they cease to be an elegant and functional graphic device and start to become a repetitive annoyance. One drop cap per length of copy or long section is enough.

Different Types of Initial Caps

A drop cap is just one type of initial letter. Here are some variations on a theme:

  1. Raised Drop Cap Hybrid

    In this case the drop cap has been scaled (Cmd+Shift+>/Ctrl+Shift+>) and the text kerned under the shade of the T's horizontal bar.

  2. Raised Cap

    A raised cap or stick-up letter sits on the same baseline as the first line of text. When using this technique avoid using auto-leading. Although the initial is usually set to align flush left, you can also indent the first line.

  3. Hung Initials

    Here the initial character is in a separate text frame, which is positioned in the left margin.

Figure 10.4. Some different approaches to a drop cap.

Kerning Drop Caps

A common problem with automatically generated drop caps is that the big first character may collide with the body text that follows. Where necessary, you'll need to kern to avoid such problems. Note that when you kern between the drop cap and the first character of the text, kerning is applied to all the lines adjacent to the drop cap.

Figure 10.5. Kerning a drop cap. Example A shows the result of applying a 4-line drop cap in Adobe Caslon Pro. Note, the serif of the W collides with the "h." Insert your type cursor between the two letters and press Option+Right Arrow/Alt+Right Arrow to kern the letters, inserting space between the W and the "h" (example B).

[View full size image]

Using Optical Margin Alignment

Certain letters will not look optically aligned because the left sidebearing (space to the left of the character shape that is incorporated into the letter's design) can cause the letter to appear slightly indented. There are two potential solutions:

  1. InDesign's Optical Margin Alignment is a quiet and unassuming feature, but one of those typographic refinements that raises the bar for digital typesetting and sets InDesign apart from its competitors. We saw in Chapter 8: Aligning your Type how optical margin alignment can be used to create hanging punctuation and to allow your hyphens to extend beyond the right edge of your text frame. For now, we're concerned with how optical margin alignment can improve the appearance of a drop cap. Just how beneficial it is depends on the shape of your drop cap letter. With something like a W, which would otherwise have an unsightly island of trapped white space on its left side, Optical Margin Alignment is indispensable, allowing the letter to "hang" outside the margin, thus giving a more even appearance to the edges of the text block.

  2. Sometimes, Optical Margin Alignment may not be enough and, in addition, you'll want to kern the drop cap to the left margin. To do this you'll first need to add a space before the drop cap. Note that adding a space will mean you have to drop two characters instead of oneif you see yourself likely to do this more than once, make an alternate paragraph style with this specification. You can then insert your cursor between the space and the drop cap and kern [Option-Left Arrow/Alt-Left Arrow] until the character is optically aligned with the left margin edge. Instead of adding a regular space, you can add a thin space (Cmd-Shift-Option-M [Ctrl-Shift-Alt-M]) that way, you won't have to kern as much.

Figures 10.6A and 10.6B. Optical Margin Alignment. Turned off (example A). Turned on and set to 12 point (example B).

[View full size image]

Figure 10.7. Before kerning the space in front of the drop cap (example A) and after (example B) to optically align the first letter.

Creating a Contoured Drop Cap

Putting your drop cap character in its own text frame gives you the option of contouring the text to the shape of the drop cap. Apply a text wrap to the drop cap text frame, then use the Direct Selection tool to sculpt the text wrap outline to conform to the diagonal of the W. Make sure that the space around the drop cap is optically the same on the side as it is on the bottom. Note that using this technique will change the location of the start of successive lines of text, which can impede readability.

Figure 10.8. Contoured drop cap. The W is in its own text frame. A text wrap is applied and then adjusted to correspond to the letter shape.

If you are working with a document that contains several custom drop caps you can take things a step further by turning the drop cap into an anchored object. That way, if your text reflows, the drop cap moves with itno wasting time chasing after missing text blocks. Here's how:

  1. Prepare your custom drop cap in its own text frame and apply a text wrap to the frame. Choose the third text wrap option Wrap Around Object Shape.

  2. Cut the text frame Cmd/Ctrl+X.

  3. Insert your cursor at the beginning of the main text block and paste Cmd/Ctrl+V the text frame. The text frame is now a generic inline graphic appearing at the beginning of the line of text.

  4. To adjust it's horizontal position use the Direct Selection tool to shape the text wrap border. For example, to make the letter shape hang in the left margin, reduce the text wrap offset on the left.

  5. To adjust the vertical position of the drop cap choose Object>Anchored Object>Options. For position, choose Inline or Above Line. To sink the drop cap into the paragraph make the Y offset a negative value.

Figure 10.9. Anchored Object Options. Defining the custom drop cap as an anchored object ensure that it will move as part of the text flow. For more on anchored objects see Chapter 16: Text Wraps: The Good, the Bad, and the Ugly.

Adding Small Caps

An often-used device to create a visual bridge between the drop cap and the text is to put the words following the drop cap in small caps. This creates a transition from the large decorative character into the upper- and lowercase of the body text without which the drop cap may look like an isolated graphic. Just how many characters are put into small caps is a matter for discretionit may be just the first word, the first phrase, a specified number of words, or the first line. Whatever you choose, make sure you are consistent throughout your publication.

Back in the old dayspre-2003adding small caps after a drop cap was fiddly and time consuming, especially when working on long documents with many chapter or article heads. You would find yourself applying character styles locally all the while thinking that there had to a better way. And now there is: As I've already mentioned, if you want a drop cap character to have a different color and/or font than the rest of the paragraph, you can define a character style with these attributes then nest the character style in a paragraph style. You can also use Nested Styles to automatically apply a character style to a specified number of words after the drop cap. InDesign lets you incorporate a character style inside a paragraph style. This way, your small caps character style is added to your first paragraph style definition and applied with a single mouse click.

The possibilities here are mind-bogglingenough to distract a type and automation geek for the better part of a Friday nightand we'll look at nested styles in more detail in Chapter 14: Mo' Style.

Figure 10.10. Adding Small Caps: No small caps (example A); small caps applied through four words (example B) to ease the transition from big first character to the upper and lowercase text. (The drop cap is also changed to an italic swash and the kerning between drop cap and text adjusted.)

Figure 10.11. Nested Styles: Choose a character style to apply to a specified number of words.

[View full size image]

Nesting Small Caps

  1. Create a small caps character style. If you are using an OpenType font, choose OpenType All Small Caps from the Case pull-down menu to keep the case of your small cap range consistent without having to re-key any initial caps as lowercase letters.

  2. To "nest" your small caps character style in your "body first" paragraph style, right click (ctrl+click) the paragraph style in the Paragraph Styles palette to edit the style, then choose Drop Caps and Nested Styles.

  3. Click New Nested Style and specify the number of words you want the nested style applied to.

Figure 10.12. Using OpenType Small Caps.

[View full size image]

Currently there is no way of automating the application of small caps to a single line. You can insert an End Nested Styles character (Type > Insert Special Character) at any point in the text so that the character style is applied up to that point, but this requires the discretion of manual input on a case-by-case basis.


Tricks with Drop Caps

InDesign's drop cap feature can be used for more than just drop caps at the beginning of articles or sections. Here are a few ideas for other uses that can be great time savers when included as part of a paragraph style definition.

Figure 10.13. Drop caps used for question and answer section. In this example a tab stop has been set to push the question text away from the Q, the baseline of the Q has been raised by 1 point.

Figure 10.14. Words used as drop caps. Because of the repetition in this example, it's possible to make a paragraph style with the drop cap character count set to 11. The drop cap character style that is nested in the paragraph style includes a small amount of baseline shift as well as changing the Character Color to a 50 percent tint. For the last paragraph, the drop cap is modified locally.

Figure 10.15. Drop caps used for numbers in a contents page.

Previous Page
Next Page


Coming Unstuck with Drop Caps

Drop caps are just one way of kicking off a paragraph and not always the best solution. There are times when drop caps don't work well:

  • When the opening paragraphs of your chapters or articles begin with quotations or dialog or numbers. If you have the occasional opening paragraph that begins with a quotation mark, making it an exception is no big dealso long as it is an exception. If you find yourself having to fuss over every chapter or article opening, then use another type of opening device.

  • When opening paragraphs begin with punctuation, you will need to drop two characters. The opening quotation mark will probably look disproportionately large and you'll want to reduce its size and adjust its baseline using Baseline Shift. Exact amounts will vary according to the nature of the font, so there's some (time-consuming) subjectivity involved here. You should also hang the punctuation. Alternatively, another solution is to drop the opening punctuation altogether.

  • When opening paragraphs are short-one or two lines. Trying to sink a drop cap three lines into a one-line paragraph can be tricky and create some visual confusion, although InDesign does an excellent job of coping. If you find you are repeatedly using a three-line drop cap on paragraphs that are only two lines deep, then you need another solution.

  • When your articles or chapters begin with poetry, song lyrics, or other quoted material. You can still use the drop cap, but it is no longer signaling the beginning of the chapter, article, or section, and can tend to look fussy as a result.

Figure 10.16. Dealing with quotation marks. 1. Because this paragraph begins with a quotation, it is the quote mark that is "dropped." 2. This is fixed by changing the number of dropped characters to two, but there's an unsightly amount of space to the left of the C and the punctuation is too big. 3. The optical alignment of the C is partially fixed by applying Optical Margin Alignment to the story. 4. The punctuation is reduced in size and its baseline adjusted using Baseline Shift. 5. The space between the punctuation and the C is kerned.

Figure 10.17. Dealing with short opening paragraphs. InDesign copes elegantly, bringing the second paragraph up next to the drop cap and maintaining its first line indent. If you find yourself making many such "exceptions," you probably need a different device.

Previous Page
Next Page


Up Next

More fiddly stuff: we turn our attention to hyphens, those small and underappreciated servants of readability.


Chapter 11. Don't Fear the Hyphen

THERE'S A LOT OF PREJUDICE against the poor hyphen. Some designers feel that hyphens are ugly and to be avoided at all costs, as if a broken word is somehow inferior to a word with no hyphens. I believe the humble hyphen is our friend. We live in a world of compromises andas long as the hyphenation breaks make sensehyphens are preferable to the evils of bad word spacing in justified type, or uneven rags in ragged type. Besides, we're used to reading hyphenated text. We do it without thinking, rarely if ever pausing to consider the hyphen's service to the cause of readability. Hyphenation also allows more words to fit on a line, which saves space. That said, a hyphen is only as good as its settings, so it's important to be familiar with InDesign's hyphenation options.

Hyphenation rules vary from one style manual to another and from one language to anotherthe English UK dictionary will hyphenate differently than the English USA dictionary. So make sure you're familiar with your house style and that you have the correct dictionary applied to your type.

Good hyphenation can be labor-intensive. Manually adjusting hyphenation should be one of the fine-tuning stages of your publication. Because text invariably gets edited throughout the production process, line endings will change. There's no point investing time in getting the hyphenation right until you know exactly what you're up against. Try to get your client to sign off on the text content before you start manually tweaking the hyphenation. Andan obvious pointalways start at the beginning of the story and work forward.


Hyphenation Options

Words with at Least _ Letters

This refers to the minimum number of characters for hyphenated words. Changing this number from 5 to 6 will result in less hyphenation.

After First and Before Last

These rather confusingly named options refer, respectively, to the minimum number of characters at the beginning of a word and the minimum number of characters at the end of a word that can be broken by a hyphen. The golden rule is to leave at least two characters behind and take at least three forward.

Figure 11.1. The Hyphenation Settings dialog box (default settings shown).

[View full size image]

Hyphen Limit

This determines the maximum number of hyphens that can appear on consecutive lines so that you can avoid a stepped effect (ladders) on your column edge. While you'd never want more than two consecutive hyphens, it's debatable whether this option is the best method of preventing consecutive hyphens. You might want to set this option to 0, allowing unlimited consecutive hyphens, then manually fix any problems through a combination of tracking and/or rewriting and/or discretionary hyphens.

Here are some options for fixing ladders:

  • Find a better break a few lines above and insert a discretionary hyphen.

  • Find a line(s) where you can tighten the letter spacing with manual tracking.

  • Take the tightest hyphenated line and set the last word to No Break. This will turn the word over to the next line. You can do the same thing with line breaks (Shift+Return/Enter), but these can cause problems if the text is later edited, with line breaks showing up in the middle of a line.

  • Rewrite, if you have the authority and it's appropriate.

Tip

Applying No Break to a word that you don't want to hyphenate is preferable to using line breaks, which can later come back to bite you if the text is edited, causing the line break to occur in the middle of a line rather than at the end. Because No Break is buried away on the Control palette menu you'll save a lot of time by assigning it a keyboard shortcut.

Figure 11.2. Add Discretionary Hyphens. In example A, lines 4 and 5 have consecutive hyphens. In example B, inserting a discretionary hyphen before "recognized" (line 5) turns that word over to the next line, fixing the problem andbecause the Adobe Paragraph Composer is appliedrecomposing the preceding lines.

Figure 11.3. Assigning a shortcut to No Break.

Hyphenation Zone

Despite the alluring name, this is nothing more than an invisible boundary set from the right margin. A larger Hyphenation Zone creates a hard rag, allowing more words to be pulled down to the next line, thus requiring fewer words to be hyphenated. A smaller Hyphenation Zone will create a softer rag, with more hyphenated words. Note: The Hyphenation Zone is relevant only if you're using ragged text.

Figure 11.4. Hyphenation Zone.

[View full size image]

The Hyphenation Slider

This enables you to alter the balance between better spacing and fewer hyphens. With justified text the spacing is adjusted between the words. With left-aligned text the rag (the right edge of the text) is adjusted. When working with left-aligned text avoid any gaping holes, long sloping edges, or words that stick out unattractively. Aim for a gentle wave that makes slight in-and-out adjustments as the eye travels down the column.

Figure 11.5. The Hyphenation Slider.

[View full size image]

Hyphenate Capitalized Words

This does exactly what it says. Generally you want to avoid breaking proper nouns, but if they occur frequently and/or if there are a lot of them, checking this option yields better word spacing.

Hyphenate Last Word

Just what the doctor ordered when it comes to preventing word breaks at the end of a paragraph. Uncheck this to prevent the last word of a paragraph being hyphenated.

Not all Hyphens are Born Equal

The hyphen character in most fonts is nasty, brutish, and short, and could easily be swapped with the hyphen from another font without anyone even noticing. Certain fonts, however, have very distinctiveand beautifulhyphens.

Figure 11.6. Hyphen examples.

Previous Page
Next Page


Discretionary Hyphens and Nonbreaking Hyphens

Discretionary hyphens are useful when a word at the end of a line is not in your hyphenation dictionary, or when you want to break the word at a place different than that chosen by InDesign. Discretionary hyphens have the good manners to disappear when not needed. If the text is edited so that the word is no longer at the end of the line, the discretionary hyphen disappears.

A discretionary hyphen also serves another purpose: You can prevent a word from breaking by placing a discretionary hyphen in front of its first letterCmd+Shift+Hyphen (Ctrl+Shift+Hyphen). You can also prevent an individual word, or a string of words, from breaking by selecting it and then choosing No Break from the Character palette fly-out menu.

Multilingual Documents

InDesign CS2 comes with 35 dictionaries representing 28 languages (there are several flavors of Englishlegal, medical, British, Canadian) and the one you have applied to your type will determine how that type is hyphenated and spellchecked. If you are working on a multilingual document, as is common in countries like Canada or Switzerland, make sure you apply the appropriate language dictionary to the appropriate passages of text. But even if you have only an excerpt, a single paragraph in a second language for example, you can specify the appropriate language dictionary for that range of text so that the text hyphenates with the right syllable breaks and so that it is spell-checked in the right language.


Hyphenation and User Dictionaries

Hyphenation and spelling are controlled by the language dictionary associated with your text. When a wordusually a technical term, proper noun, or expletiveis not found in your language dictionary, you may wish to add it to your User Dictionary. Click Add and the word is added to the chosen language's user dictionary.

If you wish to add and word and specify its hyphenation breaks. Click Dictionary and then click Hyphenate to view the word's suggested hyphenation points. You can add your own hyphenation points by inserting tildes and ranking them: One tilde indicates the best break, two tildes the second best, and so on. If you don't want the word to be hyphenated, add a tilde before its first character.

You can also customize the hyphenation of words already in the language dictionary by typing (or pasting) the word into the Word field and clicking Hyphenate. If appropriate, insert tildes as above to customize the hyphenation. You can also import a word list (saved as a text file) by clicking Import, then quickly add these words to you user dictionary.

Figure 11.7. InDesign's Language Dictionaries.

Figure 11.8. Adding a Word.

Figure 11.9. Adding a Word and choosing its hyphenation breaks.

Sharing User Dictionaries

If you are part of a workgroup, make sure that each user has the same customized user dictionary installed so that the same spelling and hyphenation rules are applied to a particular document regardless of who is working on it. Dictionary file names end with the extensions UDC and are stored in the InDesign Preferences folder.

Figure 11.10. The path to the user dictionary (Mac).

Alternatively, you can merge the user dictionary into the InDesign document. Choose InDesign > Preferences > Dictionary and check Merge User Dictionary into Document. The advantage of this approach is that you don't have to worry about sharing user dictionaries.

Figure 11.11. Dictionary Preferences.

[View full size image]

Hyphenation Dos and Don'ts

Do: Check your language dictionary. Hyphenation (and spelling) rules are based on the language dictionary specified for the text. You can choose which language to use from the Language menu on the Control palette or in the Character palette. Better yet, apply this as part of a Paragraph Style definition. You can specify a default language in your Preferences.

Do: Hang your hyphens. When hyphenating, don't forget about Optical Margin Alignment to hang the hyphens (and other punctuation) in the right margin. Choose Type > Story and check Optical Margin Alignment.

Tip: Check Spelling and Ligatures

InDesign is smart enough to recognize ligatures in your text and won't flag words containing ligatures as being misspelled.

In Spelling Preferences (InDesign > Preferences > Spelling) you can specify the kind of problems you want InDesign to look for. You can also turn on Dynamic Spelling, which will underline potential spelling errors in your text. This is a feature that has been available in word processing applications for some time, but is of limited utility in a page layout application. Likewise the Autocorrect feature, which you can turn on in Preferences, second-guesses you on any unorthodox spellingsoften with comical results.

Spell Checking

It's always a good idea to run a spell check before going to print, even if you haven't edited the text content, since it's easy for errors to creep into a layout during design and production. There's not a whole lot to say about InDesign's Check Spelling, except that it does what you'd expect a spell checker to do. You can specify whether you want to spell check one word or from where you place the pointer to the end of the story. You can also check a story, the entire document, or all open documents. When InDesign flags words not in its assigned language dictionary, you can ignore just one instance, ignore all instances, accept its suggestion, or type in your own substitution. If it's a word you'll be using frequently, you can add it to your User Dictionary. If you are adding a proper noun you can check Case Sensitive, so that the word will still be flagged if it is spelled in lowercase or with extra caps.

Figure 11.12. Check Spelling.

Figure 11.13. Spelling Preferences. Dynamic Spellinggodsend or minor irritation? You decide.

[View full size image]

Figure 11.14. Advanced Character Formats.

[View full size image]

Figure 11.15. Hanging punctuation.

Do: Consult a dictionary for hyphenation breaks. When inserting discretionary hyphens divide the word after a vowel, turning over the consonant to the next line. In present participles, turn over -ing, as in walk-ing, driv-ing, design-ing. When two consonants come together, put the hyphen between them. Try to divide the word so that the first part of the division suggests what is following: con-serva-tion not con-servation, re-appear not reap-pear, cam-ellia not camel-lia.

Do: Use Nonbreaking Hyphens (Cmd+Option[Ctrl+Alt--]) in phone numbers and Web addresses to prevent them breaking over a line.

Don't: Use stupid hyphenations like crap-ulous or the-rapist

Figure 11.16. Insert Nonbreaking Hyphen.

[View full size image]

Don't: Hyphenate headlines or subheads. Be sure to uncheck Hyphenation in the relevant Style Sheet definitions.

Don't: Hyphenate a word at the end of a paragraph. Uncheck the Hyphenate Last Word option in the Hyphenation dialog box to prevent this.

Don't: Hyphenate a word at the bottom of a column or page break.

Don't: Double-hyphenate a word. This can happen if you have a long compound word that contains a hard hyphen occurring at the end of the line and requiring a second hyphen. Select the type on either side of the hyphen and choose No Break to prevent this.

Don't: Use more than two consecutive hyphens. Hyphens set in a row cause an ugly stepped effect down your right margin. Turn over one of the words by selecting it and choosing No Break, or by inserting a discretionary hyphen at the beginning of the word.

Using the Story Editor

The Story Editor, a word processor within InDesign, is a feature borrowed from PageMaker (may it rest in peace) and a useful, no nonsense tool. To view text in the Story Editor, select a text frame with your Type pointer or Selection tool and choose Edit > Edit in Story Editor Cmd+Y (Ctrl+Y). In the Story Editor window there's only one view size, and all the text is in the same font and size.

It may not be pretty but when all you want to do is edit text, it can be lot quicker to do so without the visual distraction of graphics, column breaks, and text formatting. You don't have to worry about zooming in and out, navigating from page to page, or redrawing screens. It's pure content. Any changes made in the Story Editor window are automatically reflected in the layout and visa versa.

The Story Editor is also useful when you want to quickly apply paragraph and/ or character styles to a long document or when troubleshooting text composition problems, like mysterious line breaks or spacing gaps.

Tip

When switching back and forth between the Story Editor and the layout use the keyboard shortcut Cmd/Ctrl+Y rather than closing the Story Editor window. This way InDesign will automatically scroll to your Type cursor position, rather than leaving you to find your place in the text you were just editing.

Figure 11.17. Part of a story viewed in the Story Editor and the associated Story Editor preferences. The Story Editor is a good place to check your spelling as well as view overset text (redlined) and quickly apply Paragraph and Character Styles. When you have Spelling preferences set up to Enable Dynamic Spelling, words not found in InDesign's dictionary are underlined in red.

[View full size image]


Up Next

We visit InDesign's often overlooked table formatting functions, starting with the progenitor of all these tabular, the tab ruler.


Chapter 12. Mastering Tabs and Tables

WE LIVE IN A WORLD OF LISTS: the Top Ten this, the 100 greatest that, 12-step programs, 50 ways to leave your lover, etc. Tabs and tables are invaluable tools when it comes to working with anything list-likefrom a simple bullet list to a complex financial table. In this chapter we'll look first at tabs and some of their common uses, and then take a look at InDesign's robust and versatile table formatting features.

Tabs are for positioning a piece of text in a specified place on the line. They are used to create bullet or numbered lists, reply forms, or for aligning numbers on a decimal point. Tabs can also be used to separate columns of information into a table-like layout. However, these days it's usually easier to use an InDesign table to do this.

Tabs come in several flavors: left, center, right, and decimal or special-character tabs.

Figure 12.1. The Tabs Palette Cmd+Shift+T (Ctrl+Shift+T)

Previous Page
Next Page


Setting Tabs

  1. Place your pointer where you want to add horizontal space and press the Tab key.

  2. Choose Type > Tabs. With your Type cursor in the text frame, click the magnet symbol at the bottom right of the Tab Ruler to snap the Tab Ruler above the text frame.

  3. On the Tab Ruler, choose the type of tab you want and click a location on the ruler to position the tab.

Note

You can set repeating tabs based on the distance between the tab and the left indent or the previous tab stop by choosing Repeat Tab in the Tabs Palette menu. You can also delete any existing tabs by choosing Clear All.

Figure 12.2. Types of Tabs. In each case the tab stop is set at 12 picas.

[View full size image]


Creating Decimal Tabs

A decimal tab aligns characters on a decimal or another character you specify: Select a decimal tab on the Tab ruler, then, in the Align On box, type the character you want to align ontypically a decimal point, but you can use anything.

Figure 12.3. Align On. This example uses two decimal tabs, the first set to align on the $ symbol.

[View full size image]


Using Tab Leaders

Tab leaders are used on menus, price lists, and contents pages. Their purpose is to guide the eye from one piece of text to the next. There are other solutions, arguably preferable, that don't introduce gaping holes between the item and its page number or price, but so long as the distance between the text and the number isn't too wide, this can be a good solution.

Figure 12.4. This menu uses a right tab with leader characters (a period followed by a space) to separate the menu item and its price.

Previous Page
Next Page


Reply Forms

If you've ever tried to create a form with the underscore character, you've doubtless found it's impossible to have the lines perfectly aligned at the right column edge, giving you an ugly, stepped effect. This is because, unlike with typewriters, proportional-spaced fonts are not of a fixed width. With different characters on each line, the likelihood of your underscores ending at the same position is remote. The solution, or one of them, is to use a right tab with an underscore as the leader character.

Figure 12.5. Reply Form. The first two lines have a right tab set at the right margin with an underscore as the leader character. Line 3 (selected) has three tabs, each with an underscore as the leader character.

[View full size image]


Numbered Lists

When you have numbered lists that mix one-, two-, and possibly three-digit numbers you'll need two tabs, combining the right alignment of the numbers and the left alignment of the text.

Figure 12.6. A numbered list before formatting (example A) and the same text using a right and a left tab (example B). Note that the periods after the numbers are redundant and have been removed. Using the Control palette or the PageMaker Toolbar to convert the text to a numbered list adds numbers before each paragraph, but does not add tabs or formatting. The numbers are staticthat is, they do not update should you change the order of the text.

Previous Page
Next Page


Right Indent Tab

A right-aligned tab allows you to align all subsequent text to the right edge of the text frame. You won't find it in the Tabs palette, but under the Insert Special Character menu. Alternatively you can press Shift-Tab in the text. To use a Right Indent Tab with a tab leader (CS2 only), set a tab stop anywhere in the paragraph and apply a leader character to it. When you press Shift-Tab the leader character will appear.

Figure 12.7. A Right Indent Tab (Shift-Tab) is inserted before the attribution to align the author's name to the right column edge.

Previous Page
Next Page


Working with Tables

Working with tables in InDesign is so much more than just making financial spreadsheets readable, although if that's what you need to accomplish InDesign is more than up to the task. Tables can be used in all sorts of creative ways beyond the obvious: crossword puzzles, reply coupons, television listings, calendars, and forms of all kinds. Just because you use a table to design all or part of your document doesn't mean that document has to look like a table. In fact, tables are useful when you have content that needs to be updated yet remain in the same location on the page. The rows, columns, and cells that make up the structure of your table can be visible as such, or they can merely serve as an underlying grid to your design. Tables used to be a thorn in the side of the graphic designer, but InDesign offers such powerful and intuitive table formatting features that this is no longer the case.

Tables are always contained in a text frame and move with the flow of the text. To align the table within the text frame, insert the Type tool to the right or left of the table and click the appropriate alignment option on the Paragraph formats section of the Control Palette.

A table is edited with the Type tool. Formatting text within a table is the same as formatting text in a text frame. Paragraph and Character Styles, as well as local formatting, can be applied to the text.

Figure 12.8. Anatomy of a Table.

Working with tables, you can add or delete rows and columns, cut or copy and paste selected cells, change the column and row height, split or merge cells, add header and footer rows, and much more.

When you create a table, it fills the width of your column. The default height of a row is determined by the leading of your text at the insertion point, but this can be easily changed.

Figure 12.9. The Table palette (Window > Type & Tables > Table).

[View full size image]

Figure 12.10. The Control palette Table Formats. Just as with character and paragraph formatting, there is much overlap of formatting options between the Control palette and the Table palette.

[View full size image]


Creating a Table

There are three approaches to creating a table: from scratch, converting existing text to a table, or importing a table from Microsoft Word or Excel.

From Scratch

  1. Draw a text frame with the Type Tool, or insert your type pointer into an existing text frame.

  2. Choose Table > Insert Table.

  3. Specify the numbers of rows and columns and click OK. Optionally, if the table will span more than one column or frame, specify the number of (repeating) header or footer rows.

Each table cell is like a text frame. You type or paste text, or place text into a table cell just as you would do with a text frame. You can also paste or place (File > Place) graphics into table cells.

Note

If you add a graphic that is larger than the cell, the cell height expands to accommodate the graphic, but the cell width remains fixed, causing the graphic to extend beyond the right side of the cell. If the row is set to a fixed height, a graphic that is taller than the row height causes the cell to be overset.

Converting Text to a Table

If you are going to convert text to a table, it pays to set up the text properly with tabs separating the columns and paragraph returns separating the rows. Once your tabs and carriage returns are in the right place, select your text and choose Table > Convert Text to Table.

It's rare that you'd want to, but you can also make this conversion in reverse by inserting your Type Tool in a table and choosing Table > Convert Table to Text.

Figure 12.11. Tab Delimited Text.

[View full size image]

Figure 12.12. The same text converted to a Table (it looks worse than it is).

[View full size image]

Figure 12.13. The cleaned-up table: Column Widths and Row Heights adjusted. Cell Inset Spacing reduced. Paragraph Styles Applied. Table Border, Row, and Column Strokes removed. Alternating Fills of 20 percent cyan applied.

[View full size image]

Importing a Table

There's no point in reinventing the wheel: If you already have a table in a Microsoft Excel spreadsheet or in Microsoft Word, choose File > Place to import it into InDesign, either retaining the formatting (probably not a good idea) or stripping out the formattingthe information will appear as tabbed textand then using InDesign's Table tools to prettify it.

Figure 12.14. Table Import Options.

Selecting a Table

Selecting a whole table allows you to change the formatting of all the table's cells. To do so, move your pointer to the upper left corner of the tableit becomes a southeast pointing arrowand click. Alternatively, with your pointer inside the table, choose Table > Select > Table (Cmd+Option+A/Ctrl+Alt+A).

Breaking Tables Across Frames

Large tables can be a pain, but, thankfully, if the table is taller than the text frame in which it resides, you can thread the frame with another framein the same way as you would thread a regular text frameto continue the table.

Keep Options determines how many rows should remain together. You can also specify where a row breaks, such as at the top of a column or frame.

If you want a header or footer row to repeat information in the new frame, choose Table > Headers and Footers.

If you didn't set up a header or footer row first time around, you can easily convert an existing row to a header or footer row by choosing Table > Convert Rows > To Header or To Footer.

Tip: Tabs in Tables

When you're working in a table, pressing Tab moves your cursor to the next cell. If you want to insert a tab in a cell, choose Type > Insert Special Character > Tab.

Figure 12.15. Header and Footer Options.

[View full size image]

Adding Borders, Strokes, and Fills to a Table

In the Table Options dialog box, you can change the stroke of the table border and add alternating strokes and fills to columns and rows.

To enhance the readability of a complicated table with a wide measure, use alternating strokes and/or fills to help the eye to track along the table rows. Depending on the nature of your data, you may want to experiment with Alternating Patterns. You can apply your fills or strokes to every other row, every second row, every third row, or, using the First and Next menus, come up with a Custom Row pattern. The same is true with columns.

Note

Unless you choose Preserve Local Formatting, any formatting previously applied to individual table cells will be overridden by the row and column formatting.

Figure 12.16. Preserve Local Formatting. Note that the Fill Color and Tint are shown as blank when this option is checked.

[View full size image]

Confusingly, row strokes are set on even when Alternating Pattern is set to None. To turn off row strokes, columns strokes, and the table border at the same time, select the whole table and then target the Stroke swatch on the Swatches palette or at the bottom of the Tool Palette, and then choose None.

To turn off just row strokes, choose Every Other Row as the Alternating Pattern, and then choose None as the color for the First and the Next row. If you want row strokes on, but want to change their weight and/or color, make sure you change both the First and the Next row. Likewise when working with column strokes: They are on even though Alternating Pattern is set to None. To change their stroke weight, choose a different alternating pattern and change the options for the First and the Next column stroke weights.

Tip:Tables and Text Wraps

Text wraps do not work in tables without first jumping through a few hoops. Let's say you have a graphic and some text that you want to wrap around that graphic and you want to insert both items into a single table cell. Create your text frame and graphic outside the table, and then group them together (Cmd+G/Ctrl+G). Select the group, and copy and paste into the table cellthe relationship between the type and graphic is preserved.

Figure 12.17. Changing the weight of row strokes.

[View full size image]

Figure 12.18. Table Formatting Shortcuts

[View full size image]

Figure 12.19. Tables and Text Wraps. This section of a film calendar shows a grouped text frame and graphic with text wrap pasted into a single table cell.

Figure 12.20. Using a table in a film poster is the best way to get a "double baseline" with the small credits. Without a table it would be necessary to position separate text frames next to the big credits, an approach that is cumbersome and difficult to edit.

Figure 12.21. This table of contents page uses a clearly defined grid that is a good candidate for a table. Using a table in such a context can make it easier to edit the contents of individual cells in the publication's next issue.

[View full size image]


Working with Rows and Columns

To select a column or columns, move the pointer to the top edge of the table, and your pointer becomes an arrow shape. Click to select the entire column. To select a row, move your pointer to the left edge of the table and click to select the row. Alternatively, you can click inside a table and choose Table > Select > Column or Row.

To specifically select Header, Body, or Footer rows, click inside the table and choose Table > Select > Header Rows, Body Rows, or Footer Rows.

Inserting and Deleting Rows and Columns

You can insert rows and columns using the menu options, or, if you want to be flash, on the fly by dragging while holding down Option (Alt) as you drag a row or column border. In addition, you can also create a new row by pressing Tab when the insertion point is in the last cell of the table.

To delete all or selected parts of your table, choose Table > Delete > Row, Column, or Table.

To delete cell contents without deleting cells, select the cells containing the text you want to delete and press Backspace or Delete.

Note

When adding columns, if you drag more than one and one-half times the width of the column being dragged, new columns with the same width as the original column are added.

Figure 12.22. Inserting Rows and Columns

[View full size image]

Resizing Rows and Columns

To resize rows and columns, drag the row or column border to change the row height or column width. To keep the table at the same size, hold Shift while you drag. This affects only two rows (or two columns) at onceone row or column gets bigger while the other gets smaller. To resize all the rows and columns proportionally, hold Shift while dragging the bottom table edge or the right table edge respectively.

To resize the whole table, position the pointer over the lower right corner of the table so that the pointer becomes an arrow, and then drag to increase or decrease the table size. To maintain the table's height and width proportions, hold Shift. Note, this doesn't work if your table spans more than one frame.

Changing Row Height

Choosing At Least specifies a minimum row height that will grow as you add text or increase the point size of the text you already have. If you copy or Place a graphic into the table cell, the row height will grow to accommodate the graphic. But the column width will not. With an overset graphic you can either choose to Clip Contents to Cell to crop the graphic to the table cell width or adjust the column width to fit the graphic.

Tip

Choosing Exactly from the Control palette or Table palette sets a fixed row height. Fixed row heights don't grow when you add text, and a small red dot will appear in the lower right corner of the cell if it is overset. With an overset cell you have two options: Make the content smaller or the table cell bigger.

Distributing Rows or Columns Evenly

If you want your selected rows or columns to have a uniform height or width, choose Table > Distribute Rows Evenly or Distribute Columns Evenly.

Figure 12.23. Clip Contents to Cell.

Figure 12.24. Distribute Columns Evenly.

Previous Page
Next Page


Working with Table Cells

The building blocks of a table are cells, and each cell in your table is like an individual text frame. Using Cell Options, you can determine the Cell Inset Spacing, the Vertical Alignment, Row Strokes, Column Strokes, the First Baseline Options, and Diagonal Lines. Table text can be formatted in exactly the same way as text in a text frame, and paragraph and character styles are equally beneficialsee s 13 and 14. The only restriction on the formatting of tables is that text can be rotated only in increments of 90°, 180°, or 270°. (If you really must have text rotated at any other angle, format the text in its own frame, then cut and paste the text frame as an inline frame into a cell.)

Note

Selecting the Cell and the text within the cell are two distinct things. To select the cell, drag from the top left of the cell. Alternatively, because it's all too easy to inadvertently resize the rows and columns when trying to select individual table cells, especially if your table is complex, put your Type cursor in the cells and choose Table > Select > Cell (Cmd+/ [Ctrl+/]).

Merging and Splitting Cells

You can merge two or more cells in the same row or column into a single cell. You can also split cells horizontally or vertically.

Figure 12.25. Tables Within Tables. This section of a film calendar shows a three-column single-row table that has been pasted into a merged cell above the two columns in the second row. A similar effect may have been possible by Splitting Cells vertically (not the same as Unmerging, which will restore the cells to their premerged state), but does not allow the same degree of independence when adjusting the column widths of the individual rows.

[View full size image]

Adding Diagonal Lines to a Cell

Choose Table > Cell Options > Diagonal Lines. From the Draw menu, you can specify Diagonal in Front or Content in Front to position the diagonal line in front of or behind the cell contents.

For Line Stroke, specify desired weight, type, color, and gap settings; specify a Tint percentage and Overprint options, and then click OK.

Figure 12.26. Diagonal Lines.

Working with Table Cells

Just like a regular text or picture frame, each table cell has fill and stroke properties. Choose the cell (Cmd+/[Ctrl+/]), or drag your pointer across a range of cells to select multiples, and use the Fill and Stroke boxes on the bottom of the Tool palette to change the properties of a cell. To modify specific sides of the cell border, determine which stroke line(s) you are affecting with the Preview Proxy at the bottom of the Stroke palette. Selected lines appear in blue; deselected lines in gray. To deselect all lines, triple click the Preview Proxy. Alternatively, you can use the Cell Options dialog box, which has all these options in one place.

Figure 12.27. Cell Options: Your one-stop shop for table cell formatting.

Tables are extremely versatile and can be used for much more than just "tables." For example, putting a screen behind a single paragraph is a common request that is easy in Word, but has long proved problematic for the more heavyweight layout applications. Until now, that is. With InDesign the solution is simple.

Figure 12.28. A shaded paragraph.

Like all tables, the single cell table will move with the flow of text. What's more, the table celland it's shadingwill expand and contract as necessary if you edit the paragraph.

Tip: Shading a Paragraph

If you want to put a screened background behind a specific paragraph, a table is an elegant solution. Select the text in the paragraphbut not the final hidden carriage-return characterand choose Table > Convert Text To Table to make a one-cell table. You can then stroke and/or fill the table as you wish andbecause it's a tableit will grow as you add type and move as part of the text flow. You control the paragraph spacing between the table and the paragraphs above and below using Table Options >Table Setup.

Table Aesthetics

Here are some rules of thumb that may be useful when working with tables that really look like tables.

  • Table text is typically one or two points smaller than body text.

  • Condensed sans serif faces work well.

  • Use lining numbers, not proportional old style numbers.

  • Keep it simple. Establish the hierarchy of information by the way the table is constructed, rather than changing fonts, weights, and point sizes.

  • Use borders, column rules, row rules, and cell tinting sparingly.

  • Don't try to cram too much into a finite amount of space. Just because it's a table doesn't mean it shouldn't be readable.

  • Don't justify texttable cells are too narrow.

  • Don't use first line indents. If table cell entries run to more than one paragraph, break them into separate cells.

  • If a table runs across several pages, repeat the header row on each subsequent page on which the table appears.

  • When tables run more than one page, a footer row is only necessary at the end of the complete table.


Up Next

See how you can let InDesign take the strain with its super array of Styles. Veterans of page layout programs will find paragraph and character styles as they would expect, but in addition, InDesign offers such delights as nested styles, sequential styles, and object stylesfeatures that can make formatting even the longest, most complicated documents a joy.


Part III: Styles

    Chapter 13. Stylin' with Paragraph and Character Styles

    Chapter 14. Mo' Style


Chapter 13. Stylin' with Paragraph and Character Styles

STYLES HAVE BEEN AROUND since the dawn of desktop publishing. Over the years they have evolved in their ease of use and range of capabilities. A bed-rock feature of any page layout program, styles represent humankind's greatest advance in the field of digital page layout. Styles are to graphic designers what fire was to prehistoric people.

Defining Our Terms

Paragraph Styles and Character Styles are a collection of attributes that can be applied to text with a single click. Paragraph Styles, as their name suggests, are applied to the whole paragraph; Character Styles are applied to a selected range of text within a paragraph. Collectively I will refer to the Paragraph Styles, Character Styles, and Object Styles (see Chapter 14) in a document as a Style Sheet.

When you select text or click an insertion point, the style that has been applied to that text is highlighted in the Paragraph and/or Character Styles palette. If you select a range of text covering multiple styles, no style is highlighted.

By default the [Basic Paragraph] style is applied to text you type. You can't rename or delete this style, but you can edit it: Ctrl/Right Mouse+click on the style name to change its definition. You can also designate a different style to be the default style. To do so simply choose that style when you have no text or text frame selected.

Figure 13.1. Paragraph and Character Styles Palettes (small palette rows chosen)

Figure 13.2. Paragraph Styles, Character Styles.

Using style sheets and not using styles sheets is the difference between you controlling InDesign and InDesign controlling you. Here are some reasons to use styles:

  • Styles ensure consistency in formatting throughout your document, making for a better-designed piece.

  • Styles enable you to change in seconds the entire formatting of your document, no matter how large, by changing your style definitions.

  • And, as I mentioned before, the best reason of all: Styles save you hours and hours of drudgery.

Despite these irrefutable facts, many designers either underutilize or avoid styles altogether. I'm frequently amazed by the number of designersmany of whom should know betterwho don't use styles, or who use them in a half-assed way. What's up with you people? You like the grind of unnecessary repetitive work?

I've had designers tell me: "I don't like to use styles, because I like to experiment with different designs," or "I don't want my pages to all look the same." These are exactly the reasons you should use styles. Far from stifling creativity, styles enhance it by making experimentation quick and easy. And just because your style names may be the same or similar from one document to the next doesn't mean the style definitions can't be completely different.


Creating Styles

Time spent creating style sheets is an investment that will repay you many times over throughout the lifespan of the publication. Though you should set up your Styles at the beginning of the design process, it is easy to add to your Style Sheet and edit your styles as your document evolves. There are several different approaches:

Creating a Style Based on Existing Text

  1. Format the paragraph the way you want it to look.

  2. Click the Create New Style icon at the bottom of the Paragraph Styles palette: "Paragraph Style 1" will appear in your Paragraph Styles palette.

  3. Double click "Paragraph Style 1" to type a name for your Style and (optionally) specify a shortcut keystroke. If you want to add additional formatting, click the attributes list on the left and specify the options you want to add to your style. With Preview checked, you can see your formatting changes added to the paragraph.

Figure 13.3. Paragraph Style Options.

[View full size image]

Tip: Style Naming Conventions

  • Name your styles in a logical way. Keep in mind that it's likely you'll need to come back to a document months or even years down the road, so you'll want a style-naming strategy that is transparent. Alternatively, you may need to hand over your InDesign document to someone else to finish. So that you don't spend a long time on the phone explaining why you named your styles after your favorite Radiohead songs, keep them simple.

  • Because InDesign lists your styles in alphanumeric order, consider putting a two digit number in front of your most commonly used styles to force them to the top of the list in the Styles palette. Putting a unique two character identifier at the beginning of your style names also makes it easier to access those styles using Quick Apply by simply pressing Cmd-Return (Ctrl-Enter) then typing the first two characters to access the style.

  • Styles are case-sensitive: Body Text and body text are recognized as two distinct styles, so be precise when naming your styles, or you may end up with two versions of the style and no idea which is the real one.

Choosing and Combining Typefaces

Setting up a Style Sheet for your document involves choosing what typefaceor combination of typefacesto use. A well-constructed Style Sheet will make it easy to experiment with different font options. Here are some factors to consider when making your choices:

Versatility

The more complex the document, the more important the versatility of your typeface. Choosing a font is a bit like choosing a pair of shoes. If you are planning to go to the beach, then a pair of flip-flops may be all you need. But if you're going to the beach, then rock climbing, then out for a formal dinner, you'll need footwear that's more versatilelikewise with a typeface.

A versatile typeface will have a range of weights available: light, regular, semibold, bold, etc. You'll still be able to achieve the necessary contrast to indicate hierarchy of information. When The Guardian newspaper in London went through a major redesign in the fall of 2005, it switched to using a single font familyGuardian Egyptianwith 96 different weights and widths. Obviously, the demands of a daily newspaper and its associated supplements are more than is typical, but you get the idea.

Do the extras come as Standard?

A PostScript Type 1 font has a character set of only 256; an OpenType font has thousandsup to a maximum of 65,000. Those real small caps, old style numbers, and extra glyphs might really come in handy. Another huge advantage of OpenType fonts is that they are cross-platform.

Historical Connotations

Depending on the nature of your text, you might use history to inform your choice of font. For example, a book on modernist architecture could suggest Futura, while a book of 18th Century Italian poetry may be more appropriate in Bodoni.

Same Type Designer

In a similar vein, when looking for a complement to a given typeface, start by looking at other typefaces designed by the same type designerthe rationale being that the two faces will have a related sensibility. Some fonts are designed to be used together, their pairings suggested by their names: for example, Stone Serif and Stone Sans.

Contrast

Contrast is one of the most effective ways of establishing hierarchy. Choosing different fonts is just one way of adding contrast. Other parameters to mix and match are size, weight, structure, color, and formfor example, caps contrasted with lowercase, roman contrasted with italic. If you want contrast, then go for it. Don't use typefaces that are too similaryour readers won't pick up on the change, or the difference will be so subtle as to be disconcerting. Worse, it might look like you've chosen the "contrasting" font by mistake. Likewise, if you are mixing weights within the same font family, a black or heavy weight combined with a light weight will have far more impact than a bold mixed with a semibold.

Same X-Height

If you plan to use contrasting typefaces on the same linefor example, in a run-in headmake sure they have the same x-height, or adjust their relative sizes accordingly. Another example: with run-in heads, to ensure there are no jarring transitions from one font to the next.

Figure 13.4. Mixing x-heights. In example A, the run-in head (Helvetica Neue Black Condensed) is the same size (10 pt.) as the body text (Minion), creating a disparity in x-heights. In example B, the run-in head has been reduced by 1 point to equalize the x-heights of the two fonts.

Loading Styles from Another InDesign Document

If you have an InDesign file with a style sheet already created, there's no need to reinvent the wheel. You can load those styles from one document to another. You can even import styles from Microsoft Word and RTF documents. Choose Load All Styles (to bring in Paragraph, Character and Object styles from the source document), then navigate to it and click Open. Note, you will not be able to load styles from an InDesign CS2 document into a CS document; you can do it in the other direction.

With InDesign CS2 you can import specific styles and determine how to deal with any style name conflicts: Where the style name is the same in both documents, you can choose to use the Incoming Style Definition or to rename the incoming style, which will have "copy" appended to its style name. (You can rename the style later if you wish.)

Creating the Style "Blind"

Using the Paragraph Style Options dialog box, you can create as many styles as you need without having a single character on your page. With experience, you can visualize what a style will look like without needing to see it formatted on your page, which makes setting up a Style Sheet much faster.

Figure 13.5. Load Styles.

[View full size image]

Figure 13.6. Mapping Styles.

[View full size image]

Basing Styles on Other Styles

Hierarchy is a big concept in typography. Hierarchy gives your documents structure. Hierarchy is not about working for the Manit's about effective communication. Take a simple example: Your headings and subheadings will probably use the same font. For this reason you need to consider carefully the relationship between them. By basing one style on another, you create more than just a visual link between the styles. When you edit the base or "parent" style, the attributes that it shares with its "offspring" styles will also change. To establish this relationship between styles, choose the parent style in the Based On menu. The new style becomes the "child" style.

Figure 13.7. Basing one style upon another. The "child" inherits all the formatting of its "parent" style.

[View full size image]


Applying Styles

To apply a paragraph style, place your Type Tool cursor anywhere inside the paragraph then click on the Style name in the Paragraph Styles palette. There is no need to select the whole paragraphunless of course you like doing things the hard way. If you want to apply a paragraph style to more than one contiguous paragraph, drag your cursor through those paragraphs. Again, you don't need the whole paragraph selected; you just need to make contact with at least a part of each of the paragraphs.

To apply a character style, you need to first select the text. Character styles are applied to specific ranges of text, so no sloppiness allowed here.

Applying a paragraph style doesn't remove any existing character formatting or character styles applied to that paragraphunless you clear overrides (see below). When you apply the style, if the text has additional formatting that is not part of the style definition, a plus sign (+) appears next to the current paragraph style in the Paragraph Styles palette.

Headlines

When chapter headings, headlines, and subheads are set in upper and lowercase, there are a couple of different case conventions:

  • Up Style: The most common approach, where every major word is capitalized.

  • Down Style: Also known as Sentence Style, where only the initial cap and proper nouns are capitalized. This style is gaining in popularity and has the obvious editorial appeal that no one has to agonize over whether a word is a "major" word and thus needs to be capitalized.

Unfortunately, InDesign doesn't allow you to specify the case of the type as part of a style definition. However, you can change the case of a selected range of text by choosing Type > Change Case.

Figure 13.8. Up Style (example A) vs. Down Style Heads (example B).

Character styles, on the other hand, replace any local formatting, and because you can't apply two Character Styles to the same text as soon as you apply a new Character Style, the old one is removed.

Tip

Assign a keyboard shortcut to your styles and you'll be able to apply them even faster. However, only keys on the numeric keypad (in combination with modifier keys) can be used for style shortcuts. To really speed things up, try applying your styles in the Story Editor. (I wonder why can't you assign F-keys as shortcuts for Style names. What's up with that?)

Clearing Overrides

When you add formatting to text that already has a paragraph or character style applied, you are overriding the style definition. To put it another way: You've defined a paragraph style, applied it to a piece of text, and then contradicted your style definition by adding additional formatting. You can tell which text has overrides applied because when selected a plus sign (+) appears next to its style name. Maybe this local formatting is what you want, maybe not. Maybe you've inherited the document from someone elsesomeone who hasn't used styles as effectively as you would have liked and you want to clear the overrides.

There are several ways to approach this:

To clear all local formatting, but retain any Character Styles applied to the paragraph, Option/Alt+click the style name in the Paragraph Styles palette. Alternatively, click once on the Clear Overrides button in the Control palette.

Figure 13.9. The Overrides Button.

To remove just the local character formatting (retaining any local paragraph formatting), Command/Ctrl+click the Overrides button.

To remove just the local paragraph formatting (retaining the character formatting), Command+Shift+click/Ctrl+Shift+click the Clear Overrides button.

This works the same way with Character Styles.

To clear all local formatting and Character Styles: Option+Shift (Alt-Shift) +click the style name in the Paragraph Styles palette.

Tip: The Plus Sign

Curious about exactly what the + refers to? Hover the cursor over the style in the Paragraph Styles palette and a tool tip pops up with details of the local formatting.

Figure 13.10. Find/Change can be used to "map" local formatting (perhaps imported with a Word or RTF file) to paragraph styles.

Tip

Using Find/Change Find/Change is a great way to find all instances of a particular style and replace it with another. You can also use Find/Change to convert local formatting into styles. For example, if you inherit a document where the "subheads" have been locally styled in a particular font, you can look for that formatting and replace it with a specific style name.

Quick Apply

When you have a lot of stylesParagraph, Character, and Object (see next chapter)it can mean scrolling through long lists to get to the one you're after. To dramatically speed up your workflow use Quick Apply, a simple new feature in InDesign CS2 that allows you to find a style quickly by typing the first few characters of its name.

Select the text or frame to which you want to apply the style, choose Cmd+Return (Ctrl+Enter), start typing the name of the style, and you'll be taken to the closest match. You can use the Up and Down Arrow keys on the keyboard to move through the list. Simply press Return/Enter to apply the style.

Figure 13.11. Quick Apply.

Previous Page
Next Page


Editing Styles

The beauty of styles is that you can change their definition at any time. Changing a style definition means that all the text formatted with that style changes to match the new style definition. This has been a staple feature of all page layout programs since the Stone Age. Yet it still blows me away.

Styles allow you unprecedented flexibility in experimenting with the appearance of your document. A few simple clicks and you can totally transform the appearance of your pages. It's a beautiful thing.

There are several ways to edit a style, but to my mind the best (and safest) is to Control+Click (Right Mouse+Click) on the style name in the appropriate Styles palette. That way, there's no danger of inadvertently applying the style where you don't want it.

Once you're in the Styles Options box, make as many or as few changes as you want, click OK, and, as they say in cockney gangster movies, "Bob's your uncle."


Redefining Styles

Alternatively, and just to shake things up a bit, instead of editing the style, you can modify a paragraph with local overrides, decide that's how you'd like the style to look, then redefine the style based on the modified paragraph: With the paragraph selected choose Redefine Style from the fly-out menu of the Paragraph Styles palette.

Figure 13.12. Redefine Style.

[View full size image]


Creating Default Styles

If you create paragraph styles, character styles, or color swatches with no document open, the styles and swatches will be in every new document. Most documents have a similar structure: heads, subheads, body text, captions, sidebar text, etc. So it might be worth creating a default style sheet so you're ready to go every time you create a new document. Just because their styles names may be the same doesn't mean they have to look the same from one document to another. What's important is the hierarchy of the styles.

Make sure you have no InDesign document open when you create your styles or load them from an existing InDesign document. That way they will show up in every InDesign document you create thereafter. Of course this doesn't mean that all your documents will look the same. You have infinite choices for how you define your styles, but just about all documents will have such features as headlines, subheads, body text, captions, etc. What you make them look like is entirely up to you.


A Typical Style Sheet

This type of style sheet would be appropriate for a magazine or newspaper publication. These are just the basic styles; typically there would be styles defined for all standard type elements.

Head1

Heads will likely be in the bold or even black weight. Depending on the typeface, they may be negatively tracked and tightly leadedcontributing to a dark type color. The purpose of the Head1 headline is to make the reader want more. Typically such headlines do this by posing a question or telling partthe best partof the story.

Head2

A secondary level head or subhead will be in the same typeface as the first-level head, its size reduced to indicate a lower level on the hierarchy and space added before (and possibly after) to separate it from the preceding text. The secondary level head will help the reader navigate the body text and break it up into chunks to provide visual relief.

Head3

A third level of heading could be a run-in head, one in which the heading is part of the same paragraph as the body text that follows. The run-in head would need to be a Character Style, which could be nested in the paragraph style definition.

Body

This will likely (though not necessarily) be a serif face in the regular or book weight at a size of 8 to 11 points. First line indents indicate the beginning of a new paragraph.

Body No Indent

Based on Body, with first line indent set to 0.

Body First

Based on Body, with no first line indent and with some kind of drop cap treatment.

Byline

The author's credit, typically based on body style, differentiated by bold weight and paragraph spacing above and/or below.

Caption

With so many competing demands on peoples' time, captions may be what people read first, so a caption should provide enough information for the browsing reader to decide whether to continue reading. More than just stating the obvious, a caption should clearly establish the relationship between the image and the text.

Intro

In magazines, to create an entry point for the reader the opening paragraph, or the first lines of the opening paragraph, are often set in larger type, possibly in bold type, possibly in a contrasting font. Often this intro paragraph will be set over a wider measure than the body text. Sometimes the byline will be incorporated into this first paragraph.

Picture Credit

Can be as small as 5 or 6 points, often rotated 90 degrees.

Pull Quote

A pull quote is an excerpt "pulled" from the text and used as a graphic element. Pull quotes are intended to catch and hold the reader's interest. They should be thought-provoking and succinct. Pull quotes also add visual interest to a layout, especially when you have few photographs or illustrations to work with.

The pull quote is display text. It should offer a strong visual contrast to your body text and be positioned to catch the eye of a potential reader who's skimming or flipping pages.

The pull quote should be positioned on or before the page where the excerpted text appears. Long sentences should be edited into tight, provocative pull quote versions. They can be set off with rules, be reversed, set in a contrasting color, or combined with decorative quotations marks. If you put your pull quote in quotation marks, make sure you are not distorting the meaning of the text. See the next chapter for information on formatting pull quotes using Object Styles and Chapter 17: "Text Wraps" for information on how to anchor a pull quote to a specific portion of text.

Tip: Getting Rid of Unwanted Styles

When you import Word text or Styles from other InDesign documents, you'll likely end up with several unwanted styles in your styles palettes. Leaving these around is apt to create confusioneither for you or for anyone else who may work on the document. You can get rid of them on a case-by-case basis, but the quickest way to zap them all at once is to choose Select All Unused in the Styles palette menu, and then click the Trash button. It gives you that same satisfying feeling you get after clearing out your closets.

Sidebar

An article that, as the name suggests, typically runs by the side of the main article, though it can mean any supplementary article. It is graphically separate from the main text but contextually linked to it.

Sidebar Head

The heading of a sidebar article.

Figure 13.16. Purging those unused (and probably unwanted) styles.

[View full size image]

Figure 13.13. Spread showing all in use.

[View full size image]

The Mother of All Styles: The Book Feature

You can supercharge your styles management by using the Book feature to have one set of styles apply to a group of documents. Once you have created a Book you can synchronize the styles and swatches in your "booked" documents all at once or one at a time. The Book feature is also a fast way to add the styles from one document to a bunch of others.

Specify a Style Source or "master" document, by clicking in the leftmost column, then synchronize the documents in the book. Styles and swatches are copied from the Style Source to all the documents in the book, replacing any styles and swatches that have identical names, Styles and swatches in the documents that aren't in the style source are unchanged.

You can synchronize the book while documents in the book are closed. InDesign opens the closed documents, makes any changes, and then saves and closes the documents. Documents that are open when you synchronize are changed but not saved.

Tip: Printing Out a Style Sheet from Word

InDesign offers no facility for printing out the specifications of your Style Sheet, but you can do this using Microsoft Word. In InDesign, create as many blank paragraphs as you have styles. Assign each of your styles to one of these blank paragraphs. Choose File > Export and choose RTF as the file format. Open the text file in Word and choose File > Print. In the Print dialog box, choose Styles from the Print What pop-up menu.

Figure 13.14. Book.

Figure 13.15. In Synchronize Options specify which styles and swatches are copied from the Style Source to the other booked documents, and then choose Synchronize.

Importing Styles from a Microsoft Word Document

When you place a Word document, checking Show Import Options allows you to determine how to handle any Style name conflicts. You can use the InDesign Style Definition (the default) or you can choose to redefine the InDesign Style with the incoming Word definition. For more control, choose Custom Style Import to map specific Word styles to specific InDesign styles.

If you already have a style with the same name as the Word style, the style is not imported. Text in the Word document takes on the formatting of the InDesign style with the same name.

A nice workflow feature is the ability to save a preseta big time-saver if you import Word files that always use the same style names.

Tip

Use the same style names in Word and InDesign document and you'll minimize the amount of time you need to spend on reformatting text.

Figures 13.17A and 13.17B. Word Import Options A and B.

[View full size image]

Using the Eyedropper to Create Pseudo Styles

Need to quickly apply the formats of one paragraph to another but don't want to create a style? You can use the eyedropper to sample the character and paragraph formats from one piece of text and apply them to a selected range of text. Simply select the text you want to copy the formats to, then choose the Eyedropper tool and click on the text you want to copy the formats from. This also works with object formats. Note, there is no relationship between the two pieces of text beyond the visual. They are not thereafter controlled by the same style sheet.

Figure 13.18. Using the Eyedropper. Select a range of text, and then click with the eyedropper on piece of text to copy its formats. To copy the paragraph attributes only, hold Shift.

Previous Page
Next Page


Up Next

A discussion of the design considerations involved in setting up your InDesign documents and InDesign's toolset you can use to do this as quickly and efficiently as possible.


Chapter 14. Mo' Style

THIS CHAPTER LOOKS AT SOME STRAIGHTFORWARD TECHNIQUES that are the icing on the delicious three-tiered cake of Paragraph, Character, and Object Styles. The reasons for taking advantage of these features are the same reasons for using Styles in the first place: consistency, ease of editing, and the enormous amount of time saved. These techniques are quickly learned and will pay you back thousands of times over for the time you invest learning them.


Paragraph Rules

If you've ever drawn a rule above a line of text, only to have the text reflow and leave the rule in the dust, you'll find Paragraph Rules an invaluable feature. With Paragraph Rules you can add a rule above and/or below the text and have that rule move with the paragraph when the text is edited. No more chasing after the text to reposition those lines.

Rules Above starts at the baseline and extends up. Using a positive offset shifts the line up relative to the baseline; a negative offset shifts the line down relative to the baseline.

Note

The amount of offset added to paragraph rules does not alter the paragraph spacing of the paragraph.

Rules Below starts at the baseline and extends down. Using a positive offset shifts the line down relative to the baseline; a negative offset shifts the line up relative to the baseline.

The techniques below involve shifting the rules relative to the baseline of the type, sometimes so much so that the terms above and below become meaningless.

Figure 14.1. Different types of paragraph rules.

Note

When working with paragraph rules, "baseline" refers to the baseline of the first line for a rule above and the baseline of the last line for a rule below. When working with a one-line paragraph (usually the case with paragraph rules) the two rules are positioned relative to the same baseline.

Figure 14.2.

Figure 14.3.

Figure 14.4.

Figure 14.5.

[View full size image]

Figure 14.6.

[View full size image]

Figure 14.7.

[View full size image]

Figure 14.8.

[View full size image]


Sequential Styles

It used to be that the Next Style option was pretty underwhelming. All it did was determine what style the next paragraph would take on when you pressed Return (Enter) for the next line. Unless you keyed your text directly into InDesign, this was not particularly useful. Well, Next Style still does this, but in InDesign CS2, it does a whole lot more besides. You can now use Next Style to apply a style, which in turn applies the specified Next Style to the next paragraph. If that next paragraph has a Next Style option, the next style will be applied to the third paragraph, and so on, creating a cascade of automatic style formatting! In any document where the text styling follows a consistent patternwhich is a big percentage of documentsthis can save hours of donkeywork. Imagine, for example, an event listing where the date style is followed by the title style, which in turn is followed by the description style. Define date's Next Style as title, and define title's Next Style as description. Then select the date style. In the Paragraph Styles palette, Ctrl+click (right-click) the parent style, and then choose Apply (Style Name) then Next Style. Voila! Three paragraphs in one.

Figure 14.9. Three styles are used in this example: Title, body, and info. The Next Style for Title is body, the Next Style for body is info, andto complete the loopthe Next Style for info is Title. Using sequential styles it is possible to format the whole text block with a single click.

[View full size image]


Nested Styles

Nested Styles will rock your world. If you're like meessentially lazy, but love gadgets and stuff that makes life easierthen Nested Styles is for you. Nested Styles allows you to apply Paragraph Styles and Character Styles at the same time. This is profound, so let me reiterate: Nested Styles allows you to apply a Paragraph Style with a Character Style (or styles) applied to specific range or ranges of a paragraph. All with a single mouse click! Nested Styles can eliminate hours of repetitive drudgery, freeing you up to be more creative.

It was the Best of times, it was the worst of times, it was the age of wisdom, it was the age of foolishness, it was the epoch of belief, it was the epoch of incredulity, it was the season of Light, it was the season of Darkness, it was the spring of hope, it was the winter of despair, we had everything before us, we had nothing before us, we were all going direct to Heaven, we were all going direct the other wayin short, the period was so far like the present period, that some of its noisiest authorities insisted on its being received, for good or for evil, in the superlative degree of comparison only.

Figure 14.10. Adding Nested Styles to an opening paragraph.

[View full size image]

To create a Nested Style, you need to add a Character Styleor stylesto a Paragraph Style definition.

  1. Ctrl+click (right mouse click) on the Paragraph Style you want to edit.

  2. Click Drop Caps and Nested Styles.

  3. Click New Nested Style and choose from the list of available Character Styles.

  4. Specify how to "turn off" the Character Style. Depending on the nature of the Nested Style either choose a specified number of words or characters, or choose a condition from the drop down menu. You can also type a specific character such as a colon (:) into this field.

Choosing Through includes the character that ends the Nested Style, while choosing Up To formats only those characters that precede the designated character.

If you have more than one Nested Style you can use the up button or down button to change the order of the styles in the list, determining the order in which the formatting is applied. The formatting defined by the second style begins where the formatting of the first style concludes.

Figure 14.11. Apply Nested Styles from the beginning of the paragraph forward. The Nested Style will be "on" until the specified number of the chosen delimiterfor example 4 Words, 1 sentence, 1 en spaceis found in the text. You can also type a specific character such as a colon (:) into this field.

Figure 14.12. Insert End Nested Style Here.

Tip

Use a keyboard shortcut to insert the End Nested Style Here character. Create your own custom keyboard shortcut to quickly place this character in your text. I use Ctrl+Cmd+Option+X (on a Mac).

All well and good, but what if there's nothing consistent about your paragraphs that you can use to turn off the Nested Style? Enter the End Nested Style Here character. The End Nested Style Here character is an invisible character you can insert into your text to turn off character styling at that specific point.

Here are some practical applications of Nested Styles:

Run-in Heads

Run-ins are usually third-level subheads that have the heading on the same line as the body text that follows. The heading is distinguished from the body text with a contrasting font. The key with run-in headsand for all Nested Stylesis some identifiably consistent element. This might be separating the subhead from the body text with a colon or an en space.

Tip: Using Multiple Delimiters

What if there just isn't anything that you can designate as a consistent delimiter? Well, it's possible to accommodate just about any kind of variation by entering multiple characters in the delimiter field of a Nested Style. If you enter all the possible characters that could end a sentence.?!InDesign will use the first one it encounters to turn off the Nested Style.

Figure 14.13. Run-in Head.

[View full size image]

Contents Page

A common style of a contents page uses the page number as a run-in head. Additional run-in elements can include identifying tags like "Cover Story" or "Feature Article." In the example shown, this tag is reversed out of a gray bar. As we saw with Paragraph Rules, it's easy to create reverse heads that move with the flow of the text. However, in this example the "rule" is applied to only a portion of the paragraph and therefore needs to be defined as a Character Style. To make this possible, use Underline Styles.

Figure 14.14. Contents Page.

[View full size image]

Review Section

In this example, Nested Styles can be combined with Sequential Styles. The review section follows a consistent format: Artist and Album Title as the first paragraph, Record Label and Star Rating as the second, and the review itself as the third paragraph. Paragraphs 1 and 2 contain Nested Styles (with an en space delimiter) and a Next Style specified. Select the three paragraphs and Ctrl+Click (Right Click) on the Artist Paragraph Style. From the context menu, choose Apply Artist then Next Style.

Figure 14.15. Review Section: From moth to butterfly in 2 clicks!

[View full size image]


Object Styles

Part of the natural evolution of global formatting, Object Styles takes the concept of Paragraph and Characters styles and applies it to text and graphic frames as well as to lines and pen paths. Within one style name, you can save such attributes as fill color, stroke weight, stroke color, the number of columns in the frame, drop shadow, etc. You can also incorporate into the Object Style definition the Paragraph Style that should be applied to the text inside the frame. By using the Next Style option it is possible to apply paragraph styles sequentially to more than one paragraph.You get to control which settings the Object Style affects by including or excluding a category in the style definition.

Just like Paragraph and Character styles, you can base one Object Style on another, creating a parent-and-child relationship so that when you change the base or parent style, the "child" style changes as well.

Tip

When you create a Style Sheet you may not be the only person who uses it. Or you may find yourself returning to Style Sheets that you created weeks, months, even years before. So that you and the other members of your team don't get confused by Nested Styles, adopt a naming convention that is transparent. For example, append "_nested" after the style name.

Each document begins its life with a [Basic Text Frame] and a [Basic Graphics Frame] Object Style. By default these styles are applied respectively to any text or graphic frames you create. Just as with the [Basic Paragraph] style you can edit these [Basic] styles, but you can't delete them. If you want to change these default styles for a text frame, choose Default Text Frame Style or Default Graphics Frame Style from the Object Styles palette fly-out menu, and then select from your available Object Styles.

Figure 14.16. Object Style Options.

[View full size image]

Figure 14.17. Making a "Pull Quote" Object Style. Having set up an object style for the pull quote it takes only a single click to transform A into B. The quote paragraph is a nested style with a paragraph rule above. Its Next Style is defined as the attribution line. The Object Style definition includes the Paragraph Style with the Next Style option checked.

[View full size image]


Up Next

Type don't mean a thing without a page to frame it and in the next chapter we look at some of the considerations involved in that oft overlooked process of setting up a document: page size, margin widths, and the number and width of columns.


Part IV: Page Layout

    Chapter 15. Setting Up Your Document

    Chapter 16. Everything in Its Right Place: Using Grids

    Chapter 17. Text Wraps: The Good, the Bad, and the Ugly

    Chapter 18. Type Effects


Chapter 15. Setting Up Your Document

THE FOUNDATIONS OF ANY PAGE DESIGN are the document dimensions: page size, margins, and the number of columns. While all of these can be changed when the document is in progress, there's nothing like getting it right to begin with.

Here are some things to consider when creating a new document:

  • What type of document is it? Is it a novel with one continuous text flow, a magazine or newsletter with multiple stories, a brochure, or a poster? Is the document a travel guide that will need to be compact and quickly accessible, or is it a luxurious coffee table book that will showcase the work of a famous photographer?

  • Are there images? If so, are they predominantly vertical or horizontal in orientation? Are they photographs, illustrations, maps, icons, or all of the above? Do they need to be integrated into the flow of the text?

  • Are there headings and subheads? If so, how many levels are there to this hierarchy?

  • Are there footnotes or endnotes?

  • Is there an index or appendix?

  • Is there any quoted matter?

Tip: Standard page sizes

US letter, A4, tabloid, etc., are convenient, but the world is full of documents in these sizes. Use them, but choose them intentionally because they offer the best solution for the design you are creating. Don't choose them just because they are the default setting. If you opt for a nonstandard page size, be sure to get a cost estimate from your commercial printer before you commit to designing your publication at that size. It's good to be different, but sometimes being different can come with a big price tag.

Figure 15.1. New Document.

[View full size image]

Tip

Another nice workflow feature is the ability to save your settings as a preset. Once you've keyed in the values you want, choose Save Preset. Thereafter you can choose the preset name from the Document Preset menu.


Choosing a Page Size

For as long as humans have been making printed materials they have been searching for the perfect page aspect ratiothe relationship of width to height. Many books have been written about the quest for the perfect page dimension; without getting into the formulas, here are four commonly used aspect ratios:

The Golden Section 1:1.618. This formula is based on the proportions of the human body and is also sometimes expressed as a 3:5 aspect ratio.

The Silver Section 1:1.4142 (the square root of 2). ISO paper sizesA4, A3, etc.are all based on this aspect ratio. It's a clever and economical system because it allows you to fold one standard size into another, saving wastage on cutting up to make smaller sizes. You can make brochures by using the next size up. For example, fold an A3 page in two and you have two A4 pages; fold an A4 in two and you have two A5 pages, and so on. The standard US letter size (8.5 x 11 inches) is similar in aspect ratio to an A4 page (8.3 x 11.7 inches), but slightly wider and not quite as tall.

Photographic aspect ratio: 1:1.5. This yields sizes such as 4 x 6 inches, 6 x 9 inches, and 8 x 12 inches.

Business Card aspect ratio 2:3.5. This is the ratio of most business cards. Its size, and multiples of it, feel familiar.

Figure 15.2. ISO Paper Sizes.

Previous Page
Next Page


Determining Margins

The importance of margins is often overlooked. It's easy to fall back on even margins of 1 inch or 25 mm, but by doing so you can miss a big opportunity to establish the margins of your document as an integral design element. Margins are an essential part of design. Glance at any pagemargins are the first space you see and thus play a vital role in determining the reader's initial impression of a page. Margins serve the following functions:

  • First and foremost margins are a frame for the pageand if you've ever done any picture framing you'll appreciate how dramatically a frame can increase a picture's impact.

  • A place for readers to put their thumbs

  • A space to write notes

  • A place to put the page foliosin either the top or bottom margins

Tip: Setting Up a Spread

The first page of a two-page document is considered a right-hand page (or recto) meaning that the two pages will not appear next to each other as a spread. To make them do so, define your opening page as being an even-numbered page (or verso). Select the first page, and from the Pages palette fly-out menu choose Numbering and Section options. Choose Start page number, and type an even number.

Figure 15.3. Creating a Spread.

[View full size image]

Margins define the type area or text block but they are not absolute. Certain text elements like drop caps, pull quotes, and captions may hang outside the marginsas will punctuation if you are using Optical Margin Alignment. Pictures frequently break out of the text area, disrupting the rectilinear nature of the page andpotentiallymaking for a more dynamic layout.

Relative Size of Margins

Choosing even margins (click the linking icon to make sure it is unbroken) will make the rectangle of your type area the same aspect ratio as the rectangle of your page. However, an equally proportioned rectangle within a rectangle can look static, and, besides, other factors come into playlike extra space on the outer margins for convenient handling and extra space at the bottom or top for folios. It's a big generalization, but margins typically progress from smallest to largest in the following order: inside, top, outside, bottom:

  • Starting with the Inside margin and moving clockwise around your page, this should be the smallest dimension. This margin should be at least 10mm.

  • Next, comes the Top margin (a.k.a. Head).

  • Then the Outside margin (a.k.a. Foredge), which should be big enough so the type doesn't look confined by the page, and to allow space for the reader to handle the document.

  • Lastly, the Bottom margin (a.k.a. Foot) should be the biggest so as to avoid the type area looking bottom heavy and also to allow room for the folios. The top and bottom margins can be switched if the folios will be placed above the type area.

Note

When setting the inside margin, bear in mind that the binding will change the reader's perception of the amount of space at the inside of the page. At worst, if the inside margin is too small, text will be "lost" in the shadow between the pages.

Figure 15.4. A Thumbnail Sketch.

Tip: Do a Thumbnail Sketch

When working on a layout, no matter how zippy you are with InDesign, you'll save yourself loads of time (and create a better-looking page) if you first draw thumbnails sketches. Don't be embarrassedno one but you need see them, but they are the fastest way of trying out ideas and for getting a sense of scale.

Golden Section margins call for a ratio of 3:5:8:13 (starting with the inside margin and moving clockwise). While this makes for harmonious proportions, it also makes for economically impractical margins.

Another popular ratio is 2:3:4:6, which produces margins that are still generous, yet look more familiar to a 21st Century eye.

If you are using a leading grid, the margins should be in increments of the grid. See Chapter 16: Everything in its Right Place: Working with Grids.

Figure 15.5. A page using Golden Section proportions 1:1.618 and margins 3:5:8:13 (example A) and an A4 page using margin ratios 2:3:4:6 (example B).

When working with single-page designs, like a poster or business card, equal margins at least on the left and right, might be more applicable. Here's a simple formula that I often use: Find a printed piece that you admire at the same or similar size to the piece you're working on. Measure its margins, and replicate them. Works like a charm.


Determining Column Width

The type area defined by your margins may be subdivided into columns. The relationship between the type size and the column width, or measure, is a key factor in determining the readability of your type. There's no cast-iron rule for determining column width. Some jobs lend themselves to generous columns; often economy dictates narrower columns than are optimal.

As a rough guide, aim for 40 to 70 characters (including the spaces) per line. That's a big range, so there's plenty of scope. More than 70 characters and "doubling" can occurthe eye returning to the left column edge only to read the same line again. If you are obligated to work with a measure that is too wide, you can improve its readability by increasing the leading of your type. At the other extreme, if you have less than 25 characters per line, getting evenly spaced type will be next to impossible.

Tip

If you already know how wide you want your columns to be you can specify a fixed column width, and InDesign will adjust the size of your text frame accordingly. If you want columns of unequal widths, click and drag the column guides.

Take a look at your daily newspaper and you'll find justified columns with a lot less than 50 characters. You'll probably also findwithout looking too hardthat these columns are riddled with huge word spaces. This is due to poor justification as a consequence of the narrow column measure. We've gotten used to bad typography in newspaperswhich in their defense can say that they are produced under tight deadline pressureand read them easily despite their typography, not because of it. Historically newspapers used smaller type than they do today. But while the type has gotten bigger, the columns haven't grown proportionally, hence the justification problems. That said, there are notable exceptionsThe Guardian (UK) has significantly raised the bar for newspaper typography in the last few decades.

Figure 15.6. The British Newspaper, The Guardian.

Figure 15.7. Fixed Column Width.

The issue of column width is more problematic with justified type than with ragged type. If you are working with a narrow measure, do yourself a big favor and choose Left rather than Left Justified alignment.

Individual Columns or One Divided?

Let's say you want a three-column layoutyou can approach this in two ways. (1) You can draw a single text frame and make it into three columns. Or (2) you can create three threaded text frames of one column each. Your choice affects how you edit your layout. A single frame divided into three columns lets you control the tops and bottoms of the three columns at once. On the other hand, if you have three individual columns, you can control those columns independently, which is preferable if you want the columns to start or end at different positions on your page.

Determining Gutter Width

In multicolumn documents, the separate columns of type should look like they are parts of a unified whole. If the space between your columns, or gutter width, is too wide, those columns will look like they bear no relation to each other. On the other hand, if the gutter width is too narrow, the reader's eye may mistakenly cross over from one column to the next.

Typically gutter widths (the space between the columns) are 1 pica or 1 pica and 6 points. You might want to use a gutter width relative to the type size. A rule of thumb is that the gutter should be at least 1.5 ems wide so that it is clearly larger than the widest word space in the line. If you are working with a baseline grid, to achieve a uniformity of spacing, set your gutter width to the same value as your baseline grid increment, which in turn will be based on the leading increment of your body text. (See Chapter 16: "Everything in its Right Place: Working with Grids")

Column Height

There's no golden rule for determining column height, except to say that for continuous reading, the columns should be vertical, i.e., taller than they are wide.


Changing Columns

When changing the number of columns here are some things to consider:

  • To change the number of columns for all the pages based on a specific Master Page, you should edit the Master Page itself. So that the changes adjust the text frames (and not just the guides) on your document pages, choose Layout > Layout Adjustment and turn on the Enable Layout Adjustment checkbox.

  • To change the columns for both left- and right-hand pages of a spread, select both page icons in the Pages palette, otherwise you'll be changing just the left or the right page.

  • Alternatively, you can change the margins and columns for a range of pages by selecting those pages in your Pages palette.

  • To reflow your text according to your new column grid, the Layout Adjustment option must be enabled.

Figure 15.8. Layout Adjustment.

Previous Page
Next Page


Break Characters

Using the Insert Break Character command, you can control how text flows into multiple frames. When you insert one of these characters, text is forced to the next column in the current frame, to the next threaded frame, to the next page, or to the next even or odd page. Breaks can also be incorporated as part of a style definition. For example, if you always want your Chapter Head style to begin on a new right-hand page, it's preferable to include this as part of the style definition rather than manually inserting a break character before each of the Chapter Heads.

Figure 15.9. Insert Break Character.

Figure 15.10. Breaks As Part of a Style Definition.

[View full size image]


Page Numbers

Page numbers, or folios as they are also known, are signposts to the reader, and as such they need to be positioned on the page where they can be seen easily. Practically, this means placing them outside the text area, either at the top or at the bottom of the page. The page number may be combined with running informationlike the name of the magazine and month of publication or the chapter title, and separated from it by an em spaceCmd+Shift+M (Ctrl+Shift+M). The left and right pages of a spread typically mirror each other so that the page number is the outermost element.

Another convention is to put the author's name at the top of the left-hand (verso) pages and the title of the book or chapter on the right-hand (recto) pages. This may be useful for short story collections or anthologies, which have multiple authors, but it's unnecessary in a work by a single author. After all, how many times do you need to be reminded of the author's name when you are reading a novel?

Auto page numbers should be put on the Master Pages so that they show up on all document pages that are based on that specific master page.

Figure 15.11. Inserting an Auto Page Number on a Master Page.

[View full size image]

Folios on the inner margin make it impossible to quickly flip through the book to find the page you are after, and they are of little use to the reader.

In a novel using running heads at the top of the page, it is common to position the folio at the bottom of the page on chapter heading pages where a running head at the top of the page would interfere with the type treatment of the chapter heading. In such instances, consider making a separate master page for the chapter opening pages.

Folios should be at least a line space away from the text area of the page to differentiate them from the type.

Note

Master Page elements are locked on document pages. To modify a master page element on a document page, hold Cmd+Shift (Ctrl+Shift) and click the object to unlock it. To unlock all master page elements, choose Override All Master pages items from the pages palette menu. (This will mean that the page elements are no longer controlled by the Master Pages).


Section Markers

If you're working with long documents that are divided into different sections, section markers can help simplify your project by cutting down on the number of master pages and/or the number of documents needed. Section markers can be used for different departments in a magazine, different parts of a book, or wherever a document is made up of distinctly different sections (just so long as they're the same page size). Each section can have its own numbering schemeArabic, roman numeral, or abc. And here's what makes them so useful: A master page can have more than one Section Marker.

Section Markers are easy to use and automatically add the name of a section or chapter to your document folios. You can format (or style) the section marker as you would any piece of text to determine its appearance.

To insert a Section Marker:

  1. Create a text frame for your folio on a master page.

  2. Ctrl+Click (Right Mouse+Click) and choose Insert Special Character > Section Marker from the context menu. The word "Section" will be inserted into your type.

  3. Format the Section Marker the way you want it to look.

  4. To "activate" the Section Marker on a document page, select the page where you want the section to begin in the Pages palette and choose Numbering and Section Options from the Pages palette menu. Type the section name into the Section Marker field and click OK. This section marker will now appear on all pages based on the master page until another section is defined.

Figure 15.12. To change settings for a section, select the page that uses the section marker and choose Numbering & Section Options in the Pages palette fly-out menu.

Previous Page
Next Page


Layers

If you are familiar with using Layers in either Photoshop or Illustrator, then InDesign's layers will look very familiar. Layers determine the stacking order of objects on your page. In the example shown below, elements on the Text layer display (and print) on top of any elements on the Pictures or Panels layers. Each individual layer also has a stacking order, which you can control using the Object>Arrange menu. But layers trump Bring to Front and Send to Back. For instance, in the example shown, an object at the front of the Pictures layer is still beneath an object that is at the back of the Text layer. Where there are no objects on a layer you see through to the layer(s) beneath.

You're under no obligation to use layers in InDesign, but it's a good idea to do so, especially if you're working on layouts that involve combining text with graphics. Layers allow you to view and edit specific kinds of content in your document without affecting other kinds of content, significantly speeding up your workflow. For example, you can hide the pictures layer when concentrating on the text and vice versa. You can also use layers when working on multilingual documents, to display the text for different languages.

Figure 15.13. The Layers palette. What you name the layers is up to you, and there's no limit to the number of layers, except common sense. Generally a maximum of five is enough for even the most complex of documents.

Fair enough, but for our purposestypelayers are necessary to avoid printing problems. The potential for printing problems arises when you use transparent elements in your layout. In InDesign, transparency can mean a drop shadow, feathering, a Photoshop image with an alpha channel, or any object with a blend mode other than Normal and/or an opacity of less than 100 percent (See Chapter 18: "Text Effects"). When a document is printed it is flattened and any text that is in close proximity to a transparent elementfor example, a text wrap around a layered Photoshop imageis in danger of being rasterized, and possibly ending up looking rather furry as a result.

The simple step to prevent this from happening is to move all text objects (except those that actually use transparency effects) to the top layer of your documentthat way they get flattened last. As an extra security measure, be sure to talk to the person responsible for printing your files, and mention that you're using transparency. And if you're unsure about whether you are using transparency, if any of the page icons in the Pages palette display a checkerboard, then you are.

Figure 15.14. Transparency.

Previous Page
Next Page


Up Next

Time to get organized! We'll look at the pros and cons of using grids, especially baseline grids, to help structure our InDesign documents.


Chapter 16. Everything in Its Right Place: Using Grids

THERE ARE TWO TYPES OF GRIDS USED IN PAGE LAYOUT: column grids and base-line grids. Column grids determine the way the page is divided vertically. Baseline grids determine how the page is divided horizontally. It is common to use both types of grids together.

Grids define where the different elements of your document are placed on the page. Essentially they are visual aids to help you quickly and consistently arrange text and graphics on a page. They come in all shapes and sizes, and there are different strategies for using them. Beneath just about every well-designed document is a grid of some sort. Novels use a simple one-column grid, but even this has to be carefully considered, because it will determine the type area of the page as well as where the folios go. Newspapers and magazines with multiple columns and a mixture of type sizesas well as photographs and illustrationscall for a more complex grid that combines a flexible number of columns with a baseline grid.

To the average reader, a well-designed grid will be invisible; nevertheless it's there, helping the reader to make sense of all the different elements in a document. Columns of text, headlines, photos, illustrations, captions, pull quotes, and other page elements are more easily tied-togetheror unifiedon the page that is based on a grid. To the designer, grids enhance creativity by imposing structure. Because they take a lot of the guesswork out of your design, grids significantly speed up workflow.


Things to Consider

  • It is common to have more than one column grid. Some pages can be based on a five-column grid, others on a four-, and others on a three- column grid, etc. When working with multipage documents, it is most efficient to establish grids on Master Pages.

  • There's no limitother than common senseto the number of Master Pages in your document.

  • It's possible, though rarely necessary, to have more than one baseline grid per document because InDesign allows for individual text frames to have their own baseline grid (see below).

  • Grids should be flexible. Grids based on a fixed number of columns can suffer from too much symmetry if text and graphics are confined to those columns throughout. Using a 12-column grid is an easy way to introduce variety into your layouts, because you can vary between 3 and 4, 12 being divisible by both. Another common approach is the five-column grid, which allows for two text frames each filling two column widths. The remaining column can be used for white space, photos, captions, and other material. You can mix things up by changing the position of this "floating" column.

Figure 16.1. Pages palette and fly-out menu.

Figure 16.2. A simple three-column grid. Each column is wide enough for body text even when narrowed by a text wrap. The grid can be easily adapted to a six-column grid for more flexibility.

[View full size image]

Figure 16.3. A five-column grid divides comfortably into two wide text columns, leaving a narrow margin column for sidebar material, captions, and into which pictures can expand.

[View full size image]


Your Grid Tool Kit

InDesign has a suite of tools that works together to help you set up and manage your grid.

Grid Preferences

Color: Personally I like to change the color of my baseline grid so that it's distinct from any custom guides I drawlight gray works well because it's not too distracting.

Figure 16.4. A seven-column grid allows more flexibility by offering a narrow "floating" column for additional material and white space.

[View full size image]

Start & Relative to: This determines where the grid starts counting off from and whether that number is relative to the top margin or the top of the page. I prefer to start at 0, relative to the top margin. Relative to Margin will show only the baseline grid within the type area rather than across the whole page.

Increment every: This should be the same as your body text leading. Note this value will appear in your chosen unit of measurement, but these numbers are unwieldy if you're using millimeters or inches. Be sure to input this value in points.

Making your grid work will involve some rudimentary math, so it helps if you have an easy number to work with, like 12. You'll want to use this leading value (or multiples of it) for the spacing of the elements on your page. Make sure you are not using auto leading, which, depending on your point size, may give you leading values that are fractional. For example, if your body text is 11, your auto leading will be 13.2not a number you want to be juggling with.

View Threshold: Determines the view size at which the baseline grid becomes visible when you have Show Baseline Grid on. To view the baseline grid, choose View > Grids & Guides > Show Baseline Grid (Cmd+Option+'/ Crtl+Alt+'). You can selectively change the color and the view threshold of ruler guides by selecting the guides and choosing Layout > Ruler Guides.

Figure 16.5. Grid Preferences and Custom Ruler.

[View full size image]

Figure 16.6. Ruler Guides.

Document Grid: Using a document grid turns your layout into graph paper. The size of each grid square is determined by the frequency of the horizontal and vertical gridlines and the number of subdivisions. If you don't want to subdivide the grid, make the number of subdivisions 1. Unlike grids created using a baseline grid or Create Guides, a document grid covers the entire pasteboard.

Grids in Back: When checked, the baseline grid and/or document grid (but not ruler guides) will be behind all other objects.

Custom Ruler: Set your vertical ruler to Custom width and use your grid increment as the amount. This will make the ticks on your ruler correspond to the lines of your grid.


Calculating the Height of the Type Area

To ensure that the baselines of the last lines of type sit snugly on the bottom margin, make the height of your type area a multiple of your leading. To round up or down the height of the type area to the nearest multiple of the leading value, follow these steps:

1. | Divide the height of your text area in points by your leading increment (it helps if you use points as the unit of measurement for your vertical ruler).
2. | Round the number up or down to the nearest whole number.
3. | Multiply that number by your leading increment.
4. | This number will become the size of your type area. The amount you add or subtract should be added to the top or bottom margin.

For example, if I begin with a type area of 351.331 points and a leading increment of 11 points:

                714.331 / 11 = 65 (rounded up)
                        65 x 11 = 715
                      715 - 714.331 = 0.669

Subtract 0.669 from the bottom or top margin.

While this isn't strictly necessarythe grid will still work without this stepit is pleasing to have everything align perfectly.


Align to Grid

Once you've established a baseline grid, you can force your paragraphs to align to it by choosing All Lines. This option can be applied as part of a paragraph style definition, or can be applied locally using the Control palette.

Using a baseline grid is like setting a tempo for your document. In documents that use a variety of type and leading sizes, it's perfectly acceptable to go against that rhythm by coming off the grid with certain elements, such as headings and subheads, as long as the next passage of body text finds the beat again, and reestablishes the rhythm.

Figure 16.7. Align to Grid is usually applied as part of a paragraph style definition (top), but can also be applied locally using the Paragraph Formats level of the Control palette (bottom).

[View full size image]

Aligning to the grid always means the next grid increment, causing leading values to be rounded up, never down. For example, if a paragraph with a specified leading value of 13 points is aligned to a 12-point grid, its leading will become 24 points.

For this reason, All Lines should be used only for body text and paragraph styles where the leading is already the same as the baseline grid increment.

Tip

When resizing graphics, the picture frame will snap to the baseline grid, making it easier to crop your picture frames to a leading increment. If you are using text wraps, set the text wrap offset to your leading increment.

If you've done the math right, choosing Align to Grid isn't strictly necessary. Your type will better align to the grid through careful planning and gentle persuasion than by coercion, because the total paragraph spacing applied to all your paragraphs is a multiple of your baseline grid increment. In practice, you'll probably find you need to add or subtract a bit of paragraph spacing here and there; this way, you, not InDesign, decide where the space is added or subtracted. The formula is simple: Total paragraph spacing (Leading + Space Before + Space After) must equal your leading increment or a multiple of your leading increment.

Let's say you're using a 12-point baseline grid and your body text is 10/12. The subheads are 18/18, making them 6 points off the grid. To put the subheads back on the grid, add 6 points of space before the subhead. Alternatively, you can add 4 points of space before and 2 points after.

First Line Only is useful for paragraphs such as multiline subheads or intro paragraphs that, because of their size and leading values, cannot keep to the grid. Nevertheless, you'll want to make sure that the first lines of such paragraphs align with the body text in adjacent columns. Subsequent lines will follow the specified leading increment.

Figure 16.8. The intro paragraph on the left aligns to First Line Only; the text on the right is set to All Lines.

Previous Page
Next Page


First Baseline Options

This option determines exactly where the first baseline of your type will occur in your text frameessential if you are using a baseline grid. From the five possible choices, Leading or Fixed are your best bets. Choose Leading and enter your leading increment into the Min field. Your first baseline will sit exactly one leading increment from the top of the text frame no matter whateven if there are different size characters and/or inline graphics in that first line.

Fixed allows you to specify exactly how far from the top of the frame the first baseline should fall. This might be useful if you want the type to start at a specified distance from the top of your text framefor example, a chapter opening page where the text begins further down the page.

Avoid the other three methods because they will vary the first baseline position if the first line contains characters of different sizes.

Note

You can change the preferences to place all guides (including ruler guides) in back, mimicking QuarkXPress default behavior. But this is pointless; to use guides, you need to see them. If they are too obtrusive, change them to a less distracting color.

Figure 16.9. The First Baseline Offset determines the position of the first baseline of type in the text frame.

Tip

Make a line scale on your master page to indicate line numbers. This way your client can refer to corrections by line number, which makes for much quicker document editing, especially if you are communicating over the phone. When the layout is finished, delete the line scale.


Snap to Guides

When working with grids it's crucial that Snap to Guides is turned on (View > Guides & Grid > Snap to Guides or Cmd+Shift+; / Ctrl+Shift+;) so that when you draw, move, or resize an object its edges snap to the nearest guide or baseline grid. Guides must be visible in order for snapping to occur, however, objects can snap to the document and baseline grids whether the grids are visible or not.

The Snap to Zone in Preferences determines the exact range within which an object snaps to guides. If you have both Snap to Guides and the Snap to Document Grid on, the grid takes precedence.

Figure 16.10. Snap to Zone.

[View full size image]

Figure 16.11. Using a line scale can make it easier to identify corrections when communicating remotely with a client.

Tip

To draw a custom guide from the horizontal ruler that straddles the left- and right-hand pages of the spread, hold down Cmd (Ctrl) as you draw the guide. You can also position guides precisely by selecting them. For vertical guides specify their x coordinate, for horizontal guides, specify their y coordinate.

Text Frames with Different Grids

In addition to a document-wide baseline grid, you can also use a separate baseline grid for each frame. This can be useful if you have sidebar material that flows in multiple columns and uses a different type size and leading than your body text. Theoretically every text frame can have its own baseline grid. It's nice to know you can, but if a document has numerous baseline grids it undermines the whole purpose of a grid: a document architecture based on consistent modular units.


Create Guides

While Margins and Columns is the place to be when creating or adjusting major column divisions that affect text flow, Create Guides can be used to make custom grids of rows and columns, as an alternative to laboriously dragging out multiple ruler guides. This feature is a guide-making machineif you want to divide up your page with guides, then Create Guides makes it a cinch, and, because it is so instantaneous, there's lots of scope to experiment with. To prevent your document from getting cluttered with too many guides, consider putting these guides on a separate layer, which you can show and hide or lock as needed.

Tip

While InDesign won't let you draw objects and turn them into guides the way you can in Illustrator, there's nothing to stop you from putting "guide objects" on a particular layer, then when they have served their purpose, making that layer invisible. Alternatively, you can select the guide objects and make their Attributes "Non Printing."

Figure 16.12. Create Guides.

Tip

Need a fresh start? You can remove all custom guides by pressing Cmd+Option+G (Ctrl+Alt+G), then pressing the Delete key.

Figure 16.13. Print Guides.

[View full size image]

Tip

Need to print those guides? In the General Panel of the Print Dialog Box, select Print Visible Guides and Baseline Grids to make all visible guides (i.e., not hidden or on hidden layers) print.


Up Next

Text wrapsthe how-to and the how-not-to.


Chapter 17. Text Wraps: The Good, the Bad, and the Ugly

TEXT WRAPS ARE A FANTASTIC WAY to add emphasis to a picture and create a lively page design. An uninteresting picture can become an intriguing shape; a boxy layout can become unique and exciting. However, like most tricks, text wraps should be used sparingly. It's shockingly easy to make a bad text wrap. Once you start looking out for them you realize they are everywhere. What frequently seems to get overlooked is that when you place a graphic inside a block (or blocks) of type, you narrow the column measure. All your careful planning of type size to column width ratio goes out the window. So while it doesn't require rocket science to make a good text wrap, it does take some considerationand often some tweaking.

Figure 17.1. Different Types of Text Wraps:

A. None

B. Wrap Around Bounding Box creates a rectangular wrap around the bounding box of the wrap object.

C. Wrap Around Object Shape creates a text wrap around the contours of the wrap object.

D. Jump Object keeps text from appearing to the right or left of the wrap object.

E. Jump to Next Column forces all text below the wrap object to the next column or text frame.

F. Offset determines distance between wrap object and text. Positive values move the wrap away from the edges of the frame. Negative values position the wrap boundary inside the edges of the frame or object.

[View full size image]


Applying Text Wraps

Here are a few simple precautions:

  • Avoid text wraps in a single column where the text wraps around all four corners (or the entire shape) of the bounding box or graphic. Such text wraps disrupt the horizontal flow of the text, and readers may be confused about whether to jump the graphic or continue reading down the left side of the column.

  • Text wraps work best with justified type. Ragged type undermines the purpose of the text wrapthe interesting shape of the text margin when text wraps around a bounding box or the contours of an image. If you must use ragged type, then reduce the amount of text wrap offset on the left of the wrap object so that the gaps from the left alignment are optically similar to the space on the other side.

  • Avoid having the left edge of lines in a paragraph start at different horizontal locations (apart from a first line indent). When you do this, the reader's eye has to search for the start of the line and may lose the rhythm of the text, ending up on the wrong line.

  • Here's a recurring theme: It's all about optical spacing. And with text wraps, it's essential to optically balance the space around the graphic. This is about more than just selecting equal values for all the text offsets. The vertical space around the wrapped object depends on where it sits relative to the baselines of the type around it.

    Figure 17.2. With a wrapping object in a single text column, it's unclear to the reader whether to "jump" the picture or continue reading down the column.

    Figure 17.3. The vertical positioning of the text-wrap object affects the size of the offset above and below the graphic. In example A the image is carelessly placed causing unequal spacing. In example B, the top of the image is aligned with the x-height of the line of type and the bottom of the image aligned with the baseline of the corresponding line.

    [View full size image]

  • When working with text wraps on rectangular images, align the top of the picture frame to the ascender line, cap height, or x-height of the text. Whichever you choose, be consistent. Align the bottom of the picture frame with the baseline of the text.

    Tip

    To nudge your objects in smaller increments reduce your Cursor Key increment.

  • Carefully check all lines affected by the wrap and, where necessary, fix composition problems with a combination of tracking, hyphenation, and rewriting.

  • When using more than one text wrap in your document, keep the offset amount consistent.

  • Don't attempt the impossible. If the shape of your wrap object is too irregular, the result will be too many different line lengths, too much hyphenation, and great gaping holes in the text.

Figure 17.4. Example A uses left aligned text. Note the bigger space between text and picture on the left of the wrapping object even though the text-wrap offset is set to 6 points on all four sides. In example B the following changes are made: 1. The text is justified to equalize the space to the left and right of the picture. 2. The graphic has been nudged vertically to align with the cap height of line four. 3. The graphic has been slightly resized and recropped so that the bottom of the picture frame aligns with the baseline of line 12. 4. The bottom offset has been pulled up to allow line 13 to tuck under the image. 5. The line breaks of the text in the left column have been adjusted using discretionary hyphens.

Figure 17.5. When adjusting text wraps, make the cursor key increment smaller for more flexibility.

[View full size image]


Wrapping Type Around Irregularly Shaped Graphics

When working with an irregularly shaped object, select the object and choose Wrap Around Object Shape from the Text Wrap palette. The best way to prepare your image is as a Photoshop file (psd) with an Alpha channel or Layer Mask. In-Design supports Photoshop transparency, so you no longer need to worry about drawing pen paths around your image for a hard-edge vector-clipping path. From Contour Options, choose Alpha Channel. The text will use the image's transparency to define a wrap boundary. You can adjust the Top Offset field (you'll only have the one) to determine how close the text comes to the 100 percent opaque pixels in the image.

Figure 17.6. Contour Options.

Don't have/don't know Photoshop? You can still create a clipping path for your graphic within InDesign, which will knock out the background areas of the image. This works best if the image has a flat background, preferably one that contrasts with the foreground.

Figure 17.7. Creating a Clipping Path within InDesign. The opaque white of the image background is "knocked out" using Detect Edges. The text wrap is set to Wrap Around Object Shape, causing the text to wrap around the clipping path. Use the Direct Selection tool and click the image to see the new path and the text-wrap offset, both of which can be adjusted.

[View full size image]

Using the Direct Selection and the Pen tool, you can manipulate your path to exactly the shape you want the text to wrap around. Select the image with the Direct Selection tool to show the text wrap path. Now drag any of the anchor points to adjust the text-wrap shape. To add or delete anchor points, switch to the pen tool. Click on the path where there is no anchor point to add one, or click on an existing anchor point to delete it. You can also use the Pen tool to convert smooth points to corner points and visa versa.

Tip: Reset your text wrap.

If you've adjusted your text wrap and don't like the result, you can start again by choosing Wrap Around Bounding Box, then choosing Wrap Around Object Shape once more.

Figure 17.8. Wrapping around a circular shape. In example A, the text wrap at the poles of the circle is larger than that at its center. In example B, the Direct Selection tool is used to pull the text wrap offset at both poles toward the center of the circle letting the text hug the circle shape.

[View full size image]

It's best to evaluate text wraps by eye rather than rely on the numbers in the Text Wrap palette. For example, a text wrap around a curved shape may appear to have a bigger offset at the top and bottom of the shape than at its center, even though the wrap offset is set to a uniform distance from the graphic.

Tip

To see a "live Text Wrap," click on the graphic and pause for a moment before you move it to a new location. The text will wrap as you move the graphic into position.


Text Wrap Preferences

The following preferences determine how your text wrap behaves:

  • Justify Text Next to an Object will justify text next to wrap objects that are placed in a single column. Note, this preference will not justify ragged type when the wrap object straddles more than one column. In my humble opinion it's not worth much, because you shouldn't be using ragged type with text wraps, and you certainly shouldn't be wrapping text around all sides of an object in a single column.

  • Skip By Leading. When working with multiple columns of text, if you have a text wrap that affects some but not all of those columns, this preference ensures that the text below the wrap object is knocked down to the next available leading increment, making sure that your baselines align across columns. For some reason this does not work if the wrap object is at the top of the column. Rather than turn this preference on, you're better off using a baseline grid to get the same effect (see Chapter 16 "Everything in Its Right Place: Using Grids.").

    Tip

    When adding a text wrap to a picture, make sure you add the text wrap to the picture frame (selected with the Selection tool) and not the picture itself (selected with the Direct Selection tool). If you do the latter, the text will wrap according to the picture's uncropped dimensions rather than its cropped dimensions.

    Figure 17.9. Text Wrap Preferences.

    [View full size image]

    Figure 17.10. In example A Justify Text Next to an Object is turned off; in example B, this preference is turned on.

    Figure 17.11. In example A, Skip by Leading is turned on, causing the line after the graphic to move down to the next available leading increment. Example B shows how the text looks with Skip by Leading turned off.

    [View full size image]

  • Text Wrap Affects Only Text Beneath makes InDesign behave like Quark, where text wrapsor Runarounds as they are called in Quark landaffect only the text beneath them in the stacking order. This is a bad idea, because putting your pictures on the topmost layers can result in printing problems due to transparent objects that overlap type. (See Chapter 15: "Setting Up your Document") Rather than use this approach, if you don't want a text frame to get pushed around by a text wrap, choose Object > Text Frame Options and turn on Ignore Text Wrap (see below). This way you can put your text on the topmost layer and avoid any potential printing problems.

  • Suppressing Text Wrap When Layer is Hidden. This option is not in Preferences, but rather is a Layer Optiondouble click any layer name to bring up its Layer Options. When you hide a layer that contains a text wrap object, the text on other layers continues to wrap around the object. This is so your text won't recompose if you turn off the layer. You can also use it to get interesting text-wrap shapes without seeing the text-wrap object. Turning on Suppress Text Wrap When Layer Is Hidden will cause the text to reflow when the layer containing the wrapping object is hidden. This may be useful if you want to edit or print only the text and not the images.

Note

If you are converting a Quark document to an InDesign document be sure to carefully check any text wraps. Because InDesign and Quark handle text wraps/runarounds differently, you may see differences between your original and the converted document.

Figure 17.12. Suppressing a text wrap.

Figure 17.13. Hidden Layer.

Figure 17.14. An inverted text wrap. The text is running inside the image shape, in this case a "Z" that has been converted to outlines (see Chapter 18: "Type Effects.:"), and put on a separate layer, which is then hidden.

Inverted Text Wraps

Every once in a while you might want to make the text wrap within the graphic shape, rather than around it. To do so, simply check the Invert box on the Text Wrap palette. This works best with simple shapes that allow for left-right reading of the text. It also helps if the type is a solid blockwithout paragraph breaks and indentsand tightly leaded and justified so that it better defines the object shape.


Ignoring Text Wrap

As great as text wraps are, there are certain elements that you don't want to be affected by them. The most common scenario is when you put a caption directly below a photowithout the caption ignoring the text wrap it will be hard to impossible to position it close enough to the picture. The same applies whenever you have text overlapping a wrap object or a text-wrap offset. In such cases, the text disappearsit gets pushed out of the box by the text wrap, even though the text is on top of the image.

The solution? Select the caption frame and choose Object > Text Frame Options and turn on Ignore Text Wrap.

This can get tricky if you have a text frame that you want to conform to the text wrap of one object, but ignore the text wrap of another. This requires using the Pen tool and the Direct Selection tool to sculpt the text frame into the wrap shape.

  1. The Text Wrap palette is set to No Text Wrap.

  2. Using the Pen tool, two anchor points are added approximately where the wrapping object (the circle) overlaps the text frame.

  3. Using the Direct Selection tool, the top left anchor point is manipulated to reshape the text frame, causing the text to "wrap" around the circle shape. To convert the corner point into a curve point, hold Option (Alt) as you drag the point.

Figure 17.15. Ignoring a text wrap. Without this option the caption text would "disappear."

[View full size image]


Anchored Objects

A discussion of text wraps wouldn't be complete without mentioning anchored objects, a great new feature of InDesign CS2. If you've ever positioned a graphic, a caption, or a pull quote next to its associated piece of text only to have to reposition it when the text is edited, then you'll appreciate anchored objects. "Inline graphics" have been around for years. If you want a graphic inserted into the text flow, you cut it to the clipboard, place your pointer in the text frame (usually on a separate line) where you want the graphic to go, then paste it. Thereafter it moves with the text, remaining "anchored" to its position in the text flow. You may have to futz around with its position relative to the text and certain unpredictable things may happen, but for the most part it's an approach that works. Until, that is, you want to position a graphic relative to a portion of text, but outside the text frame. Cue anchored objects…

Figure 17.16. The sidebar article in the left column wraps around the circle shape, but ignores the text wrap applied to the picture (necessary to offset the body text in columns 2 and 3).

[View full size image]

Anchored objects can be positioned outside a text frame and will maintain their relative position to that text frame no matter what. You can even have them positioned relative to the spine, so that the anchored object is always outside the text frame it is anchored toin the left margin for left pages, the right margin for right pages.

An anchored object can be a text frame, a picture frame, or any combination of grouped objects. You can evenand this is why I include them in this chapterapply text wraps to anchored objects. However, when you do so, the wrap doesn't apply to the line preceding the object. Don't ask me whyit just doesn't. But here's the workaround: Use a Y offset instead.

To create an anchored object, insert your cursor at the beginning of the paragraph and then choose Object > Anchored Objects > Insert to get a blank frame that is anchored to the text. Alternatively, if you already have the text frame created, you can cut it (Cmd+X/Ctrl+X), insert your type cursor into the main story, and paste the sidebar frame as an inline graphic. To determine the placement of the sidebar frame relative to the main text frame, choose Object > Anchored Objects > Options, and change its Position from Inline or Above to Custom.

Figure 17.7. The sidebar frame is anchored to the adjacent paragraph in the text. It will remain in the same relative position to this paragraph regardless of how the text is edited. Because its alignment is Relative to Spine, if editing causes this paragraph to move to a right-hand page (example B), the sidebar frame will be positioned to its right in the outside margin.

[View full size image]


Up Next

A miscellany of text effects you can use to spice up your layouts. Some you will use regularly, others will be once-in-a-blue-moon affairs, but for the right occasion they may be just what you're after.


Chapter 18. Type Effects

THIS CHAPTER IS DEVOTED TO CREATING PRACTICAL and skillful text effects. In addition to its industrial-strength tools for handling continuous text, InDesign has an impressive array of features for creating logo treatments and special effects. With its path editing and transparency tools, it's now possible to create type effects directly within InDesign that until recently would have required Photoshop or Illustrator. It remains true that Photoshop and Illustrator offer more in the type effects department, but recent versions of InDesign have incorporated some of the features of these venerable programs into its own toolset, so that if you don't have or don't know Photoshop or Illustrator you can still create great text effects from within InDesign.


Gradient Type

A simple technique to enliven display type is to make its fill color a gradient. Not surprisingly, this works best when you have bold letter shapes, allowing more of the gradient to show in the "letter windows." When a gradient is applied to a selected range of type, the gradient either starts and finishes within the letter shapes, or, if you drag with the Gradient tool, the gradient fill can start and/or finish outside of the letter shapes.

To apply a gradient to text either:

  • Select the text with the Type tool and apply a gradient from the Swatches palette, or use the Gradient palette to apply a gradient. Using this technique the gradient will affect only the selected text.

  • Select the text frame with the Selection tool, then click the Formatting Affects Text button, and then apply a gradient using the Swatches palette or the Gradient palette. Using this technique the gradient will affect all of the text within the frame.

Once the gradient has been applied, you can drag the Gradient tool over the selection to determine the angle of the gradient and its starting and finishing points.

Figure 18.1. Creating a New Gradient.

Figure 18.2. Gradient Type. In example A, the gradient was applied by clicking the gradient swatch in the Swatches palette. Type in the angle of the gradient on the Gradient palette. In example B, the angle and extent of the gradient were defined by dragging over the selected text with the gradient tool, arguably a more freeform approach.

Previous Page
Next Page


Stroked Type

Applying a stroke to display type can help more clearly define it when it is set on a low-contrast background. It's also useful if the type overlaps an image, especially if that image contains areas of busy detail. When you apply a stroke, the weight of the stroke is centered on the character outline. However, you won't see the part of the stroke inside the character unless you set the fill of the character to None because the fill is drawn in front of the stroke. This means that the letters will "grow" in size and appear closer together, so you may want to adjust the tracking and kerning of the words. Be judicious, and definitely avoid applying strokes to body text.

To apply a stroke to type, either select a range of type with the Type tool, then choose the Stroke swatch at the bottom of the tool palette or at the top of the Swatches palette and click on the swatch you want in the Swatches palette. You can adjust the stroke weight and stroke style using the Control palette of the Stroke palette.

Alternatively you can select a Text Frame and click the Formatting Affects Text button then apply the stroke color, stroke weight and style. Doing it this way the stroke is applied to all the text in the text frame rather than to a specific range of text.

Figure 18.3. Stroked Type. Example A has no stroke; example B has a .75 pt stroke (on 36 pt type). The kerning has been adjusted to compensate for tightened letter spacing caused stroking.

[View full size image]

Multiple Strokes

To create type with multiple strokes:

  1. Apply a thick stroke to a piece of type.

  2. Copy the text frame and choose Edit > Paste in Place. This will give you a duplicate exactly on top of the original.

  3. Select the duplicate and choose a stroke of a different color and a lesser weight.

  4. Choose Object > Group to make sure both text frames are moved or transformed as one.

Note

If you want to control how the stroke straddles the character shape, you must first convert the type to outlines (Type > Create Outlines Cmd+Shift+O/Ctrl+Shift+O). Then you can choose to put the stroke inside, outside, or centered on the character shape using the Stroke palette.

This effect works best with bold fonts with little transition between the thick and thin parts of the letter shapes. Be sure to apply enough positive tracking to compensate for the stroke weight being added to the outside of the characters.

Neon Type

To take this further, you can create a glow effect either by using a drop shadow (see below) or stacked copies of the text frame, where each copy has a lighter weight and tint of stroke than the one beneath it.

Figure 18.4. Type with Multiple Strokes.

Figure 18.5. Example A uses two copies of the type. The bottom copy has a drop shadow with a 4 pt red blur with no offsets. The top has a 2 pt black blur with no offsets. For example B, I started out with a 6 pt stroke at 100 percent tint. With each successive copy, I incrementally reduced both the stroke weight and the tint percentage.

Offset Strokes

As an alternative to stroking the type, you can offset the stroke by sandwiching together three layers of the same piece of type. The topmost text frame is the colored type. Beneath that is a duplicate, slightly offset, with its fill set to the background color, in this case white. At the bottom is a third copy, offset some more, and with a different color fill that serves as the "stroke."

  1. Create your type with a fill and no stroke, then choose Edit > Copy Cmd+C/Ctrl+C

  2. To paste the copy directly on top of the original choose Edit > Paste in Place (Cmd+Shift+Option+V/Ctrl+Shift+Alt+V).

  3. Offset this copy from the original nudge the type with your cursor arrows. In the example shown I used one nudge right and one down.

  4. Apply a fill color to the copy that is the same as your background color, in my case, Paper.

  5. Choose Object>Arrange>Send to Back (Cmd+Shift+[/Ctrl+Shift+[) to send the copy behind the original.

  6. With the copy still selected repeat the above steps, applying a different fill color to this second copy.

Figure 18.6. Offset Stroke.

Previous Page
Next Page


Drop Shadows

Go on then, if you mustadd a drop shadow: Object > Drop Shadow (Cmd+Option+M/Ctrl+Alt+M). Just bear in mind the following:

  • Everybody and their dog uses drop shadows (not that they can't look very effective), so avoid the "default" look, and experiment with the settings.

  • Make sure the text is bigat least 30 points.

Figure 18.7. Drop Shadows.

[View full size image]

Figure 18.8. Drop Shadow Dialog.

[View full size image]


Custom Type with Create Outlines

Need to customize a letter shape? Turn your type into outlines, and, with your Direct Selection tool, you'll be able to adjust the individual anchor points of the characters. Letters with counters (the trapped space inside the letters) or dots (lowercase "i" and "j") are compound paths because they consist of more than one path. In order to selectively modify their component paths, you first have to release the existing compound path: Object > Compound Paths > Release (Cmd+Option+8/Ctrl+Alt+8).

Figure 18.9. Choosing Create Outlines converts your type to an editable path shape.

[View full size image]

Figure 18.10. Customized Letter Shapes.

Compound Paths

Compound paths are needed when two path shapes overlap and you want the top shape to punch a hole through the shape beneaththe "bagel" effect. For type, compound paths are necessary to create characters with counter shapes. You can also create custom compound paths for logo-style artwork that plays on the negative space created by overlapping shapes.

Note

If you want to create overlapping effects with color, use the Transparency effect below.

  1. Type you text and kern/position as necessary so that the characters overlap.

  2. Choose Type > Create Outlines to convert the type to paths.

  3. Before you make the combined letter shapes into a compound path, you'll need to first Choose Object > Compound Paths > Release to release any existing compound paths for characters with counters. This will cause the counters to become filled in.

  4. With your Direct Selection tool. select on a character-by-character basis the character and its counter, and choose Object > Pathfinder > Subtract to "knock out" the counter.

  5. Select all the character shapes and choose Object > Compound Paths > Make. The text path is cut away where it overlays the underlying object, revealing whatever lies beneath the background object.

Figure 18.11. Compound Paths.

Type Masks

When executed well, this can be an especially effective technique, making the type serve as letter-shaped windows to your image. Again it works best with bold sans serif typeallowing you to see more of the image and allowing you to kern the type closely so that the image retains continuity from one "type window" to the next.

  1. Arrange your type on top of an image and kern appropriately.

  2. In order for type to function as a picture frame for an image, it must first be converted to outlines. Choose Type > Create Outlines.

  3. Select the image and choose Edit > Cut (Cmd+X/Ctrl+X) to cut it into memory.

  4. Choose the type shapes and choose Edit > Paste Into (Cmd+Option+V/Ctrl+Alt+V).

  5. Use the Direct Selection tool to move the image around within the type shapes.

Figure 18.12. Type Mask. The type is stacked vertically to accommodate the image. Because the letters overlap, it is necessary to first merge the letter shapes using Object > Pathfinder > Add. To improve the definition of the letter shapes, I have added a black stroke to the letters.

Figure 18.13. Type applied as a texture. "Grass" and "Green" are selected with the Type tool and converted to outlines (making them into inline picture frames) before the grass image is Pasted Into each.

Previous Page
Next Page


Path Type

To put type on a path, use the Type on a Path tool (on the same tool space as the Type toolclick, hold down and slide across or press Shift+T). Type on a path is essentially a one-line paragraph. When you click an insertion point on an open path, the starting point of the text is determined by the paragraph's alignment.

You can change the text alignment using the standard alignment optionsleft, center, right. You can also change the starting point of the text by dragging the left or right I-beams that show up when you click the path with the Selection tool. Dragging these I-beams will shift the text to the left or the right accordingly.

Text on a Path can be threaded just like regular text, by clicking the In and Out ports that appear when you click the path with your Selection tool. They can even be included with normal text frames as part of a longer text thread.

Figure 18.14. Double-click the Type on a Path tool to bring up the Type on a Path Options.

[View full size image]

Figure 18.15. Type on a path. The effect is enhanced in this case by selectively sizing the letters and adjusting the kerning.

Figure 18.16. A spiral (copied and pasted from Illustrator) used as a path shape.

Type on a Circle

To center text on the top of a circle, select the circle, then switch to the Type on a Path tool and click an insertion point on the bottom handle at the 6 o'clock position on the circle. Change the paragraph alignment to centered, and then type your text.

If you want text along the bottom of the circle:

  1. Enter the text along the top, then choose Type > Type on a Path > Options.

  2. Click the Flip checkbox.

  3. From the Align menu choose Ascender if you want the text to move downward, or Baseline if you want the text to move upward.

Figure 18.17. Type on a Circle.

Alternatively, if you want type at the top and bottom of the circle and you already have text at the top, copy the circle and then choose Edit > Paste in Place. You now have a duplicate of the text exactly on top of the original. Select the path of the top copy with the Selection toolyou'll see a perpendicular line in the middle of the path. Drag this line to the other side of the path and the text will flip over.


Vertical (Stacked) Alignment

Roman letters are designed to sit side by side, not on top of one another, so it's hard to make this technique work effectively. But every once in a while…

Figure 18.18. Vertical Alignment. The effect works best with type in all caps, centered on the column and tightly leaded.

Previous Page
Next Page


Transparency Effects

Using InDesign's Transparency palette is so easy it feels like cheating. Blend Modes determines how the colors of overlapping objects are affected and are applied on a frame-by-frame basis. If you want one piece of type to overlap another and create a transparency effect, it must be in its own text frame.

Figure 18.19A. Each letter is in its own text frame, which has been rotated and positioned so that it overlaps another text frame. Experiment with different combinations of Blend Mode and opacity to get the effect you likeMultiply and Color Burn usually work well, but the results will depend on the colors you are using.

Figure 18.19B. Four-color printing misalignment is simulated by placing four identical text frames (one in cyan, one magenta, one yellow, one black 70 percent) on top of each other and then nudging the position of each to misregister the frames. The blend mode of each is set to Multiply.

Figure 18.20. A grayscale image is placed on a layer above the type layer. The image color is 50 percent black. The Blend Mode of the image layer is Hard Light and the Opacity is 75 percent. This effect works best when the type is intended more as a textural element rather than designed to read.

Ghosted Panels

In general, putting type over an image is a bad idea: You dilute the message of the image and you reduce the readability of the typea worst-of-both-worlds scenario. However, when used sparingly, it can be an effective technique. Combining it with Transparency can help integrate the two elements, while preventing the type from becoming unreadable.

Figure 18.21. Ghosted Panel. A black panel with a blend mode of Hard Light and an opacity of 50% sits on top of the image. Note the text frame and the color panel must be separate objects so that you can adjust their opacity independently. Using this technique you have several variables, which, combined, offer a wealth of possibilities: type color, image color, image detail, the color, blend mode and opacity of the top panel.

Previous Page
Next Page


Shaping Text Frames

Text frames typically start off as rectangles, but they don't need to stay that way. With your Direct Selection Tool, pull on the anchor points of a text frame to change its shape. You can also add or subtract points to the text frame using the Pen Tool.

Figure 18.22. Pen Tools.

Figure 18.23. An anchor point was added at the center point of the top edge of the frame. The top left and top right anchor points were then deleted, creating a triangle shape. The text is fully justified with line breaks adjusted to fix bad word spacing.

The Free Transform Tool

The Free Transform tool is your one-stop shop for moving, scaling, reflecting, rotating, and skewing. The tool behaves differently depending on what modifier keys you are holding.

To move: Click anywhere within the bounding box and drag.

To scale: Drag any bounding box handle (shift+drag to preserve the object's proportions). To scale from the center outward, hold the Option (Alt) key as you drag.

To rotate: Position the pointer anywhere outside the bounding box and drag.

To reflect: Drag a handle of the object's bounding box past the opposite edge or handle.

To shear: Start dragging a handle on the side of the bounding box (not a corner), and then hold down Cmd+Option (Ctrl+Alt) as you drag. Shift+drag to constrain the tool. To shear type you first have to convert it to outlines: Type > Create Outlines.


Sheared Type

The Shear tool should be approached with extreme caution because shearing type can turn lovingly and reverently crafted characters into a dog's dinner of distorted character shapes in a fraction of a second. That said, because the tool is there, we are bound to use it. You'll likely get the best results when it is used sparingly and applied to a small amount of type.

The Shear tool can be unruly and difficult to control: The first click establishes the point of origin for the transformation, and then you drag to make the shearing happen. It's usually easiest to make the point of origin the center point of the text frame. To maintain the proportions of your text frame, hold the Shift key.

Here's a practical example:

  1. Draw a rectangle or framing shape.

  2. Enter the text into a separate text frame and center it horizontally and vertically.

  3. Shear the text frame to the desired angle and position in the bottom left corner of the framing rectangle.

  4. Cut the text frame, Edit > Cut (Cmd+X/Ctrl+X)

  5. Select the framing rectangle and choose Edit > Paste Into (Cmd+Option+V/Ctrl+Alt+V). The edges of the sheared frame will be cropped by the framing rectangle.

Figure 18.24. Sheared type.

Previous Page
Next Page


Index

[A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]


A

Previous Page
Next Page

Index

[A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Adobe Composer
Alignment [See also Tabs.]
Adobe Paragraph Composer
centering
grid
indentation 2nd
justified 2nd
margins, optical 2nd
ragged lines
ragged type
right-aligned type
spine
type, vertical
types
vertical
All caps
Alphabetizing menus
Anatomy, type
Anchored objects 2nd
Apostrophes
Application preferences
ASCII
Aspect ratio, page
Autoflow
Autoleading


B

Previous Page
Next Page

Index

[A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Backgrounds, paragraphs
Balancing ragged lines
Baseline
grid
paragraph rules
shift
Bold type
Book feature
Borders, tables
Bounding box text wraps
Break characters
Breaking tables
Bulleted lists
Byline, styles


C

Previous Page
Next Page

Index

[A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Caps
all
drop
hyphens
leading
small 2nd 3rd
Captions, styles
Cells, table
Centering type
Characters [See also Text; Type; Typefaces.]
apostrophes
break
dashes
ellipses
end marks
formatting
glyphs
hidden
kerning
OpenType [See OpenType fonts. ]
palette
quotes
styles [See also Style sheets.]
tracking
Unicode set
white space
Check Spelling 2nd
Circle, type on
Clipping path
Color, type 2nd 3rd 4th 5th
Columns
changing
grids [See Grids. ]
height, document
hyphen, ladders
leading
number of
tables
text wraps
width, document
Composition preferences
Compound paths, type
Condensed typefaces, tracking
Contents page, styles
Contextual alternates
Contoured drop caps
Control palette
Copying
styles 2nd 3rd
text
Crossheads
Cursor, loading


D

Previous Page
Next Page

Index

[A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Dashes 2nd [See also Hyphens.]
Decimal tabs
Deleting
frames
rows and columns, tables
Denominators
Diagonal lines, table cells
Dictionaries, hyphens
Discretionary
hyphens 2nd
ligatures
Display typefaces
Documents 2nd 3rd
Dot-dot-dot
Down Style
Drop caps
Drop shadows, type
Dummy text


E

Previous Page
Next Page

Index

[A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Editing
styles
text
Effects, type
Ellipses
Em
dashes
space 2nd
square
En
dashes
space 2nd
End marks
End ornament, styles
Endnotes
Euro symbol
Excel tables, importing
Eyedropper, pseudo styles


F

Previous Page
Next Page

Index

[A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Factory defaults
Fast Display mode
Figure space
Fills 2nd
Find/Change
First-line indents, paragraphs
Fixed Page Autoflow
Flourishes
Flowing text 2nd
Flush
paragraphs
space
Folios
Fonts [See Characters; Type; Typefaces. ]
Footnotes
Forced line breaks
Forms, tabs
Fractions 2nd
Frames, text
creating
flowing text
grids
object styles
Selection Tool
table cells
tables
test insets
threading
type effects 2nd
Type Tool
vertical alignment
Free Transform tool


G

Previous Page
Next Page

Index

[A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Ghosted panels, type
Glyphs 2nd 3rd
Gradient type
Graphics
grid
inline 2nd
layers
object styles
tables
text wraps 2nd
Grids
Gutter width


H

Previous Page
Next Page

Index

[A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

H&J violations
Hair space
Hand Tool
Hanging
indentation, paragraphs
punctuation
Headlines
hyphens
styles
threading across columns
tracking 2nd
Hidden characters
Horizontal scale
Hung initials
Hyphens 2nd [See also Dashes.]


I

Previous Page
Next Page

Index

[A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Importing
style sheets 2nd
tables
Word text
In ports
Indentation 2nd 3rd 4th [See also Tabs.]
Initial caps, types
Initials, hung
Inline graphics 2nd
Inserting rows and columns, tables
Insets, text
Intro, styles
Inverted text wrap
Irregular graphics, wrapping text
Italic type


J

Previous Page
Next Page

Index

[A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Jaggies
Jump Object text wraps
Justified
text, wrapping
type 2nd 3rd 4th


K

Previous Page
Next Page

Index

[A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Kerning 2nd [See also Tracking.]


L

Previous Page
Next Page

Index

[A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Ladders, hyphen
Language dictionaries, hyphens
Last Line Right Indent
Layers 2nd 3rd 4th 5th
Leading 2nd
Letter spacing
Ligatures 2nd
Line breaks
Lists 2nd
Loading
cursor
style sheets
Local formatting, overriding
Loose
leading
tracking
Lowered characters


M

Previous Page
Next Page

Index

[A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Manual
kerning
text flow
Mapping styles
Margins
document
hyphenation zone
optical alignment 2nd
Markers, section
Masks, type
Measurement 2nd
Merging table cells
Metrics kerning
Misalignment, type
Monospaced typefaces
Multilingual documents, hyphens
Multiplication sign


N

Previous Page
Next Page

Index

[A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Naming styles
Navigating
between pages
text preferences
Negative tracking
Neon type
Nested
small caps
styles
Next Style
Nonbreaking
hyphens 2nd
spaces
Numbers
drop caps
line, grid
lists, tabs
oldstyle
page
Numerators


O

Previous Page
Next Page

Index

[A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Objects
anchored 2nd
changing shapes
styles
text wraps 2nd 3rd
Offset
strokes, type
text wraps
Oldstyle figures
OpenType fonts [See Typefaces; OpenType. ]
Optical
kerning
leading
margin alignment 2nd
size, OpenType fonts
Ordinals
Ornamental
end, styles
paragraph marks
typefaces
Orphans
leading
tracking 2nd
Out ports
Outdenting 2nd
Outlines, type
Overrides, clearing, styles


P

Previous Page
Next Page

Index

[A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Pages
numbers
palette
sizes
Pairs, kerning
Paragraphs
Adobe Paragraph Composer
bulleted lists
differentiating
drop caps
first-line indents
flush
hanging indents
indents
palette
rules
shading
space before and space after
styles [See also Style sheets.]
text insets
Paths
compound, type
type
Picas, defined
Picture credit, styles
Placeholder text
Points, defined
Ports, in and out
Position, glyphs
PostScript fonts
Preserve Local Formatting, tables
Preset, document
Printing
guides
layers
style sheets
type misalignment
Problems, Adobe Paragraph Composer
Proximity, paragraph spacing
Pseudo styles
Pull quote, styles
Punctuation space


Q

Previous Page
Next Page

Index

[A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Quark 2nd
Quick Apply
Quotes
drop caps
overview
pull, styles


R

Previous Page
Next Page

Index

[A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Ragged
lines
type 2nd
Raised
characters
drop caps
Readability
Rectangle Tool
Redefining styles
Reflecting type
Reply forms, tabs
Return, soft
Reversed type
leading
tracking
Review section, styles
Right indent tab
Rivers
Rotating type
Rows, tables
Rules, paragraph
Run-in head, styles 2nd
Runarounds


S

Previous Page
Next Page

Index

[A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Sampling styles
Sans Serif typefaces
Saving
styles
workspace
Scaling
glyphs
type 2nd 3rd
Screened backgrounds
Script typefaces
Section markers
Selection Tool
Semi-Autoflow
Sequential styles
Serif fonts
Shading paragraphs
Shadows, type
Sharing dictionaries
Shearing type
Shift, baseline
Shortcuts
alignment
dashes
ellipses
em space
en space
end marks
flush space
font menu
formatting views
glyphs
hair space
Hand Tool
hidden characters
leading
line breaks
navigating text preferences
nested style
nonbreaking space
quotes
removing custom guides
removing kerning
removing tracking
showing kerning
showing tracking
Story Editor
style preferences
styles
tables
tabs
thin space
Tools palette
type selection
type size
Type Tool, changing to
word spacing
workspace
Zoom Tool
Showing text frames
Side bearing
Sidebar, styles
Single quote
Single-Line Composer, Adobe
Skewing type
Skip by Leading 2nd
Slanted type
Slider, hyphenation
Small caps 2nd 3rd
Snap to guides
Soft return
Spaceband
Spaces, white, characters
Spacing 2nd
Special characters
Specimen book, type
Spelling, hyphens
Spine, alignment
Splitting table cells
Spread, document
Stacked type alignment
Story Editor
Straight quotes
Strikethrough
Strokes
table cells
tables
type
Style sheets [See Styles. ]
Styles 2nd 3rd 4th
Stylistic sets, OpenType fonts
Subheads, styles
Subscript 2nd
Superscript 2nd
Supressing text wrap
Suspension points
Swash characters
Symbols [See also Glyphs palette.]
Synchronizing styles


T

Previous Page
Next Page

Index

[A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Tables
Tabs
Text [See also Characters; Type; Typefaces.]
alignment [See Alignment. ]
body, font size
converting to table
flowing 2nd
frames [See Frames, text. ]
importing Word
insets
pasting
placeholder
preferences
selecting within table cells
wraps [See [click here]. ]
Thin space
Threading text frames
Tight
leading 2nd
tracking
Titling characters
Tools Palette
Tracking [See also Kerning.]
Transparency 2nd 3rd
TrueType fonts
Type [See also Characters; Text; Typefaces.]
alignment [See Alignment. ]
color
effects
first baseline, grid
preferences
scaling
Tool
Typefaces [See also Characters; Text; Type.]
anatomy
body text
choosing
classification
hyphens
leading
OpenType
PostScript
readability
scaling
selection shortcuts
specimen book
style sheets
TrueType
Typographer's quotes


U

Previous Page
Next Page

Index

[A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Underlining
Unicode
Units, preferences
Unloading cursor
Up Style


V

Previous Page
Next Page

Index

[A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Versals
Vertical
alignment
scale
type alignment


W

Previous Page
Next Page

Index

[A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

White space characters
Widows
leading
tracking 2nd
Word
importing styles 2nd
importing text
tables, importing
Workspace, customizing
Wrapping text 2nd 3rd


X

Previous Page
Next Page

Index

[A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

X-heights, leading


Z

Previous Page

Index

[A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Z]

Zooming